import sys, os
from shutil import move
from subprocess import list2cmdline
import ConfigParser
import numpy.f2py

orig_argv = sys.argv
config = ConfigParser.RawConfigParser()
config.read(sys.argv[3])
if not config.has_section('FortranModels'):
    print 'FortranModels not specified in %s' % sys.argv[3]
    print 'Moving along...' 
    sys.exit(0)
items = config.items('FortranModels')
if not items or (len(items)==1 and items[0][0]=='path'):
    print 'No models in FortranModels'
    print 'Moving along...'
    sys.exit(0)
sys_id = str.lower(sys.platform[:3])
targetpath = os.sep.join([sys.argv[1], 'simulator', 'models', 'prediction'])
items = dict(items)
if 'path' in items:
    path = items['path']
    del items['path']
else:
    path = 'Finland'
    
def fix_path(pth):
    return os.path.join(sys.argv[2], pth, 'fortran')

modelpath = fix_path(path)

try:
    for target, file in items.items():
        sfile = file.split('/')
        if len(sfile)==1:
            sfile = (modelpath, sfile[0])
        elif len(sfile)==2:
            sfile = (fix_path(sfile[0]), sfile[1])
        else:
            raise Exception('Unable to build fortran libraries due to bad '
                            'file %s' % (file,))
        sys.argv = [sys.argv[0], '-c', '-m', target, 
                    os.path.join(sfile[0], sfile[1])]
        numpy.f2py.main()
finally:
    sys.argv = orig_argv


print "Compiling complete."
print '##################################################################'
print "Moving compiled files to", targetpath
files = os.listdir('.')
for file in files:
    if file.endswith('so') or file.endswith('pyd'):
        if os.path.lexists(os.path.join(targetpath, file)):
            os.remove(os.path.join(targetpath, file))
        print "moving", file
        move(file, targetpath)

print "Move complete!"
print '##################################################################'