"""This script will attempt to import param1, and if it fails, will
proceed to locate the proper egg from eggs and develop-eggs and add 
it's path to a param1.pth file under the custom python's site-packages
"""
import sys
import os
from distutils.sysconfig import get_python_lib

def test_import(name):
    """Tests if the module can be imported (== is already in path)"""
    print "Testing if", name, "exists..."
    try:
        module = __import__(sys.argv[1])
        try:
            version = module.__version__
        except AttributeError:
            version = "" 
        print name, version, 'successfully imported!'
        return True
    except ImportError:
        print "Import failed!"
        return False
    
def get_path(name, egg_path):
    """
    Will search for the egg (well, anything in the egg_path that starts
    with name) and returns the absolute path to it
    """
    path = ""
    for i in sorted(os.listdir(egg_path), reverse=True):
        if i.startswith(name): 
            path = os.path.join(os.getcwd(), egg_path, i)
            break
    if path == "": #see if the path name is a bit off the module name
        name = name.rstrip('1234567890-._')
        for i in sorted(os.listdir(egg_path), reverse=True):
            if i.startswith(name):
                path = os.path.join(os.getcwd(), egg_path, i)
                break
    if path == "": #ignore case difference
        for i in sorted(os.listdir(egg_path), reverse=True):
            if i.lower().startswith(name):
                path = os.path.join(os.getcwd(), egg_path, i)
                break
    return path

def set_path(name, path):
    pth_filename = "%s.pth" % (name,)
    print 'creating', pth_filename, '...'
    pth_filename = os.path.join(get_python_lib(), pth_filename)
    pth_file = open(pth_filename, 'w')
    pth_file.write(path)
    pth_file.close()
    print pth_filename, 'created!'
    
def main():
    if len(sys.argv) != 2:
        msg = "You must provide the name of the module you wish to add."
        raise UserWarning(msg)
    
    name = sys.argv[1]
    #Test if the name is already in path
    #if test_import(name): 
    #    sys.exit(0)
    #Find the proper egg
    path = get_path(name, "eggs")
    if path == "": 
        path = get_path(name, "develop-eggs")
    if path == "": 
        raise UserWarning("Egg was not found!")
    print "Egg found from", path
    #Check if the egg was what we're looking for and fail if it isn't
    sys.path = [path] + sys.path 
    if test_import(name): 
        set_path(name, path)
    else: raise UserWarning("Import failed!")
    
if __name__ == '__main__':
    main()
