#!/usr/bin/env python
# -*- coding: utf-8 -*-
#This script will run the hToPyWrap.py to all the neccessary files.
#Usage as below

import sys, os
import ConfigParser
from subprocess import list2cmdline
if len(sys.argv) != 5:
    raise AttributeError("usage: %s <pythonexec> <simopath> "\
                         "<modelpath> <dll.ini>" % sys.argv[0])
pypath, simopath, cmodelpath, dll_ini = sys.argv[1:]

wrapperpath=os.path.join(simopath, 'dev', 'utils', 'hToPyWrap.py')
cpath=os.path.join(cmodelpath, 'Finland', 'c')
xmlpath=os.path.join(simopath, 'simulator', 'xml', 'prediction_models')
modelpath=os.path.join(simopath, 'simulator', 'models', 'prediction')
sys_id = str.lower(sys.platform[:3])
if sys_id == 'win':
    wrapperpath = list2cmdline((wrapperpath,))
    cpath = list2cmdline((cpath,))
    xmlpath = list2cmdline((xmlpath,))
    modelpath = list2cmdline((modelpath,))
    pypath = list2cmdline((pypath,))
start = ' '.join((pypath, wrapperpath, cpath))
end = ' '.join(('',xmlpath, modelpath))

config = ConfigParser.RawConfigParser()
config.read(dll_ini)

def _fix_path(path, filename=None):
    path = os.path.relpath(os.path.join('..', '..', path, 'c'))
    if not filename:
        return path
    else:
        return os.path.join(path, filename)

print "Beginning wrapper operation..."
for section in config.sections():
    if section == 'FortranModels':
        continue
    data = dict(config.items(section))
    names = data.get('names')
    names = names.split(';')
    path = data.get('path')
    if not path:
        path = 'Finland' # backwards compatibility
    elif '/' in path or '\\' in path:
        raise Exception('Unable to wrap section %s due to bad name %s'
                        % (section, names[0],))
    print 'Wrapping', section
    header = names[0].split('/')
    if len(header) == 1:
        header = _fix_path(path, header[0])
    elif len(header) == 2:
        header = _fix_path(header[0], header[1])
    else:
        raise Exception('Unable to wrap section %s due to bad name %s' 
                        % (section, names[0],))
    os.system(''.join((start,os.sep,header+'.h '+section+'.dll', end)))
print "Operation complete!"
