
#
# Title: wrapper_BiomassModels
#
# *wrapper_BiomassModels.py*
#
# Wrapper functions for a SIMO ModelLibrary. Acts as an Python/C DLL calling 
# interface between SIMO Simulator and the model library.
#
# All models are called with a regular function call, which includes the model
# input parameter(s), number of result variables, memory block which is used
# for passing result variables, warning and error memory blocks, error check
# mode, allowed risk level and rectification factor.
# 
# The models are not documented here in detail, as model.xml file is used
# for that purpose.
#
# Wrapper generated automatically Thu Mar 10 14:09:19 2016
#
# Imports
from ctypes import *

# Wrappers for the C functions:
#---------------------------------------------------------------------------
def Biomass_stem_pine_Marklund(arg, libc, i):
	return libc.Biomass_stem_pine_Marklund(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_bark_of_stem_pine_Marklund(arg, libc, i):
	return libc.Biomass_bark_of_stem_pine_Marklund(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_living_branches_with_needles_pine_Marklund(arg, libc, i):
	return libc.Biomass_living_branches_with_needles_pine_Marklund(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_dead_branches_pine_Marklund(arg, libc, i):
	return libc.Biomass_dead_branches_pine_Marklund(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stump_pine_Marklund(arg, libc, i):
	return libc.Biomass_stump_pine_Marklund(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_little_roots_pine_Marklund(arg, libc, i):
	return libc.Biomass_little_roots_pine_Marklund(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_big_roots_pine_Marklund(arg, libc, i):
	return libc.Biomass_big_roots_pine_Marklund(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stem_spruce_Marklund(arg, libc, i):
	return libc.Biomass_stem_spruce_Marklund(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_bark_of_stem_spruce_Marklund(arg, libc, i):
	return libc.Biomass_bark_of_stem_spruce_Marklund(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_living_branches_with_needles_spruce_Marklund(arg, libc, i):
	return libc.Biomass_living_branches_with_needles_spruce_Marklund(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_dead_branches_spruce_Marklund(arg, libc, i):
	return libc.Biomass_dead_branches_spruce_Marklund(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stump_spruce_Marklund(arg, libc, i):
	return libc.Biomass_stump_spruce_Marklund(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_little_roots_spruce_Marklund(arg, libc, i):
	return libc.Biomass_little_roots_spruce_Marklund(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_big_roots_spruce_Marklund(arg, libc, i):
	return libc.Biomass_big_roots_spruce_Marklund(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stem_birch_Marklund(arg, libc, i):
	return libc.Biomass_stem_birch_Marklund(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_bark_of_stem_birch_Marklund(arg, libc, i):
	return libc.Biomass_bark_of_stem_birch_Marklund(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_living_branches_without_leaves_birch_Marklund(arg, libc, i):
	return libc.Biomass_living_branches_without_leaves_birch_Marklund(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_foliage_birch_Marklund(arg, libc, i):
	return libc.Biomass_foliage_birch_Marklund(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_dead_branches_birch_Marklund(arg, libc, i):
	return libc.Biomass_dead_branches_birch_Marklund(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stump_birch_Marklund(arg, libc, i):
	return libc.Biomass_stump_birch_Marklund(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_little_roots_birch_Marklund(arg, libc, i):
	return libc.Biomass_little_roots_birch_Marklund(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_big_roots_birch_Marklund(arg, libc, i):
	return libc.Biomass_big_roots_birch_Marklund(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stump_and_roots_pine_Petersson_Stohl(arg, libc, i):
	return libc.Biomass_stump_and_roots_pine_Petersson_Stohl(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stump_and_roots_spruce_Petersson_Stohl(arg, libc, i):
	return libc.Biomass_stump_and_roots_spruce_Petersson_Stohl(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stump_and_roots_birch_Petersson_Stohl(arg, libc, i):
	return libc.Biomass_stump_and_roots_birch_Petersson_Stohl(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stem_wood_pine_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_stem_wood_pine_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stem_bark_pine_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_stem_bark_pine_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_living_branches_pine_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_living_branches_pine_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_needles_pine_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_needles_pine_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_dead_branches_pine_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_dead_branches_pine_Repola_Ojansuu(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_aboveground_total_pine_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_aboveground_total_pine_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stump_pine_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_stump_pine_Repola_Ojansuu(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_roots_pine_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_roots_pine_Repola_Ojansuu(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stem_wood_spruce_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_stem_wood_spruce_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stem_bark_spruce_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_stem_bark_spruce_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_living_branches_spruce_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_living_branches_spruce_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_needles_spruce_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_needles_spruce_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_dead_branches_spruce_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_dead_branches_spruce_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_aboveground_total_spruce_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_aboveground_total_spruce_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stump_spruce_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_stump_spruce_Repola_Ojansuu(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_roots_spruce_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_roots_spruce_Repola_Ojansuu(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stem_wood_birch_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_stem_wood_birch_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stem_bark_birch_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_stem_bark_birch_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_living_branches_birch_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_living_branches_birch_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_foliage_birch_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_foliage_birch_Repola_Ojansuu(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_dead_branches_birch_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_dead_branches_birch_Repola_Ojansuu(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_aboveground_total_birch_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_aboveground_total_birch_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stump_birch_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_stump_birch_Repola_Ojansuu(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_roots_birch_Repola_Ojansuu(arg, libc, i):
	return libc.Biomass_roots_birch_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Density_stem_wood_without_bark_pine_Repola_Ojansuu(arg, libc, i):
	return libc.Density_stem_wood_without_bark_pine_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Density_stem_pine_Repola_Ojansuu(arg, libc, i):
	return libc.Density_stem_pine_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Density_stem_wood_without_bark_spruce_Repola_Ojansuu(arg, libc, i):
	return libc.Density_stem_wood_without_bark_spruce_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Density_stem_spruce_Repola_Ojansuu(arg, libc, i):
	return libc.Density_stem_spruce_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Density_stem_wood_without_bark_birch_Repola_Ojansuu(arg, libc, i):
	return libc.Density_stem_wood_without_bark_birch_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Density_stem_birch_Repola_Ojansuu(arg, libc, i):
	return libc.Density_stem_birch_Repola_Ojansuu(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stem_wood_pine_Repola(arg, libc, i):
	return libc.Biomass_stem_wood_pine_Repola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stem_bark_pine_Repola(arg, libc, i):
	return libc.Biomass_stem_bark_pine_Repola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_living_branches_pine_Repola(arg, libc, i):
	return libc.Biomass_living_branches_pine_Repola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_needles_pine_Repola(arg, libc, i):
	return libc.Biomass_needles_pine_Repola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_dead_branches_pine_Repola(arg, libc, i):
	return libc.Biomass_dead_branches_pine_Repola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_aboveground_total_pine_Repola(arg, libc, i):
	return libc.Biomass_aboveground_total_pine_Repola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stump_pine_Repola(arg, libc, i):
	return libc.Biomass_stump_pine_Repola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_roots_pine_Repola(arg, libc, i):
	return libc.Biomass_roots_pine_Repola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stem_wood_spruce_Repola(arg, libc, i):
	return libc.Biomass_stem_wood_spruce_Repola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stem_bark_spruce_Repola(arg, libc, i):
	return libc.Biomass_stem_bark_spruce_Repola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_living_branches_spruce_Repola(arg, libc, i):
	return libc.Biomass_living_branches_spruce_Repola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_needles_spruce_Repola(arg, libc, i):
	return libc.Biomass_needles_spruce_Repola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_dead_branches_spruce_Repola(arg, libc, i):
	return libc.Biomass_dead_branches_spruce_Repola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_aboveground_total_spruce_Repola(arg, libc, i):
	return libc.Biomass_aboveground_total_spruce_Repola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stump_spruce_Repola(arg, libc, i):
	return libc.Biomass_stump_spruce_Repola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_roots_spruce_Repola(arg, libc, i):
	return libc.Biomass_roots_spruce_Repola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stem_wood_birch_Repola(arg, libc, i):
	return libc.Biomass_stem_wood_birch_Repola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stem_bark_birch_Repola(arg, libc, i):
	return libc.Biomass_stem_bark_birch_Repola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_living_branches_birch_Repola(arg, libc, i):
	return libc.Biomass_living_branches_birch_Repola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_foliage_birch_Repola(arg, libc, i):
	return libc.Biomass_foliage_birch_Repola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_dead_branches_birch_Repola(arg, libc, i):
	return libc.Biomass_dead_branches_birch_Repola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_aboveground_total_birch_Repola(arg, libc, i):
	return libc.Biomass_aboveground_total_birch_Repola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stump_birch_Repola(arg, libc, i):
	return libc.Biomass_stump_birch_Repola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_roots_birch_Repola(arg, libc, i):
	return libc.Biomass_roots_birch_Repola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_stump_bark_JKK(arg, libc, i):
	return libc.Biomass_stump_bark_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_tree_JKK(arg, libc, i):
	return libc.Biomass_tree_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biomass_tree_Yasso_JKK(arg, libc, i):
	return libc.Biomass_tree_Yasso_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)
