
#
# Title: wrapper_CalibratedtreegrowthModels
#
# *wrapper_CalibratedtreegrowthModels.py*
#
# Wrapper functions for a SIMO ModelLibrary. Acts as an Python/C DLL calling 
# interface between SIMO Simulator and the model library.
#
# All models are called with a regular function call, which includes the model
# input parameter(s), number of result variables, memory block which is used
# for passing result variables, warning and error memory blocks, error check
# mode, allowed risk level and rectification factor.
# 
# The models are not documented here in detail, as model.xml file is used
# for that purpose.
#
# Wrapper generated automatically Thu Mar 10 14:09:21 2016
#
# Imports
from ctypes import *

# Wrappers for the C functions:
#---------------------------------------------------------------------------
def H_dom_growth_calib_JKK(arg, libc, i):
	return libc.H_dom_growth_calib_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Grow_ba_peatland_calib_JKK(arg, libc, i):
	return libc.Grow_ba_peatland_calib_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], arg.variables[i][16], arg.variables[i][17], 
		arg.variables[i][18], arg.variables[i][19], arg.variables[i][20], 
		arg.variables[i][21], arg.variables[i][22], arg.variables[i][23], 
		arg.variables[i][24], arg.variables[i][25], arg.variables[i][26], 
		arg.variables[i][27], arg.variables[i][28], arg.variables[i][29], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_height_before_growing_d_peatland_calib_JKK(arg, libc, i):
	return libc.Tree_height_before_growing_d_peatland_calib_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_height_after_growing_d_peatland_calib_JKK(arg, libc, i):
	return libc.Tree_height_after_growing_d_peatland_calib_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Grow_h_mineral_soil_calib_JKK(arg, libc, i):
	return libc.Grow_h_mineral_soil_calib_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], arg.variables[i][16], arg.variables[i][17], 
		arg.variables[i][18], arg.variables[i][19], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Grow_ba_mineral_soil_calib_JKK(arg, libc, i):
	return libc.Grow_ba_mineral_soil_calib_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], arg.variables[i][16], arg.variables[i][17], 
		arg.variables[i][18], arg.variables[i][19], arg.variables[i][20], 
		arg.variables[i][21], arg.variables[i][22], arg.variables[i][23], 
		arg.variables[i][24], arg.variables[i][25], arg.variables[i][26], 
		arg.variables[i][27], arg.variables[i][28], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Growth_factors_calib_JKK(arg, libc, i):
	return libc.Growth_factors_calib_JKK(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Grow_ba_peatland_calib_fixed_JKK(arg, libc, i):
	return libc.Grow_ba_peatland_calib_fixed_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], arg.variables[i][16], arg.variables[i][17], 
		arg.variables[i][18], arg.variables[i][19], arg.variables[i][20], 
		arg.variables[i][21], arg.variables[i][22], arg.variables[i][23], 
		arg.variables[i][24], arg.variables[i][25], arg.variables[i][26], 
		arg.variables[i][27], arg.variables[i][28], arg.variables[i][29], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)
