
#
# Title: wrapper_GeoModels
#
# *wrapper_GeoModels.py*
#
# Wrapper functions for a SIMO ModelLibrary. Acts as an Python/C DLL calling 
# interface between SIMO Simulator and the model library.
#
# All models are called with a regular function call, which includes the model
# input parameter(s), number of result variables, memory block which is used
# for passing result variables, warning and error memory blocks, error check
# mode, allowed risk level and rectification factor.
# 
# The models are not documented here in detail, as model.xml file is used
# for that purpose.
#
# Wrapper generated automatically Thu Mar 10 14:09:17 2016
#
# Imports
from ctypes import *

# Wrappers for the C functions:
#---------------------------------------------------------------------------
def Coordinates_JKK(arg, libc, i):
	return libc.Coordinates_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Altitude_JKK(arg, libc, i):
	return libc.Altitude_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Temperature_sum_JKK(arg, libc, i):
	return libc.Temperature_sum_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def County_JKK(arg, libc, i):
	return libc.County_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Northern_Finland_JKK(arg, libc, i):
	return libc.Northern_Finland_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Management_region_JKK(arg, libc, i):
	return libc.Management_region_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def County_Northern_Finland_and_Management_region_JKK(arg, libc, i):
	return libc.County_Northern_Finland_and_Management_region_JKK(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def EUREF_FIN_geographical_to_EUREF_FIN_rectangular_coordinates_JKK(arg, libc, i):
	return libc.EUREF_FIN_geographical_to_EUREF_FIN_rectangular_coordinates_JKK(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def EUREF_FIN_geographical_to_YKJ_rectangular_coordinates_JKK(arg, libc, i):
	return libc.EUREF_FIN_geographical_to_YKJ_rectangular_coordinates_JKK(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def YKJ_rectangular_to_EUREF_FIN_rectangular_coordinates_JKK(arg, libc, i):
	return libc.YKJ_rectangular_to_EUREF_FIN_rectangular_coordinates_JKK(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def EUREF_FIN_rectangular_to_YKJ_rectangular_coordinates_JKK(arg, libc, i):
	return libc.EUREF_FIN_rectangular_to_YKJ_rectangular_coordinates_JKK(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def YKJ_rectangular_to_EUREF_FIN_geographical_coordinates_JKK(arg, libc, i):
	return libc.YKJ_rectangular_to_EUREF_FIN_geographical_coordinates_JKK(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def EUREF_FIN_rectangular_to_EUREF_FIN_geographical_coordinates_JKK(arg, libc, i):
	return libc.EUREF_FIN_rectangular_to_EUREF_FIN_geographical_coordinates_JKK(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)
