
#
# Title: wrapper_HeurekaModels
#
# *wrapper_HeurekaModels.py*
#
# Wrapper functions for a SIMO ModelLibrary. Acts as an Python/C DLL calling 
# interface between SIMO Simulator and the model library.
#
# All models are called with a regular function call, which includes the model
# input parameter(s), number of result variables, memory block which is used
# for passing result variables, warning and error memory blocks, error check
# mode, allowed risk level and rectification factor.
# 
# The models are not documented here in detail, as model.xml file is used
# for that purpose.
#
# Wrapper generated automatically Thu Mar 10 14:09:20 2016
#
# Imports
from ctypes import *

# Wrappers for the C functions:
#---------------------------------------------------------------------------
def Basal_area_growth_pine_Elfving(arg, libc, i):
	return libc.Basal_area_growth_pine_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_spruce_Elfving(arg, libc, i):
	return libc.Basal_area_growth_spruce_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_birch_Elfving(arg, libc, i):
	return libc.Basal_area_growth_birch_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_aspen_Elfving(arg, libc, i):
	return libc.Basal_area_growth_aspen_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_beech_Elfving(arg, libc, i):
	return libc.Basal_area_growth_beech_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_oak_Elfving(arg, libc, i):
	return libc.Basal_area_growth_oak_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_noble_Elfving(arg, libc, i):
	return libc.Basal_area_growth_noble_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_trivial_Elfving(arg, libc, i):
	return libc.Basal_area_growth_trivial_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def BA_growth_Elfving(arg, libc, i):
	return libc.BA_growth_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], arg.variables[i][16], arg.variables[i][17], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_growth_Elfving(arg, libc, i):
	return libc.Height_growth_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_Soderberg(arg, libc, i):
	return libc.Height_Soderberg(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_at_breast_height_pine_Elfving(arg, libc, i):
	return libc.Age_at_breast_height_pine_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_at_breast_height_spruce_Elfving(arg, libc, i):
	return libc.Age_at_breast_height_spruce_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_at_breast_height_birch_Elfving(arg, libc, i):
	return libc.Age_at_breast_height_birch_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_at_breast_height_other_deciduous_Elfving(arg, libc, i):
	return libc.Age_at_breast_height_other_deciduous_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_Elfving(arg, libc, i):
	return libc.Age_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Temperature_sum_Elfving(arg, libc, i):
	return libc.Temperature_sum_Elfving(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Time_to_reach_breast_height_Elfving(arg, libc, i):
	return libc.Time_to_reach_breast_height_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Mean_height_Hugin(arg, libc, i):
	return libc.Mean_height_Hugin(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_at_breast_height_Hugin(arg, libc, i):
	return libc.Age_at_breast_height_Hugin(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_at_breast_height_Hugin(arg, libc, i):
	return libc.Diameter_at_breast_height_Hugin(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Site_index_Elfving(arg, libc, i):
	return libc.Site_index_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_volume_heureka_JKK(arg, libc, i):
	return libc.Tree_volume_heureka_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Calibration_age_heureka_JKK(arg, libc, i):
	return libc.Calibration_age_heureka_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Calibration_height_heureka_JKK(arg, libc, i):
	return libc.Calibration_height_heureka_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_stand_Elfving(arg, libc, i):
	return libc.Basal_area_growth_stand_Elfving(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_coefficient_JKK(arg, libc, i):
	return libc.Basal_area_coefficient_JKK(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Thinning_limits_heureka_JKK(arg, libc, i):
	return libc.Thinning_limits_heureka_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)
