
#
# Title: wrapper_InitModels
#
# *wrapper_InitModels.py*
#
# Wrapper functions for a SIMO ModelLibrary. Acts as an Python/C DLL calling 
# interface between SIMO Simulator and the model library.
#
# All models are called with a regular function call, which includes the model
# input parameter(s), number of result variables, memory block which is used
# for passing result variables, warning and error memory blocks, error check
# mode, allowed risk level and rectification factor.
# 
# The models are not documented here in detail, as model.xml file is used
# for that purpose.
#
# Wrapper generated automatically Thu Mar 10 14:09:18 2016
#
# Imports
from ctypes import *

# Wrappers for the C functions:
#---------------------------------------------------------------------------
def Assign_to_zero_after_clearcut_comp_unit_JKK(arg, libc, i):
	return libc.Assign_to_zero_after_clearcut_comp_unit_JKK(
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Assign_to_zero_after_seedtreecut_comp_unit_JKK(arg, libc, i):
	return libc.Assign_to_zero_after_seedtreecut_comp_unit_JKK(
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Assign_to_zero_after_removing_seedtrees1_comp_unit_JKK(arg, libc, i):
	return libc.Assign_to_zero_after_removing_seedtrees1_comp_unit_JKK(
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Assign_to_zero_after_removing_seedtrees2_comp_unit_JKK(arg, libc, i):
	return libc.Assign_to_zero_after_removing_seedtrees2_comp_unit_JKK(
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Assign_init_values_tree_JKK(arg, libc, i):
	return libc.Assign_init_values_tree_JKK(
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Assign_init_values_stratum_JKK(arg, libc, i):
	return libc.Assign_init_values_stratum_JKK(
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Assign_init_values_comp_unit_JKK(arg, libc, i):
	return libc.Assign_init_values_comp_unit_JKK(
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Assign_variable_values_after_artif_regeneration_comp_unit_JKK(arg, libc, i):
	return libc.Assign_variable_values_after_artif_regeneration_comp_unit_JKK(
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Assign_variable_values_after_natur_regeneration_or_ingrowth_stratum_JKK(arg, libc, i):
	return libc.Assign_variable_values_after_natur_regeneration_or_ingrowth_stratum_JKK(
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Assign_variable_values_after_natur_regeneration_comp_unit_JKK(arg, libc, i):
	return libc.Assign_variable_values_after_natur_regeneration_comp_unit_JKK(
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Assign_variable_values_non_pine_stratum_JKK(arg, libc, i):
	return libc.Assign_variable_values_non_pine_stratum_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Assign_to_zero_before_natural_removal_comp_unit_JKK(arg, libc, i):
	return libc.Assign_to_zero_before_natural_removal_comp_unit_JKK(
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Assign_after_final_harvests_comp_unit_JKK(arg, libc, i):
	return libc.Assign_after_final_harvests_comp_unit_JKK(
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Fix_age_at_breast_height_JKK(arg, libc, i):
	return libc.Fix_age_at_breast_height_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Initial_values_pine_JKK(arg, libc, i):
	return libc.Initial_values_pine_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Initial_values_spruce_JKK(arg, libc, i):
	return libc.Initial_values_spruce_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Initial_values_white_birch_JKK(arg, libc, i):
	return libc.Initial_values_white_birch_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Initial_values_pubescent_birch_JKK(arg, libc, i):
	return libc.Initial_values_pubescent_birch_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Missing_values_seedling_pine_JKK(arg, libc, i):
	return libc.Missing_values_seedling_pine_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Missing_values_seedling_spruce_JKK(arg, libc, i):
	return libc.Missing_values_seedling_spruce_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Missing_values_seedling_white_birch_JKK(arg, libc, i):
	return libc.Missing_values_seedling_white_birch_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Missing_values_seedling_pubescent_birch_JKK(arg, libc, i):
	return libc.Missing_values_seedling_pubescent_birch_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Initial_values_pine_MELA_JKK(arg, libc, i):
	return libc.Initial_values_pine_MELA_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Initial_values_spruce_MELA_JKK(arg, libc, i):
	return libc.Initial_values_spruce_MELA_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Initial_values_white_birch_MELA_JKK(arg, libc, i):
	return libc.Initial_values_white_birch_MELA_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Initial_values_pubescent_birch_MELA_JKK(arg, libc, i):
	return libc.Initial_values_pubescent_birch_MELA_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Fill_values_pine_MELA_JKK(arg, libc, i):
	return libc.Fill_values_pine_MELA_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Fill_values_spruce_MELA_JKK(arg, libc, i):
	return libc.Fill_values_spruce_MELA_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Fill_values_white_birch_MELA_JKK(arg, libc, i):
	return libc.Fill_values_white_birch_MELA_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Fill_values_pubescent_birch_MELA_JKK(arg, libc, i):
	return libc.Fill_values_pubescent_birch_MELA_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Initial_values_supplemental_planting_spruce_JKK(arg, libc, i):
	return libc.Initial_values_supplemental_planting_spruce_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Initial_values_supplemental_planting_white_birch_JKK(arg, libc, i):
	return libc.Initial_values_supplemental_planting_white_birch_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)
