
#
# Title: wrapper_NaturalremovalModels
#
# *wrapper_NaturalremovalModels.py*
#
# Wrapper functions for a SIMO ModelLibrary. Acts as an Python/C DLL calling 
# interface between SIMO Simulator and the model library.
#
# All models are called with a regular function call, which includes the model
# input parameter(s), number of result variables, memory block which is used
# for passing result variables, warning and error memory blocks, error check
# mode, allowed risk level and rectification factor.
# 
# The models are not documented here in detail, as model.xml file is used
# for that purpose.
#
# Wrapper generated automatically Thu Mar 10 14:09:16 2016
#
# Imports
from ctypes import *

# Wrappers for the C functions:
#---------------------------------------------------------------------------
def Mimimum_growing_space_pine_Hynynenym(arg, libc, i):
	return libc.Mimimum_growing_space_pine_Hynynenym(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Mimimum_growing_space_spruce_Hynynenym(arg, libc, i):
	return libc.Mimimum_growing_space_spruce_Hynynenym(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Mimimum_growing_space_white_birch_Hynynenym(arg, libc, i):
	return libc.Mimimum_growing_space_white_birch_Hynynenym(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Mimimum_growing_space_pubescent_birch_Hynynenym(arg, libc, i):
	return libc.Mimimum_growing_space_pubescent_birch_Hynynenym(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Probability_a_tree_to_die_due_to_competition_pine_Hynynenym(arg, libc, i):
	return libc.Probability_a_tree_to_die_due_to_competition_pine_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Probability_a_tree_to_die_due_to_competition_spruce_Hynynenym(arg, libc, i):
	return libc.Probability_a_tree_to_die_due_to_competition_spruce_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Probability_a_tree_to_die_due_to_competition_deciduous_Hynynenym(arg, libc, i):
	return libc.Probability_a_tree_to_die_due_to_competition_deciduous_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Probability_a_tree_to_die_due_to_aging_Hynynenym(arg, libc, i):
	return libc.Probability_a_tree_to_die_due_to_aging_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Probability_a_tree_to_die_Hynynenym(arg, libc, i):
	return libc.Probability_a_tree_to_die_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Probability_a_tree_to_live_JKK(arg, libc, i):
	return libc.Probability_a_tree_to_live_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_stem_number_peatland_pine_Hynynenym(arg, libc, i):
	return libc.Maximum_allowable_stem_number_peatland_pine_Hynynenym(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_stem_number_peatland_spruce_Hynynenym(arg, libc, i):
	return libc.Maximum_allowable_stem_number_peatland_spruce_Hynynenym(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_stem_number_white_birch_Hynynenym(arg, libc, i):
	return libc.Maximum_allowable_stem_number_white_birch_Hynynenym(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_stem_number_pubescent_birch_Hynynenym(arg, libc, i):
	return libc.Maximum_allowable_stem_number_pubescent_birch_Hynynenym(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_stem_number_pine_Hynynenym(arg, libc, i):
	return libc.Maximum_allowable_stem_number_pine_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_stem_number_spruce_Hynynenym(arg, libc, i):
	return libc.Maximum_allowable_stem_number_spruce_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_stem_number_young_stand_pine_Hynynenym(arg, libc, i):
	return libc.Maximum_allowable_stem_number_young_stand_pine_Hynynenym(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_stem_number_young_stand_spruce_Hynynenym(arg, libc, i):
	return libc.Maximum_allowable_stem_number_young_stand_spruce_Hynynenym(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_stem_number_young_stand_white_birch_Hynynenym(arg, libc, i):
	return libc.Maximum_allowable_stem_number_young_stand_white_birch_Hynynenym(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_stem_number_young_stand_pubescent_birch_Hynynenym(arg, libc, i):
	return libc.Maximum_allowable_stem_number_young_stand_pubescent_birch_Hynynenym(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Scale_factor_N_over_5000(arg, libc, i):
	return libc.Scale_factor_N_over_5000(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Scale_factor_N_between_2000_and_5000(arg, libc, i):
	return libc.Scale_factor_N_between_2000_and_5000(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_stem_number_in_mixed_stand_pine_Hynynenym(arg, libc, i):
	return libc.Maximum_allowable_stem_number_in_mixed_stand_pine_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_stem_number_in_mixed_stand_white_birch_Hynynenym(arg, libc, i):
	return libc.Maximum_allowable_stem_number_in_mixed_stand_white_birch_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_stem_number_in_mixed_stand_pubescent_birch_Hynynenym(arg, libc, i):
	return libc.Maximum_allowable_stem_number_in_mixed_stand_pubescent_birch_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_stem_number_before_growing_Hynynenym(arg, libc, i):
	return libc.Maximum_allowable_stem_number_before_growing_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], arg.variables[i][16], arg.variables[i][17], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_reduction_in_stem_number_Hynynenym(arg, libc, i):
	return libc.Maximum_allowable_reduction_in_stem_number_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Adjust_maximum_allowable_stem_number_pine_Hynynenym(arg, libc, i):
	return libc.Adjust_maximum_allowable_stem_number_pine_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Adjust_maximum_allowable_stem_number_spruce_Hynynenym(arg, libc, i):
	return libc.Adjust_maximum_allowable_stem_number_spruce_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Adjust_maximum_allowable_stem_number_white_birch_Hynynenym(arg, libc, i):
	return libc.Adjust_maximum_allowable_stem_number_white_birch_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Adjust_maximum_allowable_stem_number_pubescent_birch_Hynynenym(arg, libc, i):
	return libc.Adjust_maximum_allowable_stem_number_pubescent_birch_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Minimum_growing_space_JKK(arg, libc, i):
	return libc.Minimum_growing_space_JKK(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_survival_JKK(arg, libc, i):
	return libc.Tree_survival_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_stem_number_JKK(arg, libc, i):
	return libc.Maximum_allowable_stem_number_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_allowable_stem_number_in_mixed_forest_JKK(arg, libc, i):
	return libc.Maximum_allowable_stem_number_in_mixed_forest_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], arg.variables[i][16], arg.variables[i][17], 
		arg.variables[i][18], arg.variables[i][19], arg.variables[i][20], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Scale_factor_JKK(arg, libc, i):
	return libc.Scale_factor_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], arg.variables[i][16], arg.variables[i][17], 
		arg.variables[i][18], arg.variables[i][19], arg.variables[i][20], 
		arg.variables[i][21], arg.variables[i][22], arg.variables[i][23], 
		arg.variables[i][24], arg.variables[i][25], arg.variables[i][26], 
		arg.variables[i][27], arg.variables[i][28], arg.variables[i][29], 
		arg.variables[i][30], arg.variables[i][31], arg.variables[i][32], 
		arg.variables[i][33], arg.variables[i][34], arg.variables[i][35], 
		arg.variables[i][36], arg.variables[i][37], arg.variables[i][38], 
		arg.variables[i][39], arg.variables[i][40], arg.variables[i][41], 
		arg.variables[i][42], arg.variables[i][43], arg.variables[i][44], 
		arg.variables[i][45], arg.variables[i][46], arg.variables[i][47], 
		arg.variables[i][48], arg.variables[i][49], arg.variables[i][50], 
		arg.variables[i][51], arg.variables[i][52], arg.variables[i][53], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_survival_urban_area_forest_JKK(arg, libc, i):
	return libc.Tree_survival_urban_area_forest_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Probability_a_tree_to_die_due_to_aging_urban_area_forest_Hynynenym(arg, libc, i):
	return libc.Probability_a_tree_to_die_due_to_aging_urban_area_forest_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)
