
#
# Title: wrapper_SeedlingModels
#
# *wrapper_SeedlingModels.py*
#
# Wrapper functions for a SIMO ModelLibrary. Acts as an Python/C DLL calling 
# interface between SIMO Simulator and the model library.
#
# All models are called with a regular function call, which includes the model
# input parameter(s), number of result variables, memory block which is used
# for passing result variables, warning and error memory blocks, error check
# mode, allowed risk level and rectification factor.
# 
# The models are not documented here in detail, as model.xml file is used
# for that purpose.
#
# Wrapper generated automatically Thu Mar 10 14:09:11 2016
#
# Imports
from ctypes import *

# Wrappers for the C functions:
#---------------------------------------------------------------------------
def Initial_age_for_a_new_tree_pine_Hynynenym(arg, libc, i):
	return libc.Initial_age_for_a_new_tree_pine_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Initial_age_for_a_new_tree_spruce_Hynynenym(arg, libc, i):
	return libc.Initial_age_for_a_new_tree_spruce_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Initial_age_for_a_new_tree_deciduous_Hynynenym(arg, libc, i):
	return libc.Initial_age_for_a_new_tree_deciduous_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_growth_for_a_seedling_Hynynenym(arg, libc, i):
	return libc.Height_growth_for_a_seedling_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Time_to_reach_breast_height_natural_regeneration_Hynynenym(arg, libc, i):
	return libc.Time_to_reach_breast_height_natural_regeneration_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Time_to_reach_breast_height_artificial_regeneration_Hynynenym(arg, libc, i):
	return libc.Time_to_reach_breast_height_artificial_regeneration_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_for_a_seedling_reached_breast_height_Hynynenym(arg, libc, i):
	return libc.Diameter_for_a_seedling_reached_breast_height_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Mean_diameter_for_a_seedling_reached_breast_height_Hynynenym(arg, libc, i):
	return libc.Mean_diameter_for_a_seedling_reached_breast_height_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_seedling_pine_Tomppoym(arg, libc, i):
	return libc.Volume_seedling_pine_Tomppoym(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_seedling_spruce_Tomppoym(arg, libc, i):
	return libc.Volume_seedling_spruce_Tomppoym(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_seedling_birch_Tomppoym(arg, libc, i):
	return libc.Volume_seedling_birch_Tomppoym(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_small_tree_pine_Tomppoym(arg, libc, i):
	return libc.Volume_small_tree_pine_Tomppoym(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_small_tree_spruce_Tomppoym(arg, libc, i):
	return libc.Volume_small_tree_spruce_Tomppoym(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_small_tree_birch_Tomppoym(arg, libc, i):
	return libc.Volume_small_tree_birch_Tomppoym(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_pine_seed_tree_Niemisto(arg, libc, i):
	return libc.Basal_area_growth_pine_seed_tree_Niemisto(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Site_index_young_stand_pine_Hagglund(arg, libc, i):
	return libc.Site_index_young_stand_pine_Hagglund(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_growth_young_stand_pine_Varmola(arg, libc, i):
	return libc.Dominant_height_growth_young_stand_pine_Varmola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Time_to_reach_breast_height_young_stand_pine_Varmola(arg, libc, i):
	return libc.Time_to_reach_breast_height_young_stand_pine_Varmola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Time_to_reach_breast_height_with_TS_young_stand_pine_Varmola(arg, libc, i):
	return libc.Time_to_reach_breast_height_with_TS_young_stand_pine_Varmola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_young_stand_pine_Varmola(arg, libc, i):
	return libc.Basal_area_growth_young_stand_pine_Varmola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_after_cleaning_young_stand_pine_Varmola(arg, libc, i):
	return libc.Basal_area_after_cleaning_young_stand_pine_Varmola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_after_breast_height_young_stand_pine_Varmola(arg, libc, i):
	return libc.Basal_area_after_breast_height_young_stand_pine_Varmola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Bark_from_BA_young_stand_pine_Varmola(arg, libc, i):
	return libc.Bark_from_BA_young_stand_pine_Varmola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Bark_from_BAu_young_stand_pine_Varmola(arg, libc, i):
	return libc.Bark_from_BAu_young_stand_pine_Varmola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_young_stand_pine_Varmola(arg, libc, i):
	return libc.Volume_young_stand_pine_Varmola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Mean_height_young_stand_pine_Varmola(arg, libc, i):
	return libc.Mean_height_young_stand_pine_Varmola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Mean_diameter_young_stand_pine_Varmola(arg, libc, i):
	return libc.Mean_diameter_young_stand_pine_Varmola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_growth_birch_in_gabs_of_planted_spruce_stand_Valkonen(arg, libc, i):
	return libc.Height_growth_birch_in_gabs_of_planted_spruce_stand_Valkonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_young_plantation_spruce_Valkonen(arg, libc, i):
	return libc.Diameter_young_plantation_spruce_Valkonen(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_growth_young_plantation_spruce_Valkonen(arg, libc, i):
	return libc.Dominant_height_growth_young_plantation_spruce_Valkonen(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_growth_young_plantation_spruce_Valkonen(arg, libc, i):
	return libc.Height_growth_young_plantation_spruce_Valkonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_young_plantation_spruce_Valkonen(arg, libc, i):
	return libc.Basal_area_growth_young_plantation_spruce_Valkonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Probability_a_tree_to_die_young_plantation_spruce_Valkonen(arg, libc, i):
	return libc.Probability_a_tree_to_die_young_plantation_spruce_Valkonen(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_growth_released_understorey_spruce_Valkonen(arg, libc, i):
	return libc.Height_growth_released_understorey_spruce_Valkonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_growth_in_two_storey_spruce_birch_stand_spruce_Valkonen(arg, libc, i):
	return libc.Height_growth_in_two_storey_spruce_birch_stand_spruce_Valkonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_in_two_storey_spruce_birch_stand_spruce_Valkonen(arg, libc, i):
	return libc.Diameter_in_two_storey_spruce_birch_stand_spruce_Valkonen(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_growth_in_two_storey_spruce_birch_stand_white_birch_Valkonen(arg, libc, i):
	return libc.Height_growth_in_two_storey_spruce_birch_stand_white_birch_Valkonen(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_growth_in_two_storey_spruce_birch_stand_pubescent_birch_Valkonen(arg, libc, i):
	return libc.Height_growth_in_two_storey_spruce_birch_stand_pubescent_birch_Valkonen(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_in_two_storey_spruce_birch_stand_white_birch_Valkonen(arg, libc, i):
	return libc.Basal_area_growth_in_two_storey_spruce_birch_stand_white_birch_Valkonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_in_two_storey_spruce_birch_stand_pubescent_birch_Valkonen(arg, libc, i):
	return libc.Basal_area_growth_in_two_storey_spruce_birch_stand_pubescent_birch_Valkonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Bark_in_two_storey_spruce_birch_stand_birch_Valkonen(arg, libc, i):
	return libc.Bark_in_two_storey_spruce_birch_stand_birch_Valkonen(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_in_pine_birch_mixed_stand_pine_Valkonen(arg, libc, i):
	return libc.Diameter_in_pine_birch_mixed_stand_pine_Valkonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_in_pine_birch_mixed_stand_birch_Valkonen(arg, libc, i):
	return libc.Diameter_in_pine_birch_mixed_stand_birch_Valkonen(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_growth_in_pine_birch_mixed_stand_pine_Valkonen(arg, libc, i):
	return libc.Height_growth_in_pine_birch_mixed_stand_pine_Valkonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_growth_in_pine_birch_mixed_stand_birch_Valkonen(arg, libc, i):
	return libc.Height_growth_in_pine_birch_mixed_stand_birch_Valkonen(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_in_pine_birch_mixed_stand_pine_Valkonen(arg, libc, i):
	return libc.Basal_area_growth_in_pine_birch_mixed_stand_pine_Valkonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_in_pine_birch_mixed_stand_birch_Valkonen(arg, libc, i):
	return libc.Basal_area_growth_in_pine_birch_mixed_stand_birch_Valkonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Max_branch_diameter_in_pine_birch_mixed_stand_pine_Valkonen(arg, libc, i):
	return libc.Max_branch_diameter_in_pine_birch_mixed_stand_pine_Valkonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Median_height_seedling_in_pine_seed_tree_stand_pine_Valkonen(arg, libc, i):
	return libc.Median_height_seedling_in_pine_seed_tree_stand_pine_Valkonen(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Maximum_height_seedling_in_pine_seed_tree_stand_pine_Valkonen(arg, libc, i):
	return libc.Maximum_height_seedling_in_pine_seed_tree_stand_pine_Valkonen(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_seedling_in_pine_seed_tree_stand_pine_Valkonen(arg, libc, i):
	return libc.Diameter_seedling_in_pine_seed_tree_stand_pine_Valkonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_growth_seedling_in_pine_seed_tree_stand_pine_Valkonen(arg, libc, i):
	return libc.Height_growth_seedling_in_pine_seed_tree_stand_pine_Valkonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_seedling_in_pine_seed_tree_stand_pine_Valkonen(arg, libc, i):
	return libc.Basal_area_growth_seedling_in_pine_seed_tree_stand_pine_Valkonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Max_branch_diameter_seedling_in_pine_seed_tree_stand_pine_Valkonen(arg, libc, i):
	return libc.Max_branch_diameter_seedling_in_pine_seed_tree_stand_pine_Valkonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Annual_height_growth_seedling_JKK(arg, libc, i):
	return libc.Annual_height_growth_seedling_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_small_tree_pine_Ojansuu(arg, libc, i):
	return libc.Diameter_small_tree_pine_Ojansuu(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_small_tree_spruce_Ojansuu(arg, libc, i):
	return libc.Diameter_small_tree_spruce_Ojansuu(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_small_tree_birch_Ojansuu(arg, libc, i):
	return libc.Diameter_small_tree_birch_Ojansuu(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Grow_percentage_for_seedling_variables_JKK(arg, libc, i):
	return libc.Grow_percentage_for_seedling_variables_JKK(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Seedling_limits_JKK(arg, libc, i):
	return libc.Seedling_limits_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_tree_species_Hynynenym(arg, libc, i):
	return libc.Dominant_tree_species_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_species_natural_Hynynenym(arg, libc, i):
	return libc.Tree_species_natural_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_species_artificial_Hynynenym(arg, libc, i):
	return libc.Tree_species_artificial_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_species_JKK(arg, libc, i):
	return libc.Tree_species_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_species_fixed_JKK(arg, libc, i):
	return libc.Tree_species_fixed_JKK(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Number_of_new_trees_Hynynenym(arg, libc, i):
	return libc.Number_of_new_trees_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Number_of_new_trees_JKK(arg, libc, i):
	return libc.Number_of_new_trees_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Average_number_of_trees_natural_regeneration_Hynynenym(arg, libc, i):
	return libc.Average_number_of_trees_natural_regeneration_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Average_number_of_trees_artificial_regeneration_Hynynenym(arg, libc, i):
	return libc.Average_number_of_trees_artificial_regeneration_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Average_reference_time_to_reach_breast_height_Hynynenym(arg, libc, i):
	return libc.Average_reference_time_to_reach_breast_height_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Average_reference_diameter_at_breast_height_Hynynenym(arg, libc, i):
	return libc.Average_reference_diameter_at_breast_height_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_young_stand_pine_Huuskonen(arg, libc, i):
	return libc.Dominant_height_young_stand_pine_Huuskonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_diameter_young_stand_pine_Huuskonen(arg, libc, i):
	return libc.Dominant_diameter_young_stand_pine_Huuskonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_young_stand_pine_Huuskonen(arg, libc, i):
	return libc.Basal_area_young_stand_pine_Huuskonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_young_stand_pine_Huuskonen(arg, libc, i):
	return libc.Volume_young_stand_pine_Huuskonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Mean_height_young_stand_pine_Huuskonen(arg, libc, i):
	return libc.Mean_height_young_stand_pine_Huuskonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Mean_diameter_young_stand_pine_Huuskonen(arg, libc, i):
	return libc.Mean_diameter_young_stand_pine_Huuskonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_small_tree_pine_Siipilehto(arg, libc, i):
	return libc.Diameter_small_tree_pine_Siipilehto(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Initial_age_JKK(arg, libc, i):
	return libc.Initial_age_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_young_pine_Siipilehto(arg, libc, i):
	return libc.Diameter_young_pine_Siipilehto(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_growth_seedling_spruce_uneven_aged_stand_Eerikainen(arg, libc, i):
	return libc.Height_growth_seedling_spruce_uneven_aged_stand_Eerikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Number_of_new_trees_uneven_aged_stand_JKK(arg, libc, i):
	return libc.Number_of_new_trees_uneven_aged_stand_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_species_natural_after_uneven_aged_harvest_JKK(arg, libc, i):
	return libc.Tree_species_natural_after_uneven_aged_harvest_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)
