
#
# Title: wrapper_StandgrowthModels
#
# *wrapper_StandgrowthModels.py*
#
# Wrapper functions for a SIMO ModelLibrary. Acts as an Python/C DLL calling 
# interface between SIMO Simulator and the model library.
#
# All models are called with a regular function call, which includes the model
# input parameter(s), number of result variables, memory block which is used
# for passing result variables, warning and error memory blocks, error check
# mode, allowed risk level and rectification factor.
# 
# The models are not documented here in detail, as model.xml file is used
# for that purpose.
#
# Wrapper generated automatically Thu Mar 10 14:09:12 2016
#
# Imports
from ctypes import *

# Wrappers for the C functions:
#---------------------------------------------------------------------------
def Basal_area_growth_under_bark_pine_VuokilaValiaho(arg, libc, i):
	return libc.Basal_area_growth_under_bark_pine_VuokilaValiaho(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.parameters[0], 
		arg.parameters[1], arg.parameters[2], arg.parameters[3], 
		arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_under_bark_spruce_VuokilaValiaho(arg, libc, i):
	return libc.Basal_area_growth_under_bark_spruce_VuokilaValiaho(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_under_bark_pubescent_birch_Saramaki(arg, libc, i):
	return libc.Basal_area_growth_under_bark_pubescent_birch_Saramaki(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.parameters[0], 
		arg.parameters[1], arg.parameters[2], arg.parameters[3], 
		arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_pubescent_birch_Mielikainen(arg, libc, i):
	return libc.Basal_area_growth_pubescent_birch_Mielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.parameters[0], arg.parameters[1], arg.parameters[2], 
		arg.parameters[3], arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_white_birch_Mielikainen(arg, libc, i):
	return libc.Basal_area_growth_white_birch_Mielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_spruce_white_birch_mixed_stand_Mielikainen(arg, libc, i):
	return libc.Basal_area_growth_spruce_white_birch_mixed_stand_Mielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.parameters[0], arg.parameters[1], arg.parameters[2], 
		arg.parameters[3], arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_spruce_pubescent_birch_mixed_stand_Mielikainen(arg, libc, i):
	return libc.Basal_area_growth_spruce_pubescent_birch_mixed_stand_Mielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.parameters[0], arg.parameters[1], arg.parameters[2], 
		arg.parameters[3], arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_white_birch_Oikarinen(arg, libc, i):
	return libc.Volume_growth_white_birch_Oikarinen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.parameters[0], arg.parameters[1], arg.parameters[2], 
		arg.parameters[3], arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_white_birch_Mielikainen(arg, libc, i):
	return libc.Volume_growth_white_birch_Mielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_pubescent_birch_Mielikainen(arg, libc, i):
	return libc.Volume_growth_pubescent_birch_Mielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_spruce_white_birch_mixed_stand_Mielikainen(arg, libc, i):
	return libc.Volume_growth_spruce_white_birch_mixed_stand_Mielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.parameters[0], arg.parameters[1], arg.parameters[2], 
		arg.parameters[3], arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_spruce_pubescent_birch_mixed_stand_Mielikainen(arg, libc, i):
	return libc.Volume_growth_spruce_pubescent_birch_mixed_stand_Mielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_pine_with_dgm_NyyssonenMielikainen(arg, libc, i):
	return libc.Volume_growth_pine_with_dgm_NyyssonenMielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_spruce_with_dgm_NyyssonenMielikainen(arg, libc, i):
	return libc.Volume_growth_spruce_with_dgm_NyyssonenMielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_pine_NyyssonenMielikainen(arg, libc, i):
	return libc.Volume_growth_pine_NyyssonenMielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.parameters[0], arg.parameters[1], arg.parameters[2], 
		arg.parameters[3], arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_spruce_NyyssonenMielikainen(arg, libc, i):
	return libc.Volume_growth_spruce_NyyssonenMielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.parameters[0], arg.parameters[1], arg.parameters[2], 
		arg.parameters[3], arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_pine_entire_country_Gustavsen(arg, libc, i):
	return libc.Volume_growth_pine_entire_country_Gustavsen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_spruce_entire_country_Gustavsen(arg, libc, i):
	return libc.Volume_growth_spruce_entire_country_Gustavsen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_birch_entire_country_Gustavsen(arg, libc, i):
	return libc.Volume_growth_birch_entire_country_Gustavsen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_pine_southern_Finland_Gustavsen(arg, libc, i):
	return libc.Volume_growth_pine_southern_Finland_Gustavsen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_spruce_southern_Finland_Gustavsen(arg, libc, i):
	return libc.Volume_growth_spruce_southern_Finland_Gustavsen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_birch_southern_Finland_Gustavsen(arg, libc, i):
	return libc.Volume_growth_birch_southern_Finland_Gustavsen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_pine_northern_Finland_Gustavsen(arg, libc, i):
	return libc.Volume_growth_pine_northern_Finland_Gustavsen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_spruce_northern_Finland_Gustavsen(arg, libc, i):
	return libc.Volume_growth_spruce_northern_Finland_Gustavsen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_pine_Kainuu_Pohjois_Pohjanmaa_Gustavsen(arg, libc, i):
	return libc.Volume_growth_pine_Kainuu_Pohjois_Pohjanmaa_Gustavsen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_spruce_Kainuu_Pohjois_Pohjanmaa_Gustavsen(arg, libc, i):
	return libc.Volume_growth_spruce_Kainuu_Pohjois_Pohjanmaa_Gustavsen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_pine_Lapland_Gustavsen(arg, libc, i):
	return libc.Volume_growth_pine_Lapland_Gustavsen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_spruce_Lapland_Gustavsen(arg, libc, i):
	return libc.Volume_growth_spruce_Lapland_Gustavsen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_white_birch2_Mielikainen(arg, libc, i):
	return libc.Volume_growth_white_birch2_Mielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.parameters[0], arg.parameters[1], arg.parameters[2], 
		arg.parameters[3], arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_pine_Mielikainen(arg, libc, i):
	return libc.Volume_growth_pine_Mielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.parameters[0], 
		arg.parameters[1], arg.parameters[2], arg.parameters[3], 
		arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_white_birch_in_mixed_stand_Mielikainen(arg, libc, i):
	return libc.Volume_growth_white_birch_in_mixed_stand_Mielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.parameters[0], arg.parameters[1], arg.parameters[2], 
		arg.parameters[3], arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_pine_white_birch_mixed_stand_Mielikainen(arg, libc, i):
	return libc.Volume_growth_pine_white_birch_mixed_stand_Mielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_pine_pubescent_birch_mixed_stand_Mielikainen(arg, libc, i):
	return libc.Volume_growth_pine_pubescent_birch_mixed_stand_Mielikainen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_yield_class1_Gustavsenym(arg, libc, i):
	return libc.Volume_growth_yield_class1_Gustavsenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_yield_class2_Gustavsenym(arg, libc, i):
	return libc.Volume_growth_yield_class2_Gustavsenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.parameters[0], arg.parameters[1], arg.parameters[2], 
		arg.parameters[3], arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_yield_class3_Gustavsenym(arg, libc, i):
	return libc.Volume_growth_yield_class3_Gustavsenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.parameters[0], 
		arg.parameters[1], arg.parameters[2], arg.parameters[3], 
		arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_growth_yield_class4_Gustavsenym(arg, libc, i):
	return libc.Volume_growth_yield_class4_Gustavsenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.parameters[0], arg.parameters[1], arg.parameters[2], 
		arg.parameters[3], arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_growth_pine_VuokilaValiaho(arg, libc, i):
	return libc.Dominant_height_growth_pine_VuokilaValiaho(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.parameters[0], arg.parameters[1], arg.parameters[2], 
		arg.parameters[3], arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_growth_spruce_VuokilaValiaho(arg, libc, i):
	return libc.Dominant_height_growth_spruce_VuokilaValiaho(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.parameters[0], arg.parameters[1], arg.parameters[2], 
		arg.parameters[3], arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_growth_white_birch_Oikarinen(arg, libc, i):
	return libc.Dominant_height_growth_white_birch_Oikarinen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.parameters[0], arg.parameters[1], arg.parameters[2], 
		arg.parameters[3], arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_growth_pubescent_birch_Saramaki(arg, libc, i):
	return libc.Dominant_height_growth_pubescent_birch_Saramaki(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.parameters[0], arg.parameters[1], arg.parameters[2], 
		arg.parameters[3], arg.parameters[4], arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_growth_pine_Gustavsen(arg, libc, i):
	return libc.Dominant_height_growth_pine_Gustavsen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_growth_spruce_Gustavsen(arg, libc, i):
	return libc.Dominant_height_growth_spruce_Gustavsen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.parameters[0], arg.parameters[1], 
		arg.parameters[2], arg.parameters[3], arg.parameters[4], 
		arg.parameters[5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)
