
#
# Title: wrapper_TreeModels
#
# *wrapper_TreeModels.py*
#
# Wrapper functions for a SIMO ModelLibrary. Acts as an Python/C DLL calling 
# interface between SIMO Simulator and the model library.
#
# All models are called with a regular function call, which includes the model
# input parameter(s), number of result variables, memory block which is used
# for passing result variables, warning and error memory blocks, error check
# mode, allowed risk level and rectification factor.
# 
# The models are not documented here in detail, as model.xml file is used
# for that purpose.
#
# Wrapper generated automatically Thu Mar 10 14:09:15 2016
#
# Imports
from ctypes import *

# Wrappers for the C functions:
#---------------------------------------------------------------------------
def Age_pine_hemib_h_KalliovirtaTokola(arg, libc, i):
	return libc.Age_pine_hemib_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_southb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Age_pine_southb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_middleb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Age_pine_middleb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_northb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Age_pine_northb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_hemib_h_KalliovirtaTokola(arg, libc, i):
	return libc.Age_spruce_hemib_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_southb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Age_spruce_southb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_middleb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Age_spruce_middleb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_northb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Age_spruce_northb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_hemib_h_KalliovirtaTokola(arg, libc, i):
	return libc.Age_birch_hemib_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_southb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Age_birch_southb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_middleb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Age_birch_middleb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_northb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Age_birch_northb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_entire_country_h_KalliovirtaTokola(arg, libc, i):
	return libc.Age_pine_entire_country_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_entire_country_h_KalliovirtaTokola(arg, libc, i):
	return libc.Age_spruce_entire_country_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_entire_country_h_KalliovirtaTokola(arg, libc, i):
	return libc.Age_birch_entire_country_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_pine_Veltheim(arg, libc, i):
	return libc.Height_pine_Veltheim(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_spruce_Veltheim(arg, libc, i):
	return libc.Height_spruce_Veltheim(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_white_birch_Veltheim(arg, libc, i):
	return libc.Height_white_birch_Veltheim(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_pubescent_birch_Veltheim(arg, libc, i):
	return libc.Height_pubescent_birch_Veltheim(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_pine_peatland_Veltheim(arg, libc, i):
	return libc.Height_pine_peatland_Veltheim(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_spruce_peatland_Veltheim(arg, libc, i):
	return libc.Height_spruce_peatland_Veltheim(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_birch_peatland_Veltheim(arg, libc, i):
	return libc.Height_birch_peatland_Veltheim(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_reduced_pine_Veltheim(arg, libc, i):
	return libc.Height_reduced_pine_Veltheim(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_reduced_spruce_Veltheim(arg, libc, i):
	return libc.Height_reduced_spruce_Veltheim(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_reduced_white_birch_Veltheim(arg, libc, i):
	return libc.Height_reduced_white_birch_Veltheim(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_reduced_pubescent_birch_Veltheim(arg, libc, i):
	return libc.Height_reduced_pubescent_birch_Veltheim(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_reduced_pine_peatland_Veltheim(arg, libc, i):
	return libc.Height_reduced_pine_peatland_Veltheim(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_reduced_spruce_peatland_Veltheim(arg, libc, i):
	return libc.Height_reduced_spruce_peatland_Veltheim(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_reduced_birch_peatland_Veltheim(arg, libc, i):
	return libc.Height_reduced_birch_peatland_Veltheim(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_pine_Siipilehto(arg, libc, i):
	return libc.Height_pine_Siipilehto(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_spruce_Siipilehto(arg, libc, i):
	return libc.Height_spruce_Siipilehto(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_birch_Siipilehto(arg, libc, i):
	return libc.Height_birch_Siipilehto(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_grey_alder_Karki(arg, libc, i):
	return libc.Height_grey_alder_Karki(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Log_volume_reduction_pine_Mehtatalo(arg, libc, i):
	return libc.Log_volume_reduction_pine_Mehtatalo(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Log_volume_reduction_pine_north_Finland_Mehtatalo(arg, libc, i):
	return libc.Log_volume_reduction_pine_north_Finland_Mehtatalo(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Log_volume_reduction_pine_scrub_land_Mehtatalo(arg, libc, i):
	return libc.Log_volume_reduction_pine_scrub_land_Mehtatalo(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Log_volume_reduction_spruce_Mehtatalo(arg, libc, i):
	return libc.Log_volume_reduction_spruce_Mehtatalo(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Log_volume_reduction_spruce_north_Finland_Mehtatalo(arg, libc, i):
	return libc.Log_volume_reduction_spruce_north_Finland_Mehtatalo(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Log_volume_reduction_spruce_scrub_land_north_Finland_Mehtatalo(arg, libc, i):
	return libc.Log_volume_reduction_spruce_scrub_land_north_Finland_Mehtatalo(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Log_volume_reduction_white_birch_Mehtatalo(arg, libc, i):
	return libc.Log_volume_reduction_white_birch_Mehtatalo(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Log_volume_reduction_pubescent_birch_Mehtatalo(arg, libc, i):
	return libc.Log_volume_reduction_pubescent_birch_Mehtatalo(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Log_volume_reduction_aspen_Mehtatalo(arg, libc, i):
	return libc.Log_volume_reduction_aspen_Mehtatalo(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_pine_Laasasenaho(arg, libc, i):
	return libc.Volume_pine_Laasasenaho(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_spruce_Laasasenaho(arg, libc, i):
	return libc.Volume_spruce_Laasasenaho(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_birch_Laasasenaho(arg, libc, i):
	return libc.Volume_birch_Laasasenaho(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_pine_upper_height_Laasasenaho(arg, libc, i):
	return libc.Volume_pine_upper_height_Laasasenaho(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_spruce_upper_height_Laasasenaho(arg, libc, i):
	return libc.Volume_spruce_upper_height_Laasasenaho(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_birch_upper_height_Laasasenaho(arg, libc, i):
	return libc.Volume_birch_upper_height_Laasasenaho(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Volume_grey_alder_Karki(arg, libc, i):
	return libc.Volume_grey_alder_Karki(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_Vahasaari(arg, libc, i):
	return libc.Age_pine_Vahasaari(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_Korhonen(arg, libc, i):
	return libc.Age_spruce_Korhonen(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_hemib_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_pine_hemib_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_hemib_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_spruce_hemib_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_hemib_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_birch_hemib_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_southb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_pine_southb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_southb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_spruce_southb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_southb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_birch_southb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_middleb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_pine_middleb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_middleb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_spruce_middleb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_middleb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_birch_middleb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_northb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_pine_northb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_northb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_spruce_northb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_northb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_birch_northb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_entire_country_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_pine_entire_country_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_entire_country_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_spruce_entire_country_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_entire_country_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_birch_entire_country_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_entire_country_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_pine_entire_country_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_entire_country_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_spruce_entire_country_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_entire_country_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_birch_entire_country_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_hemib_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_pine_hemib_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_hemib_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_spruce_hemib_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_hemib_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_birch_hemib_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_southb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_pine_southb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_southb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_spruce_southb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_southb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_birch_southb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_middleb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_pine_middleb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_middleb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_spruce_middleb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_middleb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_birch_middleb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_northb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_pine_northb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_northb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_spruce_northb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_northb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Age_birch_northb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_entire_country_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_entire_country_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_entire_country_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_entire_country_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_entire_country_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_entire_country_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_hemib_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_hemib_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_hemib_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_hemib_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_hemib_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_hemib_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_southb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_southb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_southb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_southb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_southb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_southb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_middleb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_middleb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_middleb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_middleb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_middleb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_middleb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_northb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_northb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_northb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_northb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_northb_h_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_northb_h_d_crm_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_entire_country_h_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_entire_country_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_entire_country_h_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_entire_country_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_entire_country_h_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_entire_country_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_hemib_h_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_hemib_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_hemib_h_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_hemib_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_hemib_h_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_hemib_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_southb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_southb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_southb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_southb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_southb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_southb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_middleb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_middleb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_middleb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_middleb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_middleb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_middleb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_northb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_northb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_northb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_northb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_northb_h_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_northb_h_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_entire_country_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_entire_country_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_entire_country_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_entire_country_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_entire_country_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_entire_country_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_hemib_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_hemib_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_hemib_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_hemib_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_hemib_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_hemib_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_southb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_southb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_southb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_southb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_southb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_southb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_middleb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_middleb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_middleb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_middleb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_middleb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_middleb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_northb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_northb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_northb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_northb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_northb_d_crm_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_northb_d_crm_KalliovirtaTokola(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_entire_country_h_d_crm_c_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_entire_country_h_d_crm_c_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_entire_country_h_d_crm_c_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_entire_country_h_d_crm_c_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_entire_country_h_d_crm_c_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_entire_country_h_d_crm_c_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_hemib_h_d_crm_c_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_hemib_h_d_crm_c_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_hemib_h_d_crm_c_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_hemib_h_d_crm_c_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_hemib_h_d_crm_c_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_hemib_h_d_crm_c_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_southb_h_d_crm_c_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_southb_h_d_crm_c_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_southb_h_d_crm_c_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_southb_h_d_crm_c_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_southb_h_d_crm_c_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_southb_h_d_crm_c_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_middleb_h_d_crm_c_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_middleb_h_d_crm_c_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_middleb_h_d_crm_c_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_middleb_h_d_crm_c_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_middleb_h_d_crm_c_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_middleb_h_d_crm_c_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_pine_northb_h_d_crm_c_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_pine_northb_h_d_crm_c_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_spruce_northb_h_d_crm_c_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_spruce_northb_h_d_crm_c_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_birch_northb_h_d_crm_c_KalliovirtaTokola(arg, libc, i):
	return libc.Diameter_birch_northb_h_d_crm_c_KalliovirtaTokola(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_at_stump_height_Laasasenaho(arg, libc, i):
	return libc.Diameter_at_stump_height_Laasasenaho(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Crown_ratio_pine_Hynynenym(arg, libc, i):
	return libc.Crown_ratio_pine_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Crown_ratio_spruce_Hynynenym(arg, libc, i):
	return libc.Crown_ratio_spruce_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Crown_ratio_deciduous_Hynynenym(arg, libc, i):
	return libc.Crown_ratio_deciduous_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_of_tree_JKK(arg, libc, i):
	return libc.Basal_area_of_tree_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_of_tree_m2_JKK(arg, libc, i):
	return libc.Basal_area_of_tree_m2_JKK(
		arg.variables[i][0], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Crown_ratio_pine_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Crown_ratio_pine_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Crown_ratio_spruce_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Crown_ratio_spruce_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Crown_ratio_deciduous_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Crown_ratio_deciduous_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Diameter_under_bark_Melkas_Laasasenaho(arg, libc, i):
	return libc.Diameter_under_bark_Melkas_Laasasenaho(
		arg.variables[i][0], arg.variables[i][1], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_SF_JKK(arg, libc, i):
	return libc.Age_pine_SF_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_SF_JKK(arg, libc, i):
	return libc.Age_spruce_SF_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_SF_JKK(arg, libc, i):
	return libc.Age_birch_SF_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_pine_NF_JKK(arg, libc, i):
	return libc.Age_pine_NF_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_spruce_NF_JKK(arg, libc, i):
	return libc.Age_spruce_NF_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Age_birch_NF_JKK(arg, libc, i):
	return libc.Age_birch_NF_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Stem_number_plot_JKK(arg, libc, i):
	return libc.Stem_number_plot_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_height_JKK(arg, libc, i):
	return libc.Tree_height_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_height_with_calibration_JKK(arg, libc, i):
	return libc.Tree_height_with_calibration_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Biological_tree_age_JKK(arg, libc, i):
	return libc.Biological_tree_age_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_volume_JKK(arg, libc, i):
	return libc.Tree_volume_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_volume_plot_JKK(arg, libc, i):
	return libc.Tree_volume_plot_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_age_JKK(arg, libc, i):
	return libc.Tree_age_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Log_volume_reduction_JKK(arg, libc, i):
	return libc.Log_volume_reduction_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Calibration_age_JKK(arg, libc, i):
	return libc.Calibration_age_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Calibration_height_JKK(arg, libc, i):
	return libc.Calibration_height_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Crown_ratio_JKK(arg, libc, i):
	return libc.Crown_ratio_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], arg.variables[i][16], arg.variables[i][17], 
		arg.variables[i][18], arg.variables[i][19], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)
