
#
# Title: wrapper_TreegrowthModels
#
# *wrapper_TreegrowthModels.py*
#
# Wrapper functions for a SIMO ModelLibrary. Acts as an Python/C DLL calling 
# interface between SIMO Simulator and the model library.
#
# All models are called with a regular function call, which includes the model
# input parameter(s), number of result variables, memory block which is used
# for passing result variables, warning and error memory blocks, error check
# mode, allowed risk level and rectification factor.
# 
# The models are not documented here in detail, as model.xml file is used
# for that purpose.
#
# Wrapper generated automatically Thu Mar 10 14:09:13 2016
#
# Imports
from ctypes import *

# Wrappers for the C functions:
#---------------------------------------------------------------------------
def Height_growth_pine_Hynynenym(arg, libc, i):
	return libc.Height_growth_pine_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_growth_spruce_Hynynenym(arg, libc, i):
	return libc.Height_growth_spruce_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_growth_birch_Hynynenym(arg, libc, i):
	return libc.Height_growth_birch_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_peatland_pine_Hynynenym(arg, libc, i):
	return libc.Height_peatland_pine_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_peatland_spruce_Hynynenym(arg, libc, i):
	return libc.Height_peatland_spruce_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_peatland_birch_Hynynenym(arg, libc, i):
	return libc.Height_peatland_birch_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_pine_Hynynenym(arg, libc, i):
	return libc.Basal_area_growth_pine_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_spruce_Hynynenym(arg, libc, i):
	return libc.Basal_area_growth_spruce_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_birch_Hynynenym(arg, libc, i):
	return libc.Basal_area_growth_birch_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_peatland_pine_Hynynenym(arg, libc, i):
	return libc.Basal_area_growth_peatland_pine_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_peatland_spruce_Hynynenym(arg, libc, i):
	return libc.Basal_area_growth_peatland_spruce_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_peatland_birch_Hynynenym(arg, libc, i):
	return libc.Basal_area_growth_peatland_birch_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_pine_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Basal_area_growth_pine_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_spruce_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Basal_area_growth_spruce_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_birch_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Basal_area_growth_birch_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_peatland_pine_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Basal_area_growth_peatland_pine_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_peatland_spruce_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Basal_area_growth_peatland_spruce_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_peatland_birch_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Basal_area_growth_peatland_birch_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_peatland_pine_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Height_peatland_pine_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_peatland_spruce_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Height_peatland_spruce_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Height_peatland_birch_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Height_peatland_birch_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Grow_ba_peatland_JKK(arg, libc, i):
	return libc.Grow_ba_peatland_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], arg.variables[i][16], arg.variables[i][17], 
		arg.variables[i][18], arg.variables[i][19], arg.variables[i][20], 
		arg.variables[i][21], arg.variables[i][22], arg.variables[i][23], 
		arg.variables[i][24], arg.variables[i][25], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Grow_ba_peatland_spruce_with_mineralsoil_model_JKK(arg, libc, i):
	return libc.Grow_ba_peatland_spruce_with_mineralsoil_model_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], arg.variables[i][16], arg.variables[i][17], 
		arg.variables[i][18], arg.variables[i][19], arg.variables[i][20], 
		arg.variables[i][21], arg.variables[i][22], arg.variables[i][23], 
		arg.variables[i][24], arg.variables[i][25], arg.variables[i][26], 
		arg.variables[i][27], arg.variables[i][28], arg.variables[i][29], 
		arg.variables[i][30], arg.variables[i][31], arg.variables[i][32], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Grow_h_mineral_soil_JKK(arg, libc, i):
	return libc.Grow_h_mineral_soil_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Grow_ba_mineral_soil_JKK(arg, libc, i):
	return libc.Grow_ba_mineral_soil_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], arg.variables[i][16], arg.variables[i][17], 
		arg.variables[i][18], arg.variables[i][19], arg.variables[i][20], 
		arg.variables[i][21], arg.variables[i][22], arg.variables[i][23], 
		arg.variables[i][24], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_height_before_growing_d_peatland_JKK(arg, libc, i):
	return libc.Tree_height_before_growing_d_peatland_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Tree_height_after_growing_d_peatland_JKK(arg, libc, i):
	return libc.Tree_height_after_growing_d_peatland_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def H_dom_growth_JKK(arg, libc, i):
	return libc.H_dom_growth_JKK(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_pine_Hynynenym(arg, libc, i):
	return libc.Dominant_height_pine_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_after_5_years_pine_Hynynenym(arg, libc, i):
	return libc.Dominant_height_after_5_years_pine_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_spruce_Hynynenym(arg, libc, i):
	return libc.Dominant_height_spruce_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_after_5_years_spruce_Hynynenym(arg, libc, i):
	return libc.Dominant_height_after_5_years_spruce_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_birch_Hynynenym(arg, libc, i):
	return libc.Dominant_height_birch_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_after_5_years_birch_Hynynenym(arg, libc, i):
	return libc.Dominant_height_after_5_years_birch_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_pine_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Dominant_height_pine_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_spruce_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Dominant_height_spruce_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_birch_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Dominant_height_birch_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_after_5_years_pine_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Dominant_height_after_5_years_pine_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_after_5_years_spruce_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Dominant_height_after_5_years_spruce_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Dominant_height_after_5_years_birch_with_bias_corr_Hynynenym(arg, libc, i):
	return libc.Dominant_height_after_5_years_birch_with_bias_corr_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_peatland_pine_with_bias_corr_fixed_Hynynenym(arg, libc, i):
	return libc.Basal_area_growth_peatland_pine_with_bias_corr_fixed_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_peatland_spruce_with_bias_corr_fixed_Hynynenym(arg, libc, i):
	return libc.Basal_area_growth_peatland_spruce_with_bias_corr_fixed_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)

def Basal_area_growth_peatland_birch_with_bias_corr_fixed_Hynynenym(arg, libc, i):
	return libc.Basal_area_growth_peatland_birch_with_bias_corr_fixed_Hynynenym(
		arg.variables[i][0], arg.variables[i][1], arg.variables[i][2], 
		arg.variables[i][3], arg.variables[i][4], arg.variables[i][5], 
		arg.variables[i][6], arg.variables[i][7], arg.variables[i][8], 
		arg.variables[i][9], arg.variables[i][10], arg.variables[i][11], 
		arg.variables[i][12], arg.variables[i][13], arg.variables[i][14], 
		arg.variables[i][15], 
		byref(arg.num_of_res_objs[i]), arg.mem[i], byref(arg.errors[i]),
		arg.error_check_mode, arg.allowed_risk_level, arg.rect_factor)
