#!/usr/bin/env python
# encoding: utf-8
"""
*setup.py*
"""

import sys
import os
import numpy
from distutils.core import setup, Extension


# try to find a directory containing numpy includes, more specifically 
# C header file "arrayobject.h"
incl_dir = os.path.join(os.path.dirname(numpy.__file__), 'core', 'include')


if str.lower(sys.platform[:3])=='dar':
    setup(name="SIMO operation C extensions",
    	  version="0.5",
    	  maintainer = "Simosol Oy",
    	  maintainer_email = "info@simosol.fi",
    	  description = "C extension modules for SIMO operation libraries",
          ext_modules=[Extension("operations_ext", ["operations_ext.c"],
                                 include_dirs=[incl_dir])])
    
    setup(name="SIMO data handler C extensions",
    	  version="0.5",
    	  maintainer = "Simosol Oy",
    	  maintainer_email = "info@simosol.fi",
    	  description = "Cythonized C extensions for SIMO data handler",
          ext_modules=[Extension("handler_ext",
                       ["handler_ext.c"],
                       include_dirs=[incl_dir])])
    
    setup(name="SIMO optimizer C extensions",
          version="0.5",
          maintainer = "Simosol Oy",
          maintainer_email = "info@simosol.fi",
          description = "Cythonized C extensions for SIMO optimizer",
          ext_modules=[Extension("opt_ext",
                       ["opt_ext.c"],
                       include_dirs=[incl_dir])])
else:      		   
    setup(name="SIMO operation C extensions",
    	  version="0.5",
    	  maintainer = "Simosol Oy",
      	  maintainer_email = "info@simosol.fi",
    	  description = "C extension modules for SIMO operation libraries",
          ext_modules=[Extension("operations_ext", ["operations_ext.c"])])
    
    setup(name="SIMO data handler C extensions",
    	  version="0.5",
      	  maintainer = "Simosol Oy",
      	  maintainer_email = "info@simosol.fi",
      	  description = "Cythonized C extensions for SIMO data handler",
          ext_modules=[Extension("handler_ext", ["handler_ext.c"])])

    setup(name="SIMO optimizer C extensions",
          version="0.5",
          maintainer = "Simosol Oy",
          maintainer_email = "info@simosol.fi",
          description = "Cythonized C extensions for SIMO optimizer",
          ext_modules=[Extension("opt_ext", ["opt_ext.c"])])