// Copyright (c) 2007 Simosol Oy. Distributed under the GNU General Public License 2.0.

//////////////////////////////////////////////////////////////////////////////
//
//  ClimatechangemodelLibrary.cpp
//
// 	Tree level growth Models - Header file
//
//	Here all model functions must be defined

#if MODE==1
# define DLLEXPORT __declspec (dllexport)
#elif MODE==2
# define DLLEXPORT
#elif MODE==3
# define DLLEXPORT
#endif

#define PI 3.1415926535897932384626433832795029

struct Tree_d_h_climate_change {
	double ih_cc;
	double id_cc;
};

//	Conventional function declarations used when the library is linked
//	using the .LIB file / tjp 4.5.2005

//  All the model calls follow the same rules for the input parameters. Each
//  model is called with the actual model parameters, plus a set of pointers
//  which the model function sets to contain the number of results, the
//  actual modelresult and errors. The last three parameters
//  are the error checking mode, allowed risk level and the rectification
//  factor for the model. This way the models can be called easily from python
//  and C/C++ implementation. / AM 2.9.2005

//Undecorate C++ functions
#ifdef __cplusplus
extern "C" {
#endif

DLLEXPORT int Diameter_and_height_growth_climate_change_Matalaym (double d, double h, double i_v, double i_h, double RDF_L, double SP, double RDF, double TS, double SC, double T_elevation, double CO2_elevation, int *nres, struct Tree_d_h_climate_change *d_h_cc, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int T_elevation_JKK (double base_year_cc, double T_elev_in_100_years, double year, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int CO2_elevation_JKK (double base_year_cc, double CO2_elev_in_100_years, double year, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);

#ifdef __cplusplus
}
#endif