// Copyright (c) 2007 Simosol Oy. Distributed under the GNU General Public License 2.0.

//////////////////////////////////////////////////////////////////////////////
//
//  GeoLibrary.cpp
//
//	Geographical informations library - Header file
//
//	Here all model functions must be defined

#if MODE==1
# define DLLEXPORT __declspec (dllexport)
#elif MODE==2
# define DLLEXPORT
#elif MODE==3
# define DLLEXPORT
#endif

#define PI 3.1415926535897932384626433832795029

struct coordinates {
	double north_coor;
	double east_coor;
};

struct geo_informatives {
	double County;
	double NF;
	double Management_region;
};

//Undecorate C++ functions
#ifdef __cplusplus
extern "C" {
#endif

DLLEXPORT int Coordinates_JKK (double Municipal_id, int *nres, struct coordinates *coor, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Altitude_JKK (double Municipal_id, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Temperature_sum_JKK (double Municipal_id, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int County_JKK (double Municipal_id, int *nres, double *modelresult, char *errors,	int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Northern_Finland_JKK (double Municipal_id, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Management_region_JKK (double TS, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int County_Northern_Finland_and_Management_region_JKK (double Municipal_id, double TS, int *nres, struct geo_informatives *geo_info, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int EUREF_FIN_geographical_to_EUREF_FIN_rectangular_coordinates_JKK (double GEO_Y, double GEO_X, int *nres, struct coordinates *coor, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int EUREF_FIN_geographical_to_YKJ_rectangular_coordinates_JKK (double GEO_Y, double GEO_X, int *nres, struct coordinates *coor, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int YKJ_rectangular_to_EUREF_FIN_rectangular_coordinates_JKK (double Y, double X, int *nres, struct coordinates *coor, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int EUREF_FIN_rectangular_to_YKJ_rectangular_coordinates_JKK (double Y, double X, int *nres, struct coordinates *coor, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int YKJ_rectangular_to_EUREF_FIN_geographical_coordinates_JKK (double Y, double X, int *nres, struct coordinates *coor, char *errors,	int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int EUREF_FIN_rectangular_to_EUREF_FIN_geographical_coordinates_JKK (double Y, double X, int *nres, struct coordinates *coor, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);

#ifdef __cplusplus
}
#endif