// Copyright (c) 2007 Simosol Oy. Distributed under the GNU General Public License 2.0.

//////////////////////////////////////////////////////////////////////////////
//
//  InitmodelLibrary.cpp
//
//	Initialization model library - Source file
//
//	Here are the conventional calls of the functions

#include <stdio.h>
#include "InitmodelLibrary.h"
#include "SimoUtils.h"

#include <math.h>
#include <stdlib.h>
#include <string.h>

int Assign_to_zero_after_clearcut_comp_unit_JKK (int *nres, struct To_zero_clearcut_comp_unit *to_zero, char *errors,
						int errorCheckMode, double allowedRiskLevel, double rectFactor)
{
    int ret = 1;
	//Assign variables to zero after clearcut in comp_unit level

	to_zero[0].BA=0;
	to_zero[0].D_gM=0;
	to_zero[0].H_gM=0;
	to_zero[0].H_dom=0;
	to_zero[0].V=0;
	to_zero[0].D_dom=0;
	to_zero[0].CR_dom=0;
	to_zero[0].N=0;
	to_zero[0].N_ingrowth=0;
	to_zero[0].N_expected=0;
	to_zero[0].Age=0;
	to_zero[0].passed_regen_limit=0;
	to_zero[0].HgM_ari=0;
	to_zero[0].Upper_sum=0;
	to_zero[0].Two_st=0;
	to_zero[0].N_stratum=0;
	to_zero[0].N_upper=0;
	to_zero[0].N_under=0;
	to_zero[0].N_tree=0;
	to_zero[0].RDF=0;
	to_zero[0].RDF_up=0;
	to_zero[0].RDF_Sp=0;
	to_zero[0].RDF_Ns=0;
	to_zero[0].RDF_sb=0;
	to_zero[0].RDF_pb=0;
	to_zero[0].RDF_oc=0;
	to_zero[0].RDF_od=0;
	to_zero[0].RDF_decid=0;
	to_zero[0].BA_prosb=0;
	to_zero[0].stand_value=0;
	to_zero[0].trees_generated=0;
	//99 to Thinning_limit
	to_zero[0].Thinning_limit=99;
	to_zero[0].SOILPREP=0;
	to_zero[0].V_log=0;
	to_zero[0].V_pulp=0;
	
	*nres = 1;
	return ret;

}

int Assign_to_zero_after_seedtreecut_comp_unit_JKK (int *nres, struct To_zero_seedtreecut_comp_unit *to_zero, char *errors,
						int errorCheckMode, double allowedRiskLevel, double rectFactor)
{
    int ret = 1;
	//Assign variables to zero after seedtreecut in comp_unit level

	to_zero[0].N_ingrowth=0;
	to_zero[0].N_expected=0;
	to_zero[0].Upper_sum=0;
	to_zero[0].Two_st=0;
	to_zero[0].N_upper=0;
	to_zero[0].N_under=0;
	to_zero[0].passed_regen_limit=0;
	to_zero[0].stand_value=0;
	to_zero[0].SOILPREP=0;

	*nres = 1;
	return ret;

}

int Assign_to_zero_after_removing_seedtrees1_comp_unit_JKK (int *nres, struct To_zero_removing_seedtrees_comp_unit1 *to_zero, char *errors,
						int errorCheckMode, double allowedRiskLevel, double rectFactor)
{
    int ret = 1;
	//Assign variables to zero after removing seedtrees in comp_unit level

	to_zero[0].Upper_sum=0;
	to_zero[0].Two_st=0;
	to_zero[0].N_upper=0;
	to_zero[0].N_under=0;
	to_zero[0].RDF=0;
	to_zero[0].RDF_up=0;
	to_zero[0].RDF_Sp=0;
	to_zero[0].RDF_Ns=0;
	to_zero[0].RDF_sb=0;
	to_zero[0].RDF_pb=0;
	to_zero[0].RDF_oc=0;
	to_zero[0].RDF_od=0;
	to_zero[0].RDF_decid=0;
	to_zero[0].seedling_below13=1;
	to_zero[0].trees_generated=0;
	//99 to Thinning_limit
	to_zero[0].Thinning_limit=99;
	
	*nres = 1;
	return ret;

}

int Assign_to_zero_after_removing_seedtrees2_comp_unit_JKK (int *nres, struct To_zero_removing_seedtrees_comp_unit2 *to_zero, char *errors,
						int errorCheckMode, double allowedRiskLevel, double rectFactor)
{
    int ret = 1;
	//Assign variables to zero after removing seedtrees in comp_unit level

	to_zero[0].BA=0;
	to_zero[0].D_gM=0;
	to_zero[0].V=0;
	to_zero[0].D_dom=0;
	to_zero[0].CR_dom=0;
	to_zero[0].BA_prosb=0;
    	to_zero[0].N_tree=0;
	
	*nres = 1;
	return ret;

}

int Assign_init_values_tree_JKK (int *nres, struct To_zero_init_tree *to_zero, char *errors,
						int errorCheckMode, double allowedRiskLevel, double rectFactor)
{
    int ret = 1;
    //Assign variables to zero
	to_zero[0].a=0;
	to_zero[0].density=0;
	to_zero[0].BM_stem=0;
	to_zero[0].BM_branches=0;
	to_zero[0].BM_roots=0;
	to_zero[0].BM_fine_roots=0;
	to_zero[0].BM_stump=0;
	to_zero[0].BM_foliage=0;
	to_zero[0].d_s=0;
	to_zero[0].ba_n=0;
	to_zero[0].cr=0;
	to_zero[0].RDF_L=0;
	to_zero[0].BA_L=0;
	to_zero[0].log_r=1;
	
	*nres = 1;
	return ret;    
       
}

int Assign_init_values_stratum_JKK (int *nres, struct To_zero_init_stratum *to_zero, char *errors,
						int errorCheckMode, double allowedRiskLevel, double rectFactor)
{
    int ret = 1;
    //Assign variables to zero
	to_zero[0].N_ingrowth=0;
	to_zero[0].N_theor=0;
	to_zero[0].N_tree=0;
	to_zero[0].natural_ingrowth=0;
	to_zero[0].artificial_ingrowth=0;
	to_zero[0].RDF=0;
	to_zero[0].trees_just_generated=0;
	to_zero[0].V=0;
	to_zero[0].V_old=0;
	to_zero[0].stand_value=0;
	to_zero[0].COMWOOD=0;
	to_zero[0].LOGp=0;
	to_zero[0].i_Vm3=0;
	to_zero[0].i_Vpros=0;
    to_zero[0].seedtree_stratum=0;
    to_zero[0].seedling_below13=0;
    to_zero[0].A=0;
    to_zero[0].Calibration_age=1;
   	to_zero[0].Calibration_height=1;
    to_zero[0].norm_height_dist=0;
    to_zero[0].trees_generated=0;
    to_zero[0].V_PULP=0;
    to_zero[0].V_LOG=0;
    to_zero[0].BM_foliage=0;
    	to_zero[0].BM_branches=0;
    	to_zero[0].BM_roots=0;
    	to_zero[0].BM_stumps=0;
    	to_zero[0].BM_stems=0;
    	to_zero[0].BM_fine_roots=0;
    	to_zero[0].BM_total=0;
    	to_zero[0].Carbon_flux_natural_removal=0;
	to_zero[0].Carbon_flux_natural_removal_energy=0;
	to_zero[0].BA_measured=1;
	to_zero[0].growing_seedling_in2st=0;
	to_zero[0].i_Vm3_1 = -999;
	to_zero[0].i_Vm3_2 = -999;
	to_zero[0].i_Vm3_3 = -999;
	to_zero[0].i_Vm3_4 = -999;
	to_zero[0].i_Vm3_5 = -999;
		
	*nres = 1;
	return ret;    
       
}

int Assign_init_values_comp_unit_JKK (int *nres, struct To_zero_init_comp_unit *to_zero, char *errors,
						int errorCheckMode, double allowedRiskLevel, double rectFactor)
{
    int ret = 1;
    //Assign variables to zero
	to_zero[0].N_max_Sp=0;
	to_zero[0].N_max_Ns=0;
	to_zero[0].N_max_sb=0;
	to_zero[0].N_max_pb=0;
	to_zero[0].N_max_oc=0;
	to_zero[0].N_max_od=0;
	to_zero[0].N_max_Sp_upper=0;
	to_zero[0].N_max_Ns_upper=0;
	to_zero[0].N_max_sb_upper=0;
	to_zero[0].N_max_pb_upper=0;
	to_zero[0].N_max_oc_upper=0;
	to_zero[0].N_max_od_upper=0;
	to_zero[0].N_max_Sp_under=0;
	to_zero[0].N_max_Ns_under=0;
	to_zero[0].N_max_sb_under=0;
	to_zero[0].N_max_pb_under=0;
	to_zero[0].N_max_oc_under=0;
	to_zero[0].N_max_od_under=0;
	to_zero[0].N_Sp=0;
	to_zero[0].N_Ns=0;
	to_zero[0].N_sb=0;
	to_zero[0].N_pb=0;
	to_zero[0].N_oc=0;
	to_zero[0].N_od=0;
	to_zero[0].N_Sp_upper=0;
	to_zero[0].N_Ns_upper=0;
	to_zero[0].N_sb_upper=0;
	to_zero[0].N_pb_upper=0;
	to_zero[0].N_oc_upper=0;
	to_zero[0].N_od_upper=0;
	to_zero[0].value_growth_rel_1 = -999;
	to_zero[0].value_growth_rel_2 = -999;
	to_zero[0].value_growth_rel_3 = -999;
	to_zero[0].value_growth_rel_4 = -999;
	to_zero[0].value_growth_rel_5 = -999;
	to_zero[0].value_growth_abs_1 = -999;
	to_zero[0].value_growth_abs_2 = -999;
	to_zero[0].value_growth_abs_3 = -999;
	to_zero[0].value_growth_abs_4 = -999;
	to_zero[0].value_growth_abs_5 = -999;
	to_zero[0].RDF=0;
	to_zero[0].RDF_up=0;
	to_zero[0].RDFSp_up=0;
	to_zero[0].RDFNs_up=0;
	to_zero[0].RDFsb_up=0;
	to_zero[0].RDFpb_up=0;
	to_zero[0].V_old=0;
	to_zero[0].V=0;
	to_zero[0].N_ingrowth=0;
	to_zero[0].N_theor=0;
	to_zero[0].BA_prosb=0;
	to_zero[0].BA_prosNs=0;
	to_zero[0].BA_prosNsb=0;
	to_zero[0].stand_value=0;
	to_zero[0].i_Vm3=0;
	to_zero[0].i_Vpros=0;
	to_zero[0].open_area=0;
	to_zero[0].pure_seedling=0;
	to_zero[0].N_upper=0;
	to_zero[0].N_under=0;
	to_zero[0].seedtree_stand=0;
	to_zero[0].SEEDTREESTAND_NO_SEEDLINGS=0;
	to_zero[0].REGENERABLE=0;
	to_zero[0].PUB=0;
	to_zero[0].Age_difference=0;
	to_zero[0].Age_lower=0;
	to_zero[0].Age_upper=0;
	to_zero[0].Thinning_limit=99;
	to_zero[0].seedling_below13=0;
	to_zero[0].OLD_DEVEL_CLASS=0;
    to_zero[0].N_expected=0;
    to_zero[0].trees_generated=0;
    to_zero[0].N_tree=0;
    to_zero[0].Two_st=0;
    to_zero[0].strip_cutting_stand=0;
    to_zero[0].RDF_Sp=0;
	to_zero[0].RDF_Ns=0;
	to_zero[0].RDF_sb=0;
	to_zero[0].RDF_pb=0;
	to_zero[0].RDF_oc=0;
	to_zero[0].RDF_od=0;
	to_zero[0].RDF_decid=0;
	to_zero[0].BA_b=0;
	to_zero[0].BA_Ns=0;
	to_zero[0].BA_Nsb=0;
    	to_zero[0].Harvest_BM_branches=0;
    	to_zero[0].Harvest_BM_roots=0;
    	to_zero[0].Harvest_BM_stumps=0;
    	to_zero[0].Harvest_BM_scrapstems=0;
    	to_zero[0].BM_total=0;
    	to_zero[0].BM_total_prev=0;
    	to_zero[0].PV=0;
    	to_zero[0].PV_land=0;
    	to_zero[0].BMASS_COLLECT_PROP_grass=0;
   	to_zero[0].natural_ingrowth=0;
    	to_zero[0].PV_1=0;
    	to_zero[0].PV_2=0;
    	to_zero[0].PV_3=0;
    	to_zero[0].PV_4=0;
    	to_zero[0].PV_5=0;
    	to_zero[0].PV_6=0;
    	to_zero[0].PV_7=0;
    	to_zero[0].PV_land_1=0;
    	to_zero[0].PV_land_2=0;
    	to_zero[0].PV_land_3=0;
    	to_zero[0].PV_land_4=0;
    	to_zero[0].PV_land_5=0;
    	to_zero[0].PV_land_6=0;
    	to_zero[0].PV_land_7=0;
    
	*nres = 1;
	return ret;       

}


int Assign_variable_values_after_artif_regeneration_comp_unit_JKK (int *nres, struct Values_after_artif_regeneration_comp_unit *values, char *errors,
						int errorCheckMode, double allowedRiskLevel, double rectFactor)
{
    int ret = 1;
	//Assign variables to zero
	values[0].BA=0;
	values[0].i_N5=0;
	values[0].N_ingrowth=0;
	values[0].N_theor=0;
	values[0].N_max_Sp=0;
	values[0].N_max_Ns=0;
	values[0].N_max_sb=0;
	values[0].N_max_pb=0;
	values[0].N_max_oc=0;
	values[0].N_max_od=0;
	values[0].N_max_Sp_upper=0;
	values[0].N_max_Ns_upper=0;
	values[0].N_max_sb_upper=0;
	values[0].N_max_pb_upper=0;
	values[0].N_max_oc_upper=0;
	values[0].N_max_od_upper=0;
	values[0].N_max_Sp_under=0;
	values[0].N_max_Ns_under=0;
	values[0].N_max_sb_under=0;
	values[0].N_max_pb_under=0;
	values[0].N_max_oc_under=0;
	values[0].N_max_od_under=0;
	values[0].N_Sp=0;
	values[0].N_Ns=0;
	values[0].N_sb=0;
	values[0].N_pb=0;
	values[0].N_oc=0;
	values[0].N_od=0;
	values[0].N_Sp_upper=0;
	values[0].N_Ns_upper=0;
	values[0].N_sb_upper=0;
	values[0].N_pb_upper=0;
	values[0].N_oc_upper=0;
	values[0].N_od_upper=0;
	values[0].BA_prosb=0;
	values[0].BA_prosNs=0;
	values[0].N_upper=0;
	values[0].N_under=0;
	values[0].value_growth_rel_1 = -999;
	values[0].value_growth_rel_2 = -999;
	values[0].value_growth_rel_3 = -999;
	values[0].value_growth_rel_4 = -999;
	values[0].value_growth_rel_5 = -999;
	values[0].value_growth_abs_1 = -999;
	values[0].value_growth_abs_2 = -999;
	values[0].value_growth_abs_3 = -999;
	values[0].value_growth_abs_4 = -999;
	values[0].value_growth_abs_5 = -999;
	values[0].RDF_up=0;
	values[0].RDFSp_up=0;
	values[0].RDFNs_up=0;
	values[0].RDFsb_up=0;
	values[0].RDFpb_up=0;
	values[0].V_old=0;
	values[0].V=0;
	values[0].open_area=0;
	values[0].stand_value=0;
	values[0].i_Vm3=0;
	values[0].i_Vpros=0;
	values[0].seedtree_stand=0;
	values[0].Age_difference=0;
	//Assign variable values
    values[0].CULT=1;
    values[0].seedling_below13=1;
    values[0].Thinning_limit=99;
    values[0].pure_seedling=1;
    values[0].RDF_Sp=0;
	values[0].RDF_Ns=0;
	values[0].RDF_sb=0;
	values[0].RDF_pb=0;
	values[0].RDF_oc=0;
	values[0].RDF_od=0;
	values[0].RDF_decid=0;

	*nres = 1;
	return ret;       

}

int Assign_variable_values_after_natur_regeneration_or_ingrowth_stratum_JKK (int *nres, struct Values_after_natur_regen_or_ingrowth_stratum *values, char *errors,
						int errorCheckMode, double allowedRiskLevel, double rectFactor)
{
    int ret = 1;
    //Assign variables to zero
    values[0].BA=0;
    values[0].D_gM=0;
    values[0].H_gM=0;
    values[0].H_dom=0;
    values[0].N=0;
	values[0].N_theor=0;
	values[0].N_tree=0;
	values[0].A=0;
    values[0].Age=0;
	values[0].RDF=0;
	values[0].V=0;
	values[0].V_old=0;
	values[0].trees_generated=0;
	values[0].trees_just_generated=0;
	values[0].Upper_st=0;
	values[0].seedtree_stratum=0;
	values[0].artificial_ingrowth=0;
	values[0].stand_value=0;
	values[0].COMWOOD=0;
	values[0].LOGp=0;
	values[0].i_Vm3=0;
	values[0].i_Vpros=0;
	values[0].V_PULP=0;
	values[0].V_LOG=0;
	//Assign variable values	
	values[0].natural_ingrowth=1;
	values[0].seedling_below13=1;
	values[0].N_measured=0;
	values[0].only_N_measured=0;
	values[0].Yield=0;
	values[0].BM_foliage=0;
    	values[0].BM_branches=0;
    	values[0].BM_roots=0;
    	values[0].BM_stumps=0;
    	values[0].BM_stems=0;
    	values[0].BM_fine_roots=0;
    	values[0].BM_total=0;
    	values[0].Carbon_flux_natural_removal=0;
	values[0].Carbon_flux_natural_removal_energy=0;
	values[0].growing_seedling_in2st=0;
	values[0].STOREY=1;
	values[0].i_Vm3_1 = -999;
	values[0].i_Vm3_2 = -999;
	values[0].i_Vm3_3 = -999;
	values[0].i_Vm3_4 = -999;
	values[0].i_Vm3_5 = -999;
	
	*nres = 1;
	return ret; 
}

int Assign_variable_values_after_natur_regeneration_comp_unit_JKK (int *nres, struct Values_after_natur_regeneration_comp_unit *values, char *errors,
						int errorCheckMode, double allowedRiskLevel, double rectFactor)
{
    int ret = 1;
	//Assign variables to zero
	values[0].N_max_Sp=0;
	values[0].N_max_Ns=0;
	values[0].N_max_sb=0;
	values[0].N_max_pb=0;
	values[0].N_max_oc=0;
	values[0].N_max_od=0;
	values[0].N_max_Sp_upper=0;
	values[0].N_max_Ns_upper=0;
	values[0].N_max_sb_upper=0;
	values[0].N_max_pb_upper=0;
	values[0].N_max_oc_upper=0;
	values[0].N_max_od_upper=0;
	values[0].N_max_Sp_under=0;
	values[0].N_max_Ns_under=0;
	values[0].N_max_sb_under=0;
	values[0].N_max_pb_under=0;
	values[0].N_max_oc_under=0;
	values[0].N_max_od_under=0;
	values[0].N_Sp=0;
	values[0].N_Ns=0;
	values[0].N_sb=0;
	values[0].N_pb=0;
	values[0].N_oc=0;
	values[0].N_od=0;
	values[0].N_Sp_upper=0;
	values[0].N_Ns_upper=0;
	values[0].N_sb_upper=0;
	values[0].N_pb_upper=0;
	values[0].N_oc_upper=0;
	values[0].N_od_upper=0;
	values[0].N_upper=0;
	values[0].N_under=0;
	values[0].value_growth_rel_1 = -999;
	values[0].value_growth_rel_2 = -999;
	values[0].value_growth_rel_3 = -999;
	values[0].value_growth_rel_4 = -999;
	values[0].value_growth_rel_5 = -999;
	values[0].value_growth_abs_1 = -999;
	values[0].value_growth_abs_2 = -999;
	values[0].value_growth_abs_3 = -999;
	values[0].value_growth_abs_4 = -999;
	values[0].value_growth_abs_5 = -999;
	values[0].RDF_up=0;
	values[0].RDFSp_up=0;
	values[0].RDFNs_up=0;
	values[0].RDFsb_up=0;
	values[0].RDFpb_up=0;
	values[0].V_old=0;
	values[0].open_area=0;
    values[0].CULT=0;
    values[0].PLANT=0;
	values[0].i_Vm3=0;
	values[0].i_Vpros=0;
	values[0].Age_difference=0;
	//Assign variable values
	values[0].seedling_below13=1;
	values[0].Thinning_limit=99;
	values[0].RDF_Sp=0;
	values[0].RDF_Ns=0;
	values[0].RDF_sb=0;
	values[0].RDF_pb=0;
	values[0].RDF_oc=0;
	values[0].RDF_od=0;
	values[0].RDF_decid=0;

	*nres = 1;
	return ret;       

}

int Assign_variable_values_non_pine_stratum_JKK (double SC, double SP, double N,
						int *nres, struct Values_non_pine_stratum *values, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double Age_init, H_dom, N_init, BA, V, D_gM, H_gM;
    	int iSC;
	

    	int iSP = (int) SP;
	switch ( iSP )
	{
        case 2:
	    iSC = (int) SC;
    	switch ( iSC )
    	{
    		case 1:
    			Age_init = 15;
    			H_dom = 5.7/Age_init;
    			N_init = 2200;
    			BA = 4.9/Age_init*(N/N_init);
    			V = 16/Age_init*(N/N_init);         
    			D_gM = 5.3/Age_init;
    			H_gM = 5.1/Age_init;
    			break;
    		case 2:
    			Age_init = 25;
    			H_dom = 7.7/Age_init;
    			N_init = 2000;
    			BA = 8.4/Age_init*(N/N_init);
    			V = 31/Age_init*(N/N_init);          
    			D_gM = 7.3/Age_init;
    			H_gM = 6.8/Age_init;
    			break;
    		case 3:
    			Age_init = 25;
    			H_dom = 5.9/Age_init;
    			N_init = 2000;
    			BA = 3.1/Age_init*(N/N_init);
    			V = 10.5/Age_init*(N/N_init);
    			SP = 2;          
    			D_gM = 4.4/Age_init;
    			H_gM = 5.2/Age_init;
    			break;
    		case 4:
    			Age_init = 30;
    			H_dom = 6.0/Age_init;
    			N_init = 1800;
    			BA = 1.9/Age_init*(N/N_init);
    			V = 6.5/Age_init*(N/N_init);          
    			D_gM = 3.7/Age_init;
    			H_gM = 5.3/Age_init;
    			break;
    		case 5:
    			Age_init = 35;
    			H_dom = 4.2/Age_init;
    			N_init = 1600;
    			BA = 1/Age_init*(N/N_init);
    			V = 4/Age_init*(N/N_init);         
    			D_gM = 2/Age_init;
    			H_gM = 3.6/Age_init;
    			break;
    		case 6:
    			Age_init = 40;
    			H_dom = 3.6/Age_init;
    			N_init = 1600;
    			BA = 1/Age_init*(N/N_init);
    			V = 3/Age_init*(N/N_init);        
    			D_gM = 2/Age_init;
    			H_gM = 2.7/Age_init;
    			break;
    		case 7:
    			Age_init = 40;
    			H_dom = 3.6/Age_init;
    			N_init = 1600;
    			BA = 1/Age_init*(N/N_init);
    			V = 3/Age_init*(N/N_init);        
    			D_gM = 2/Age_init;
    			H_gM = 2.7/Age_init;
    			break;
    		case 8:
    			Age_init = 40;
    			H_dom = 3.6/Age_init;
    			N_init = 1600;
    			BA = 1/Age_init*(N/N_init);
    			V = 3/Age_init*(N/N_init);          
    			D_gM = 2/Age_init;
    			H_gM = 2.7/Age_init;
    			break;
    	}
	case 3:
        iSC = (int) SC;
	switch ( iSC )
	{
    		case 1:
    			Age_init =10;
    			H_dom = 8.5/Age_init;
    			N_init = 2300;
    			BA = 6.6/Age_init*(N/N_init);
    			V = 24/Age_init*(N/N_init);         
    			D_gM = 6/Age_init;
    			H_gM = 7.7/Age_init;
    			break;
    		case 2:
    			Age_init =10;
    			H_dom = 6.9/Age_init;
    			N_init = 2000;
    			BA = 3/Age_init*(N/N_init);
    			V = 9/Age_init*(N/N_init);
    			SP = 3;          
    			D_gM = 4.4/Age_init;
    			H_gM = 6.2/Age_init;
    			break;
    		case 3:
    			Age_init =15;
    			H_dom = 9.1/Age_init;
    			N_init = 2000;
    			BA = 6.8/Age_init*(N/N_init);
    			V = 27/Age_init*(N/N_init);         
    			D_gM = 6.6/Age_init;
    			H_gM = 8.2/Age_init;
    			break;
    		case 4:
    			Age_init =15;
    			H_dom = 7.1/Age_init;
    			N_init = 2000;
    			BA = 3.6/Age_init*(N/N_init);
    			V = 11/Age_init*(N/N_init);
    			SP = 3;          
    			D_gM = 4.8/Age_init;
    			H_gM = 6.4/Age_init;
    			break;
    		case 5:
    			Age_init =20;
    			H_dom = 3.9/Age_init;
    			N_init = 2000;
    			BA = 2/Age_init*(N/N_init);
    			V = 10/Age_init*(N/N_init);         
    			D_gM = 3/Age_init;
    			H_gM = 3.6/Age_init;
    			break;
    		case 6:
    			Age_init =20;
    			H_dom = 2.6/Age_init;
    			N_init = 2000;
    			BA = 1/Age_init*(N/N_init);
    			V = 5/Age_init*(N/N_init);
    			SP = 3;          
    			D_gM = 2/Age_init;
    			H_gM = 2.7/Age_init;
    			break;
    		case 7:
    			Age_init =20;
    			H_dom = 2.6/Age_init;
    			N_init = 2000;
    			BA = 1/Age_init*(N/N_init);
    			V = 5/Age_init*(N/N_init);         
    			D_gM = 2/Age_init;
    			H_gM = 2.7/Age_init;
    			break;
    		case 8:
    			Age_init =20;
    			H_dom = 2.6/Age_init;
    			N_init = 2000;
    			BA = 1/Age_init*(N/N_init);
    			V = 5/Age_init*(N/N_init);         
    			D_gM = 2/Age_init;
    			H_gM = 2.7/Age_init;
    			break;
	}    
        default:
        iSC = (int) SC;
	switch ( iSC )
        {
    		case 1:
    			Age_init =25;
    			H_dom = 11/Age_init;
    			N_init = 2350;
    			BA = 15.4/Age_init*(N/N_init);
    			V = 72.4/Age_init*(N/N_init);         
    			D_gM = 9.1/Age_init;
    			H_gM = 10/Age_init;
    			break;
    		case 2:
    			Age_init =25;
    			H_dom = 11/Age_init;
    			N_init = 2350;
    			BA = 15.4/Age_init*(N/N_init);
    			V = 72.4/Age_init*(N/N_init);         
    			D_gM = 9.1/Age_init;
    			H_gM = 10/Age_init;
    			break;
    		case 3:
    			Age_init =25;
    			H_dom = 9.2/Age_init;
    			N_init = 2680;
    			BA = 12.8/Age_init*(N/N_init);
    			V = 49/Age_init*(N/N_init);          
    			D_gM = 7.8/Age_init;
    			H_gM = 8.3/Age_init;
    			break;
    		case 4:
    			Age_init =25;
    			H_dom = 6.8/Age_init;
    			N_init = 2730;
    			BA = 7.2/Age_init*(N/N_init);
    			V = 18.9/Age_init*(N/N_init);         
    			D_gM = 5.8/Age_init;
    			H_gM = 6.2/Age_init;
    			break;
    		case 5:
    			Age_init =25;
    			H_dom = 3.5/Age_init;
    			N_init = 2000;
    			BA = 3/Age_init*(N/N_init);
    			V = 10/Age_init*(N/N_init);         
    			D_gM = 3/Age_init;
    			H_gM = 3.6/Age_init;
    			break;
    		case 6:
    			Age_init =25;
    			H_dom = 2.3/Age_init;
    			N_init = 2000;
    			BA = 2/Age_init*(N/N_init);
    			V = 5/Age_init*(N/N_init);         
    			D_gM = 2/Age_init;
    			H_gM = 2.7/Age_init;
    			break;
    		case 7:
    			Age_init =25;
    			H_dom = 2.3/Age_init;
    			N_init = 2000;
    			BA = 2/Age_init*(N/N_init);
    			V = 5/Age_init*(N/N_init);          
    			D_gM = 2/Age_init;
    			H_gM = 2.7/Age_init;
    			break;
    		case 8:
    			Age_init =25;
    			H_dom = 2.3/Age_init;
    			N_init = 2000;
    			BA = 2/Age_init*(N/N_init);
    			V = 5/Age_init*(N/N_init);        
    			D_gM = 2/Age_init;
    			H_gM = 2.7/Age_init;
    			break;
	    }     
     	}

	*nres = 1;

	values[0].init_Age=Age_init;
    	values[0].Age=1;           
	values[0].H_dom=H_dom;
	values[0].BA=BA;
	values[0].V=V;
	values[0].SP=SP;
	values[0].D_gM=D_gM;
	values[0].H_gM=H_gM;
	values[0].non_seedling=0;

	return ret;
}

int Assign_to_zero_before_natural_removal_comp_unit_JKK (int *nres, struct Values_before_natur_removal_comp_unit *values, char *errors,
						int errorCheckMode, double allowedRiskLevel, double rectFactor)
{
    int ret = 1;
	//Assign variables to zero
	values[0].N_max_Sp=0;
	values[0].N_max_Ns=0;
	values[0].N_max_sb=0;
	values[0].N_max_pb=0;
	values[0].N_max_oc=0;
	values[0].N_max_od=0;
	values[0].RDF=0;
	values[0].RDF_Sp=0;
	values[0].RDF_Ns=0;
	values[0].RDF_sb=0;
	values[0].RDF_pb=0;
	values[0].RDF_up=0;
	values[0].RDFSp_up=0;
	values[0].RDFNs_up=0;
	values[0].RDFsb_up=0;
	values[0].RDFpb_up=0;

	*nres = 1;
	return ret;       

}

int Assign_after_final_harvests_comp_unit_JKK (int *nres, struct Values_after_final_harvests_comp_unit *values, char *errors,
						int errorCheckMode, double allowedRiskLevel, double rectFactor)
{
    int ret = 1;
	//Assign variables to zero
	values[0].value_growth_rel_1=-999;
	values[0].value_growth_rel_2=-999;
	values[0].value_growth_rel_3=-999;
	values[0].value_growth_rel_4=-999;
	values[0].value_growth_rel_5=-999;
	values[0].value_growth_abs_1 = -999;
	values[0].value_growth_abs_2 = -999;
	values[0].value_growth_abs_3 = -999;
	values[0].value_growth_abs_4 = -999;
	values[0].value_growth_abs_5 = -999;
	values[0].value_growth_abs = 0;
	values[0].value_growth_rel = 0;
	values[0].mean_value_growth_abs = 0;
	values[0].mean_value_growth_rel = 0;

	*nres = 1;
	return ret;       

}

int Fix_age_at_breast_height_JKK (double SC, double D_gM, double Age,
						int *nres, double *modelresult, char *errors,
						int errorCheckMode, double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double res;

	*nres = 1;

	if(SC<=3) {
		if(D_gM<=2) {
			res =Age*0.1;
			}
			else if(D_gM>2&&D_gM<=5) {
				res =Age*0.2;
				}
				else if(D_gM>5&&D_gM<=10) {
					res =Age*0.5;
					}
					else {
						res = Age*0.6;}
	}
	else {
		if(D_gM<=2) {
			res =Age*0.2;
			}
			else if(D_gM>2&&D_gM<=5) {
				res =Age*0.3;
				}
				else if(D_gM>5&&D_gM<=10) {
					res =Age*0.5;
					}
					else {
						res = Age*0.6;}
	}
	//If result is still too little compared to mean diameter
	if (res < D_gM)
		res = D_gM;
	
	*modelresult = res;
	return ret;

}

int Initial_values_pine_JKK (double SC,
						int *nres, struct initial_values *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double Age_init, H_dom, N, BA, V, D_gM, H_gM;
	int SP;


	int iSC = (int) SC;
	switch ( iSC )
	{
		case 1:
			Age_init =15;
			H_dom = 5.7/Age_init;
			N = 2000;
			BA = 9.1/Age_init;
			V = 28/Age_init;
			SP = 1;          
			D_gM = 7.6/Age_init;
			H_gM = 5.3/Age_init;
			break;
		case 2:
			Age_init =20;
			H_dom = 7.0/Age_init;
			N = 2000;
			BA = 11.1/Age_init;
			V = 40/Age_init;
			SP = 1;          
			D_gM = 8.4/Age_init;
			H_gM = 6.5/Age_init;
			break;
		case 3:
			Age_init =20;
			H_dom = 5.6/Age_init;
			N = 1800;
			BA = 6.3/Age_init;
			V = 19/Age_init;
			SP = 1;          
			D_gM = 6.7/Age_init;
			H_gM = 5.2/Age_init;
			break;
		case 4:
			Age_init =25;
			H_dom = 6.1/Age_init;
			N = 1800;
			BA = 6.4/Age_init;
			V = 20.5/Age_init;
			SP = 1;          
			D_gM = 6.7/Age_init;
			H_gM = 5.6/Age_init;
			break;
		case 5:
			Age_init =30;
			H_dom = 6.1/Age_init;
			N = 1600;
			BA = 4.8/Age_init;
			V = 15.3/Age_init;
			SP = 1;          
			D_gM = 6.2/Age_init;
			H_gM = 5.6/Age_init;
			break;
		case 6:
			Age_init =40;
			H_dom = 6.6/Age_init;
			N = 1600;
			BA = 4.4/Age_init;
			V = 15.5/Age_init;
			SP = 1;          
			D_gM = 5.9/Age_init;
			H_gM = 6.1/Age_init;
			break;
		case 7:
			Age_init =40;
			H_dom = 6.6/Age_init;
			N = 1600;
			BA = 4.4/Age_init;
			V = 15.5/Age_init;
			SP = 1;          
			D_gM = 5.9/Age_init;
			H_gM = 6.1/Age_init;
			break;
		case 8:
			Age_init =40;
			H_dom = 6.6/Age_init;
			N = 1600;
			BA = 4.4/Age_init;
			V = 15.5/Age_init;
			SP = 1;         
			D_gM = 5.9/Age_init;
			H_gM = 6.1/Age_init;
			break;
	}

	*nres = 1;

	init[0].init_Age=Age_init;
	init[0].Age=1;
	init[0].H_dom=H_dom;
	init[0].N=N;
	init[0].BA=BA;
	init[0].V=V;
	init[0].SP=SP;
	init[0].D_gM=D_gM;
	init[0].H_gM=H_gM;
	init[0].A=0;
	init[0].V_old=0;
	init[0].N_tree=0;
	init[0].N_ingrowth=0;
	init[0].Upper_st=0;
	init[0].trees_generated=0;
	init[0].seedling_below13=0;
	init[0].artificial_ingrowth=1;
	init[0].trees_just_generated=0;
	init[0].non_seedling=0;
	init[0].seedtree_stratum=0;
	init[0].natural_ingrowth=0;
	init[0].stand_value=0;
	init[0].COMWOOD=0;
	init[0].LOGp=0;
	init[0].i_Vm3=0;
	init[0].i_Vpros=0;
	init[0].a_0=0;

	return ret;
}


int Initial_values_pine_MELA_JKK (double SC,
						int *nres, struct initial_values_MELA *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double N;


	int iSC = (int) SC;
	switch ( iSC )
	{
		case 1:
			N = 2000;          
			break;
		case 2:
			N = 2000;
			break;
		case 3:
			N = 1800;
			break;
		case 4:
			N = 1800;
			break;
		default:
			N = 1600;
			break;
	}

	*nres = 1;

	init[0].Age=1;
	init[0].N=N;
	init[0].BA=0;
	init[0].SP=1;
	init[0].D_gM=0;
	init[0].H_gM=0;
	init[0].seedling_below13=1;
	init[0].artificial_ingrowth=1;

	return ret;
}


int Initial_values_spruce_MELA_JKK (double SC,
						int *nres, struct initial_values_MELA *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double N;


	int iSC = (int) SC;
	switch ( iSC )
	{
		case 1:
			N = 2200;         
			break;
		case 2:
			N = 2000;
			break;
		case 3:
			N = 2000;
			break;
		case 4:
			N = 1800;
			break;
		default:
			N = 1600;
			break;
	}

	*nres = 1;

	init[0].Age=1;
	init[0].N=N;
	init[0].BA=0;
	init[0].SP=2;
	init[0].D_gM=0;
	init[0].H_gM=0;
	init[0].seedling_below13=1;
	init[0].artificial_ingrowth=1;

	return ret;
}


int Initial_values_white_birch_MELA_JKK (double SC,
						int *nres, struct initial_values_MELA *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double N;


	int iSC = (int) SC;
	switch ( iSC )
	{
		case 1:
			N = 2300;          
			break;
		default:
			N = 2000;
			break;
	}

	*nres = 1;

	init[0].Age=1;
	init[0].N=N;
	init[0].BA=0;
	init[0].SP=3;
	init[0].D_gM=0;
	init[0].H_gM=0;
	init[0].seedling_below13=1;
	init[0].artificial_ingrowth=1;

	return ret;
}


int Initial_values_pubescent_birch_MELA_JKK (double SC,
						int *nres, struct initial_values_MELA *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double N;
	int SP;


	int iSC = (int) SC;
	switch ( iSC )
	{
		case 1:
			N = 2350;
			SP = 1;          
			break;
		case 2:
			N = 2350;
			break;
		case 3:
			N = 2680;
			break;
		case 4:
			N = 2730;
			break;
		default:
			N = 2000;
			break;
	}

	*nres = 1;

	init[0].Age=1;
	init[0].N=N;
	init[0].BA=0;
	init[0].SP=1;
	init[0].D_gM=0;
	init[0].H_gM=0;
	init[0].seedling_below13=1;
	init[0].artificial_ingrowth=1;

	return ret;
}


int Fill_values_pine_MELA_JKK (double SC,
						int *nres, struct initial_values_MELA *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double N;


	int iSC = (int) SC;
	switch ( iSC )
	{
		case 1:
			N = 2000;          
			break;
		case 2:
			N = 2000;
			break;
		case 3:
			N = 1800;
			break;
		case 4:
			N = 1800;
			break;
		default:
			N = 1600;
			break;
	}

	*nres = 1;

	init[0].Age=1;
	init[0].N=N;
	init[0].BA=0;
	init[0].SP=1;
	init[0].D_gM=0;
	init[0].H_gM=0;
	init[0].seedling_below13=1;
	init[0].artificial_ingrowth=1;

	return ret;
}


int Fill_values_spruce_MELA_JKK (double SC,
						int *nres, struct initial_values_MELA *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double N;


	int iSC = (int) SC;
	switch ( iSC )
	{
		case 1:
			N = 2200;         
			break;
		case 2:
			N = 2000;
			break;
		case 3:
			N = 2000;
			break;
		case 4:
			N = 1800;
			break;
		default:
			N = 1600;
			break;
	}

	*nres = 1;

	init[0].Age=1;
	init[0].N=N;
	init[0].BA=0;
	init[0].SP=2;
	init[0].D_gM=0;
	init[0].H_gM=0;
	init[0].seedling_below13=1;
	init[0].artificial_ingrowth=1;

	return ret;
}


int Fill_values_white_birch_MELA_JKK (double SC,
						int *nres, struct initial_values_MELA *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double N;


	int iSC = (int) SC;
	switch ( iSC )
	{
		case 1:
			N = 2300;          
			break;
		default:
			N = 2000;
			break;
	}

	*nres = 1;

	init[0].Age=1;
	init[0].N=N;
	init[0].BA=0;
	init[0].SP=3;
	init[0].D_gM=0;
	init[0].H_gM=0;
	init[0].seedling_below13=1;
	init[0].artificial_ingrowth=1;

	return ret;
}


int Fill_values_pubescent_birch_MELA_JKK (double SC,
						int *nres, struct initial_values_MELA *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double N;
	int SP;


	int iSC = (int) SC;
	switch ( iSC )
	{
		case 1:
			N = 2350;
			SP = 1;          
			break;
		case 2:
			N = 2350;
			break;
		case 3:
			N = 2680;
			break;
		case 4:
			N = 2730;
			break;
		default:
			N = 2000;
			break;
	}

	*nres = 1;

	init[0].Age=1;
	init[0].N=N;
	init[0].BA=0;
	init[0].SP=1;
	init[0].D_gM=0;
	init[0].H_gM=0;
	init[0].seedling_below13=1;
	init[0].artificial_ingrowth=1;

	return ret;
}

int Initial_values_spruce_JKK (double SC,
						int *nres, struct initial_values *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double Age_init, H_dom, N, BA, V, SP, D_gM, H_gM;
	


	int iSC = (int) SC;
	switch ( iSC )
	{
		case 1:
			Age_init = 15;
			H_dom = 5.7/Age_init;
			N = 2200;
			BA = 4.9/Age_init;
			V = 16/Age_init;
			SP = 2;         
			D_gM = 5.3/Age_init;
			H_gM = 5.1/Age_init;
			break;
		case 2:
			Age_init = 25;
			H_dom = 7.7/Age_init;
			N = 2000;
			BA = 8.4/Age_init;
			V = 31/Age_init;
			SP = 2;          
			D_gM = 7.3/Age_init;
			H_gM = 6.8/Age_init;
			break;
		case 3:
			Age_init = 25;
			H_dom = 5.9/Age_init;
			N = 2000;
			BA = 3.1/Age_init;
			V = 10.5/Age_init;
			SP = 2;          
			D_gM = 4.4/Age_init;
			H_gM = 5.2/Age_init;
			break;
		case 4:
			Age_init = 30;
			H_dom = 6.0/Age_init;
			N = 1800;
			BA = 1.9/Age_init;
			V = 6.5/Age_init;
			SP = 2;          
			D_gM = 3.7/Age_init;
			H_gM = 5.3/Age_init;
			break;
		case 5:
			Age_init = 35;
			H_dom = 4.2/Age_init;
			N = 1600;
			BA = 1/Age_init;
			V = 4/Age_init;
			SP = 2;          
			D_gM = 2/Age_init;
			H_gM = 3.6/Age_init;
			break;
		case 6:
			Age_init = 40;
			H_dom = 3.6/Age_init;
			N = 1600;
			BA = 1/Age_init;
			V = 3/Age_init;
			SP = 2;          
			D_gM = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
		case 7:
			Age_init = 40;
			H_dom = 3.6/Age_init;
			N = 1600;
			BA = 1/Age_init;
			V = 3/Age_init;
			SP = 2;          
			D_gM = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
		case 8:
			Age_init = 40;
			H_dom = 3.6/Age_init;
			N = 1600;
			BA = 1/Age_init;
			V = 3/Age_init;
			SP = 2;          
			D_gM = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
	}

	*nres = 1;

	init[0].init_Age=Age_init;
	init[0].Age=1;            
	init[0].H_dom=H_dom;
	init[0].N=N;
	init[0].BA=BA;
	init[0].V=V;
	init[0].SP=SP;
	init[0].D_gM=D_gM;
	init[0].H_gM=H_gM;
	init[0].A=0;
	init[0].V_old=0;
	init[0].N_tree=0;
	init[0].N_ingrowth=0;
	init[0].Upper_st=0;
	init[0].trees_generated=0;
	init[0].seedling_below13=1;
	init[0].artificial_ingrowth=1;
	init[0].trees_just_generated=0;
	init[0].non_seedling=0;
	init[0].seedtree_stratum=0;
	init[0].natural_ingrowth=0;
	init[0].stand_value=0;
	init[0].COMWOOD=0;
	init[0].LOGp=0;
	init[0].i_Vm3=0;
	init[0].i_Vpros=0;
	init[0].a_0=0;

	return ret;
}


int Initial_values_white_birch_JKK (double SC,
						int *nres, struct initial_values *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double Age_init, H_dom, N, BA, V, SP, D_gM, H_gM;
	

	int iSC = (int) SC;
	switch ( iSC )
	{
		case 1:
			Age_init =10;
			H_dom = 8.5/Age_init;
			N = 2300;
			BA = 6.6/Age_init;
			V = 24/Age_init;
			SP = 3;          
			D_gM = 6/Age_init;
			H_gM = 7.7/Age_init;
			break;
		case 2:
			Age_init =10;
			H_dom = 6.9/Age_init;
			N = 2000;
			BA = 3/Age_init;
			V = 9/Age_init;
			SP = 3;          
			D_gM = 4.4/Age_init;
			H_gM = 6.2/Age_init;
			break;
		case 3:
			Age_init =15;
			H_dom = 9.1/Age_init;
			N = 2000;
			BA = 6.8/Age_init;
			V = 27/Age_init;
			SP = 3;          
			D_gM = 6.6/Age_init;
			H_gM = 8.2/Age_init;
			break;
		case 4:
			Age_init =15;
			H_dom = 7.1/Age_init;
			N = 2000;
			BA = 3.6/Age_init;
			V = 11/Age_init;
			SP = 3;          
			D_gM = 4.8/Age_init;
			H_gM = 6.4/Age_init;
			break;
		case 5:
			Age_init =20;
			H_dom = 3.9/Age_init;
			N = 2000;
			BA = 2/Age_init;
			V = 10/Age_init;
			SP = 3;          
			D_gM = 3/Age_init;
			H_gM = 3.6/Age_init;
			break;
		case 6:
			Age_init =20;
			H_dom = 2.6/Age_init;
			N = 2000;
			BA = 1/Age_init;
			V = 5/Age_init;
			SP = 3;          
			D_gM = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
		case 7:
			Age_init =20;
			H_dom = 2.6/Age_init;
			N = 2000;
			BA = 1/Age_init;
			V = 5/Age_init;
			SP = 3;          
			D_gM = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
		case 8:
			Age_init =20;
			H_dom = 2.6/Age_init;
			N = 2000;
			BA = 1/Age_init;
			V = 5/Age_init;
			SP = 3;          
			D_gM = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
	}

	*nres = 1;

	init[0].init_Age=Age_init;
	init[0].Age=1;
	init[0].H_dom=H_dom;
	init[0].N=N;
	init[0].BA=BA;
	init[0].V=V;
	init[0].SP=SP;
	init[0].D_gM=D_gM;
	init[0].H_gM=H_gM;
	init[0].A=0;
	init[0].V_old=0;
	init[0].N_tree=0;
	init[0].N_ingrowth=0;
	init[0].Upper_st=0;
	init[0].trees_generated=0;
	init[0].seedling_below13=1;
	init[0].artificial_ingrowth=1;
	init[0].trees_just_generated=0;
	init[0].non_seedling=0;
	init[0].seedtree_stratum=0;
	init[0].natural_ingrowth=0;
	init[0].stand_value=0;
	init[0].COMWOOD=0;
	init[0].LOGp=0;
	init[0].i_Vm3=0;
	init[0].i_Vpros=0;
	init[0].a_0=0;

	return ret;
}


int Initial_values_pubescent_birch_JKK (double SC,
						int *nres, struct initial_values *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double Age_init, H_dom, N, BA, V, SP, D_gM, H_gM;


	int iSC = (int) SC;
	switch ( iSC )
	{
		case 1:
			Age_init =25;
			H_dom = 11/Age_init;
			N = 2350;
			BA = 15.4/Age_init;
			V = 72.4/Age_init;
			SP = 4;          
			D_gM = 9.1/Age_init;
			H_gM = 10/Age_init;
			break;
		case 2:
			Age_init =25;
			H_dom = 11/Age_init;
			N = 2350;
			BA = 15.4/Age_init;
			V = 72.4/Age_init;
			SP = 4;          
			D_gM = 9.1/Age_init;
			H_gM = 10/Age_init;
			break;
		case 3:
			Age_init =25;
			H_dom = 9.2/Age_init;
			N = 2680;
			BA = 12.8/Age_init;
			V = 49/Age_init;
			SP = 4;          
			D_gM = 7.8/Age_init;
			H_gM = 8.3/Age_init;
			break;
		case 4:
			Age_init =25;
			H_dom = 6.8/Age_init;
			N = 2730;
			BA = 7.2/Age_init;
			V = 18.9/Age_init;
			SP = 4;          
			D_gM = 5.8/Age_init;
			H_gM = 6.2/Age_init;
			break;
		case 5:
			Age_init =25;
			H_dom = 3.5/Age_init;
			N = 2000;
			BA = 3/Age_init;
			V = 10/Age_init;
			SP = 4;          
			D_gM = 3/Age_init;
			H_gM = 3.6/Age_init;
			break;
		case 6:
			Age_init =25;
			H_dom = 2.3/Age_init;
			N = 2000;
			BA = 2/Age_init;
			V = 5/Age_init;
			SP = 4;          
			D_gM = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
		case 7:
			Age_init =25;
			H_dom = 2.3/Age_init;
			N = 2000;
			BA = 2/Age_init;
			V = 5/Age_init;
			SP = 4;          
			D_gM = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
		case 8:
			Age_init =25;
			H_dom = 2.3/Age_init;
			N = 2000;
			BA = 2/Age_init;
			V = 5/Age_init;
			SP = 4;          
			D_gM = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
	}

	*nres = 1;

	init[0].init_Age=Age_init;
	init[0].Age=1;
	init[0].H_dom=H_dom;
	init[0].N=N;
	init[0].BA=BA;
	init[0].V=V;
	init[0].SP=SP;
	init[0].D_gM=D_gM;
	init[0].H_gM=H_gM;
	init[0].A=0;
	init[0].V_old=0;
	init[0].N_tree=0;
	init[0].N_ingrowth=0;
	init[0].Upper_st=0;
	init[0].trees_generated=0;
	init[0].seedling_below13=0;
	init[0].artificial_ingrowth=1;
	init[0].trees_just_generated=0;
	init[0].non_seedling=0;
	init[0].seedtree_stratum=0;
	init[0].natural_ingrowth=0;
	init[0].stand_value=0;
	init[0].COMWOOD=0;
	init[0].LOGp=0;
	init[0].i_Vm3=0;
	init[0].i_Vpros=0;
	init[0].a_0=0;

	return ret;
}

int Initial_values_supplemental_planting_spruce_JKK (double SC, double N_Sp, double N_Ns, double N_sb, double SP_regen,
						int *nres, struct initial_values *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double Age_init, H_dom, N, BA, V, SP, D_gM, H_gM, treecount_regensp, suppseedlingsnum;

	int iSC = (int) SC;
	switch ( iSC )
	{
		case 1:
			Age_init = 15;
			H_dom = 5.7/Age_init;
			N = 2200;
			BA = 4.9/Age_init;
			V = 16/Age_init;
			SP = 2;         
			D_gM = 5.3/Age_init;
			H_gM = 5.1/Age_init;
			break;
		case 2:
			Age_init = 25;
			H_dom = 7.7/Age_init;
			N = 2000;
			BA = 8.4/Age_init;
			V = 31/Age_init;
			SP = 2;          
			D_gM = 7.3/Age_init;
			H_gM = 6.8/Age_init;
			break;
		case 3:
			Age_init = 25;
			H_dom = 5.9/Age_init;
			N = 2000;
			BA = 3.1/Age_init;
			V = 10.5/Age_init;
			SP = 2;          
			D_gM = 4.4/Age_init;
			H_gM = 5.2/Age_init;
			break;
		case 4:
			Age_init = 30;
			H_dom = 6.0/Age_init;
			N = 1800;
			BA = 1.9/Age_init;
			V = 6.5/Age_init;
			SP = 2;          
			D_gM = 3.7/Age_init;
			H_gM = 5.3/Age_init;
			break;
		case 5:
			Age_init = 35;
			H_dom = 4.2/Age_init;
			N = 1600;
			BA = 1/Age_init;
			V = 4/Age_init;
			SP = 2;          
			D_gM = 2/Age_init;
			H_gM = 3.6/Age_init;
			break;
		case 6:
			Age_init = 40;
			H_dom = 3.6/Age_init;
			N = 1600;
			BA = 1/Age_init;
			V = 3/Age_init;
			SP = 2;          
			D_gM = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
		case 7:
			Age_init = 40;
			H_dom = 3.6/Age_init;
			N = 1600;
			BA = 1/Age_init;
			V = 3/Age_init;
			SP = 2;          
			D_gM = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
		case 8:
			Age_init = 40;
			H_dom = 3.6/Age_init;
			N = 1600;
			BA = 1/Age_init;
			V = 3/Age_init;
			SP = 2;          
			D_gM = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
	}
	
	//Treecount of regenerated tree species before supplemental planting
        if (SP_regen == 1)
            treecount_regensp = N_Sp;
        else if (SP_regen == 2)
            treecount_regensp = N_Ns + N_Sp;
        else if (SP_regen == 3)
            treecount_regensp = N_sb + N_Ns;
        else
            treecount_regensp = 0;
        
     //Number of seedlings that will be planted
        suppseedlingsnum = N - treecount_regensp;

	*nres = 1;

	init[0].init_Age=Age_init;
	init[0].Age=1;            
	init[0].H_dom=H_dom;
	init[0].N=suppseedlingsnum;
	init[0].BA=(suppseedlingsnum/N)*BA;
	init[0].V=(suppseedlingsnum/N)*V;
	init[0].SP=SP;
	init[0].D_gM=D_gM;
	init[0].H_gM=H_gM;
	init[0].A=0;
	init[0].V_old=0;
	init[0].N_tree=0;
	init[0].N_ingrowth=0;
	init[0].Upper_st=0;
	init[0].trees_generated=0;
	init[0].seedling_below13=1;
	init[0].artificial_ingrowth=1;
	init[0].trees_just_generated=0;
	init[0].non_seedling=0;
	init[0].seedtree_stratum=0;
	init[0].natural_ingrowth=0;
	init[0].stand_value=0;
	init[0].COMWOOD=0;
	init[0].LOGp=0;
	init[0].i_Vm3=0;
	init[0].i_Vpros=0;
	init[0].a_0=0;

	return ret;
}


int Initial_values_supplemental_planting_white_birch_JKK (double SC, double N_Sp, double N_Ns, double N_sb, double SP_regen,
						int *nres, struct initial_values *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double Age_init, H_dom, N, BA, V, SP, D_gM, H_gM, treecount_regensp, suppseedlingsnum;
	

	int iSC = (int) SC;
	switch ( iSC )
	{
		case 1:
			Age_init =10;
			H_dom = 8.5/Age_init;
			N = 2300;
			BA = 6.6/Age_init;
			V = 24/Age_init;
			SP = 3;          
			D_gM = 6/Age_init;
			H_gM = 7.7/Age_init;
			break;
		case 2:
			Age_init =10;
			H_dom = 6.9/Age_init;
			N = 2000;
			BA = 3/Age_init;
			V = 9/Age_init;
			SP = 3;          
			D_gM = 4.4/Age_init;
			H_gM = 6.2/Age_init;
			break;
		case 3:
			Age_init =15;
			H_dom = 9.1/Age_init;
			N = 2000;
			BA = 6.8/Age_init;
			V = 27/Age_init;
			SP = 3;          
			D_gM = 6.6/Age_init;
			H_gM = 8.2/Age_init;
			break;
		case 4:
			Age_init =15;
			H_dom = 7.1/Age_init;
			N = 2000;
			BA = 3.6/Age_init;
			V = 11/Age_init;
			SP = 3;          
			D_gM = 4.8/Age_init;
			H_gM = 6.4/Age_init;
			break;
		case 5:
			Age_init =20;
			H_dom = 3.9/Age_init;
			N = 2000;
			BA = 2/Age_init;
			V = 10/Age_init;
			SP = 3;          
			D_gM = 3/Age_init;
			H_gM = 3.6/Age_init;
			break;
		case 6:
			Age_init =20;
			H_dom = 2.6/Age_init;
			N = 2000;
			BA = 1/Age_init;
			V = 5/Age_init;
			SP = 3;          
			D_gM = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
		case 7:
			Age_init =20;
			H_dom = 2.6/Age_init;
			N = 2000;
			BA = 1/Age_init;
			V = 5/Age_init;
			SP = 3;          
			D_gM = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
		case 8:
			Age_init =20;
			H_dom = 2.6/Age_init;
			N = 2000;
			BA = 1/Age_init;
			V = 5/Age_init;
			SP = 3;          
			D_gM = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
	}

	//Treecount of regenerated tree species before supplemental planting
        if (SP_regen == 1)
            treecount_regensp = N_Sp;
        else if (SP_regen == 2)
            treecount_regensp = N_Ns + N_Sp;
        else if (SP_regen == 3)
            treecount_regensp = N_sb + N_Ns;
        else
            treecount_regensp = 0;
        
     //Number of seedlings that will be planted
        suppseedlingsnum = N - treecount_regensp;

	*nres = 1;

	init[0].init_Age=Age_init;
	init[0].Age=1;            
	init[0].H_dom=H_dom;
	init[0].N=suppseedlingsnum;
	init[0].BA=(suppseedlingsnum/N)*BA;
	init[0].V=(suppseedlingsnum/N)*V;
	init[0].SP=SP;
	init[0].D_gM=D_gM;
	init[0].H_gM=H_gM;
	init[0].A=0;
	init[0].V_old=0;
	init[0].N_tree=0;
	init[0].N_ingrowth=0;
	init[0].Upper_st=0;
	init[0].trees_generated=0;
	init[0].seedling_below13=1;
	init[0].artificial_ingrowth=1;
	init[0].trees_just_generated=0;
	init[0].non_seedling=0;
	init[0].seedtree_stratum=0;
	init[0].natural_ingrowth=0;
	init[0].stand_value=0;
	init[0].COMWOOD=0;
	init[0].LOGp=0;
	init[0].i_Vm3=0;
	init[0].i_Vpros=0;
	init[0].a_0=0;

	return ret;
}

int Missing_values_seedling_pine_JKK (double SC, double N, double Age, double SP, double D_gM,
						int *nres, struct initial_values *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double Age_init, H_dom, N_init, BA, V, DgM_real, DgM_init, H_gM;

	int iSC = (int) SC;
    double diff;

	DgM_real=D_gM;

	switch ( iSC )
	{
		case 1:
			Age_init =15;
			H_dom = 5.7/Age_init;
			N_init = 2000;
			BA = 9.1/Age_init;
			V = 28/Age_init;
			SP = SP;          
			DgM_init = 7.6/Age_init;
			H_gM = 5.3/Age_init;
			break;
		case 2:
			Age_init =20;
			H_dom = 7.0/Age_init;
			N_init = 2000;
			BA = 11.1/Age_init;
			V = 40/Age_init;
			SP = SP;          
			DgM_init = 8.4/Age_init;
			H_gM = 6.5/Age_init;
			break;
		case 3:
			Age_init =20;
			H_dom = 5.6/Age_init;
			N_init = 1800;
			BA = 6.3/Age_init;
			V = 19/Age_init;
			SP = SP;          
			DgM_init = 6.7/Age_init;
			H_gM = 5.2/Age_init;
			break;
		case 4:
			Age_init =25;
			H_dom = 6.1/Age_init;
			N_init = 1800;
			BA = 6.4/Age_init;
			V = 20.5/Age_init;
			SP = SP;          
			DgM_init = 6.7/Age_init;
			H_gM = 5.6/Age_init;
			break;
		case 5:
			Age_init =30;
			H_dom = 6.1/Age_init;
			N_init = 1600;
			BA = 4.8/Age_init;
			V = 15.3/Age_init;
			SP = SP;          
			DgM_init = 6.2/Age_init;
			H_gM = 5.6/Age_init;
			break;
		case 6:
			Age_init =40;
			H_dom = 6.6/Age_init;
			N_init = 1600;
			BA = 4.4/Age_init;
			V = 15.5/Age_init;
			SP = SP;          
			DgM_init = 5.9/Age_init;
			H_gM = 6.1/Age_init;
			break;
		case 7:
			Age_init =40;
			H_dom = 6.6/Age_init;
			N_init = 1600;
			BA = 4.4/Age_init;
			V = 15.5/Age_init;
			SP = SP;          
			DgM_init = 5.9/Age_init;
			H_gM = 6.1/Age_init;
			break;
		case 8:
			Age_init =40;
			H_dom = 6.6/Age_init;
			N_init = 1600;
			BA = 4.4/Age_init;
			V = 15.5/Age_init;
			SP = SP;         
			DgM_init = 5.9/Age_init;
			H_gM = 6.1/Age_init;
			break;
	}

	*nres = 1;

	diff=fabs(DgM_real-(Age*DgM_init))/(Age*DgM_init);

	//Scale H_dom, BA, V and H_gM values using real D_gM value
	//To avoid scaling with unbeleavable D_gM value, difference between real and init D_gM value is not allowed to be too large!
	//Problem is that variables above were calculated linearly. For very young trees the values of variables are unreal. 

	if(DgM_real>0&&diff<0.5) {
		init[0].init_Age=Age_init;
		init[0].Age=Age;
		init[0].H_dom=(H_dom*Age)*(DgM_real/(Age*DgM_init));
		init[0].N=N;
		init[0].BA=((N/N_init)*BA*Age)*(DgM_real/(Age*DgM_init));
		init[0].V=((N/N_init)*V*Age)*(DgM_real/(Age*DgM_init));
		init[0].SP=SP;
		init[0].D_gM=DgM_real;
		init[0].H_gM=(H_gM*Age)*(DgM_real/(Age*DgM_init));
	}
	else {
		init[0].init_Age=Age_init;
		init[0].Age=Age;
		init[0].H_dom=H_dom*Age;
		init[0].N=N;
		init[0].BA=(N/N_init)*BA*Age;
		init[0].V=(N/N_init)*V*Age;
		init[0].SP=SP;
		init[0].D_gM=DgM_init*Age;
		init[0].H_gM=H_gM*Age;
	}

	return ret;
}


int Missing_values_seedling_spruce_JKK (double SC, double N, double Age, double D_gM,
						int *nres, struct initial_values *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double Age_init, H_dom, N_init, BA, V, SP, DgM_real, DgM_init, H_gM;
	int iSC = (int) SC;
    double diff;

	DgM_real=D_gM;

	switch ( iSC )
	{
		case 1:
			Age_init = 15;
			H_dom = 5.7/Age_init;
			N_init = 2200;
			BA = 4.9/Age_init;
			V = 16/Age_init;
			SP = 2;         
			DgM_init = 5.3/Age_init;
			H_gM = 5.1/Age_init;
			break;
		case 2:
			Age_init = 25;
			H_dom = 7.7/Age_init;
			N_init = 2000;
			BA = 8.4/Age_init;
			V = 31/Age_init;
			SP = 2;          
			DgM_init = 7.3/Age_init;
			H_gM = 6.8/Age_init;
			break;
		case 3:
			Age_init = 25;
			H_dom = 5.9/Age_init;
			N_init = 2000;
			BA = 3.1/Age_init;
			V = 10.5/Age_init;
			SP = 2;          
			DgM_init = 4.4/Age_init;
			H_gM = 5.2/Age_init;
			break;
		case 4:
			Age_init = 30;
			H_dom = 6.0/Age_init;
			N_init = 1800;
			BA = 1.9/Age_init;
			V = 6.5/Age_init;
			SP = 2;          
			DgM_init = 3.7/Age_init;
			H_gM = 5.3/Age_init;
			break;
		case 5:
			Age_init = 35;
			H_dom = 4.2/Age_init;
			N_init = 1600;
			BA = 1/Age_init;
			V = 4/Age_init;
			SP = 2;          
			DgM_init = 2/Age_init;
			H_gM = 3.6/Age_init;
			break;
		case 6:
			Age_init = 40;
			H_dom = 3.6/Age_init;
			N_init = 1600;
			BA = 1/Age_init;
			V = 3/Age_init;
			SP = 2;          
			DgM_init = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
		case 7:
			Age_init = 40;
			H_dom = 3.6/Age_init;
			N_init = 1600;
			BA = 1/Age_init;
			V = 3/Age_init;
			SP = 2;          
			DgM_init = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
		case 8:
			Age_init = 40;
			H_dom = 3.6/Age_init;
			N_init = 1600;
			BA = 1/Age_init;
			V = 3/Age_init;
			SP = 2;          
			DgM_init = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
	}

	*nres = 1;

	diff=fabs(DgM_real-(Age*DgM_init))/(Age*DgM_init);

	//Scale H_dom, BA, V and H_gM values using real D_gM value
	//To avoid scaling with unbeleavable D_gM value, difference between real and init D_gM value is not allowed to be too large!
	//Problem is that variables above were calculated linearly. For very young trees the values of variables are unreal. 

	if(DgM_real>0&&diff<0.5) {
		init[0].init_Age=Age_init;
		init[0].Age=Age;
		init[0].H_dom=(H_dom*Age)*(DgM_real/(Age*DgM_init));
		init[0].N=N;
		init[0].BA=((N/N_init)*BA*Age)*(DgM_real/(Age*DgM_init));
		init[0].V=((N/N_init)*V*Age)*(DgM_real/(Age*DgM_init));
		init[0].SP=SP;
		init[0].D_gM=DgM_real;
		init[0].H_gM=(H_gM*Age)*(DgM_real/(Age*DgM_init));
	}
	else {
		init[0].init_Age=Age_init;
		init[0].Age=Age;
		init[0].H_dom=H_dom*Age;
		init[0].N=N;
		init[0].BA=(N/N_init)*BA*Age;
		init[0].V=(N/N_init)*V*Age;
		init[0].SP=SP;
		init[0].D_gM=DgM_init*Age;
		init[0].H_gM=H_gM*Age;
	}


	return ret;
}


int Missing_values_seedling_white_birch_JKK (double SC, double N, double Age, double D_gM,
						int *nres, struct initial_values *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double Age_init, H_dom, N_init, BA, V, SP, DgM_real, DgM_init, H_gM;
	int iSC = (int) SC;
	double diff;


	DgM_real=D_gM;

	switch ( iSC )
	{
		case 1:
			Age_init =10;
			H_dom = 8.5/Age_init;
			N_init = 2300;
			BA = 6.6/Age_init;
			V = 24/Age_init;
			SP = 3;          
			DgM_init = 6/Age_init;
			H_gM = 7.7/Age_init;
			break;
		case 2:
			Age_init =10;
			H_dom = 6.9/Age_init;
			N_init = 2000;
			BA = 3/Age_init;
			V = 9/Age_init;
			SP = 3;          
			DgM_init = 4.4/Age_init;
			H_gM = 6.2/Age_init;
			break;
		case 3:
			Age_init =15;
			H_dom = 9.1/Age_init;
			N_init = 2000;
			BA = 6.8/Age_init;
			V = 27/Age_init;
			SP = 3;          
			DgM_init = 6.6/Age_init;
			H_gM = 8.2/Age_init;
			break;
		case 4:
			Age_init =15;
			H_dom = 7.1/Age_init;
			N_init = 2000;
			BA = 3.6/Age_init;
			V = 11/Age_init;
			SP = 3;          
			DgM_init = 4.8/Age_init;
			H_gM = 6.4/Age_init;
			break;
		case 5:
			Age_init =20;
			H_dom = 3.9/Age_init;
			N_init = 2000;
			BA = 2/Age_init;
			V = 10/Age_init;
			SP = 3;          
			DgM_init = 3/Age_init;
			H_gM = 3.6/Age_init;
			break;
		case 6:
			Age_init =20;
			H_dom = 2.6/Age_init;
			N_init = 2000;
			BA = 1/Age_init;
			V = 5/Age_init;
			SP = 3;          
			DgM_init = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
		case 7:
			Age_init =20;
			H_dom = 2.6/Age_init;
			N_init = 2000;
			BA = 1/Age_init;
			V = 5/Age_init;
			SP = 3;          
			DgM_init = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
		case 8:
			Age_init =20;
			H_dom = 2.6/Age_init;
			N_init = 2000;
			BA = 1/Age_init;
			V = 5/Age_init;
			SP = 3;          
			DgM_init = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
	}

	*nres = 1;

	diff=fabs(DgM_real-(Age*DgM_init))/(Age*DgM_init);

	//Scale H_dom, BA, V and H_gM values using real D_gM value
	//To avoid scaling with unbeleavable D_gM value, difference between real and init D_gM value is not allowed to be too large!
	//Problem is that variables above were calculated linearly. For very young trees the values of variables are unreal. 

	if(DgM_real>0&&diff<0.5) {
		init[0].init_Age=Age_init;
		init[0].Age=Age;
		init[0].H_dom=(H_dom*Age)*(DgM_real/(Age*DgM_init));
		init[0].N=N;
		init[0].BA=((N/N_init)*BA*Age)*(DgM_real/(Age*DgM_init));
		init[0].V=((N/N_init)*V*Age)*(DgM_real/(Age*DgM_init));
		init[0].SP=SP;
		init[0].D_gM=DgM_real;
		init[0].H_gM=(H_gM*Age)*(DgM_real/(Age*DgM_init));
	}
	else {
		init[0].init_Age=Age_init;
		init[0].Age=Age;
		init[0].H_dom=H_dom*Age;
		init[0].N=N;
		init[0].BA=(N/N_init)*BA*Age;
		init[0].V=(N/N_init)*V*Age;
		init[0].SP=SP;
		init[0].D_gM=DgM_init*Age;
		init[0].H_gM=H_gM*Age;
	}


	return ret;
}


int Missing_values_seedling_pubescent_birch_JKK (double SC, double N, double Age, double SP, double D_gM,
						int *nres, struct initial_values *init, char *errors, int errorCheckMode,
						double allowedRiskLevel, double rectFactor) {

	int ret = 1;
	double Age_init, H_dom, N_init, BA, V, DgM_real, DgM_init, H_gM;
	int iSC = (int) SC;
	double diff;


	DgM_real=D_gM;

	switch ( iSC )
	{
		case 1:
			Age_init =25;
			H_dom = 11/Age_init;
			N_init = 2350;
			BA = 15.4/Age_init;
			V = 72.4/Age_init;
			SP = SP;          
			DgM_init = 9.1/Age_init;
			H_gM = 10/Age_init;
			break;
		case 2:
			Age_init =25;
			H_dom = 11/Age_init;
			N_init = 2350;
			BA = 15.4/Age_init;
			V = 72.4/Age_init;
			SP = SP;          
			DgM_init = 9.1/Age_init;
			H_gM = 10/Age_init;
			break;
		case 3:
			Age_init =25;
			H_dom = 9.2/Age_init;
			N_init = 2680;
			BA = 12.8/Age_init;
			V = 49/Age_init;
			SP = 4;          
			DgM_init = 7.8/Age_init;
			H_gM = 8.3/Age_init;
			break;
		case 4:
			Age_init =25;
			H_dom = 6.8/Age_init;
			N_init = 2730;
			BA = 7.2/Age_init;
			V = 18.9/Age_init;
			SP = SP;          
			DgM_init = 5.8/Age_init;
			H_gM = 6.2/Age_init;
			break;
		case 5:
			Age_init =25;
			H_dom = 3.5/Age_init;
			N_init = N;
			BA = 3/Age_init;
			V = 10/Age_init;
			SP = SP;          
			DgM_init = 3/Age_init;
			H_gM = 3.6/Age_init;
			break;
		case 6:
			Age_init =25;
			H_dom = 2.3/Age_init;
			N_init = 2000;
			BA = 2/Age_init;
			V = 5/Age_init;
			SP = SP;          
			DgM_init = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
		case 7:
			Age_init =25;
			H_dom = 2.3/Age_init;
			N_init = 2000;
			BA = 2/Age_init;
			V = 5/Age_init;
			SP = SP;          
			DgM_init = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
		case 8:
			Age_init =25;
			H_dom = 2.3/Age_init;
			N_init = 2000;
			BA = 2/Age_init;
			V = 5/Age_init;
			SP = SP;          
			DgM_init = 2/Age_init;
			H_gM = 2.7/Age_init;
			break;
	}

	*nres = 1;

	//Very dense pubescent birch stand can get unbelievable big volume and basal area values! 
	//To avoid that maximum N is 5000 stems per hectare!
	if(N>5000)
		N=5000;

	diff=fabs(DgM_real-(Age*DgM_init))/(Age*DgM_init);

	//Scale H_dom, BA, V and H_gM values using real D_gM value
	//To avoid scaling with unbeleavable D_gM value, difference between real and init D_gM value is not allowed to be too large!
	//Problem is that variables above were calculated linearly. For very young trees the values of variables are unreal. 

	if(DgM_real>0&&diff<0.5) {
		init[0].init_Age=Age_init;
		init[0].Age=Age;
		init[0].H_dom=(H_dom*Age)*(DgM_real/(Age*DgM_init));
		init[0].N=N;
		init[0].BA=((N/N_init)*BA*Age)*(DgM_real/(Age*DgM_init));
		init[0].V=((N/N_init)*V*Age)*(DgM_real/(Age*DgM_init));
		init[0].SP=SP;
		init[0].D_gM=DgM_real;
		init[0].H_gM=(H_gM*Age)*(DgM_real/(Age*DgM_init));
	}
	else {
		init[0].init_Age=Age_init;
		init[0].Age=Age;
		init[0].H_dom=H_dom*Age;
		init[0].N=N;
		init[0].BA=(N/N_init)*BA*Age;
		init[0].V=(N/N_init)*V*Age;
		init[0].SP=SP;
		init[0].D_gM=DgM_init*Age;
		init[0].H_gM=H_gM*Age;
	}

	return ret;
}
