// Copyright (c) 2007 Simosol Oy. Distributed under the GNU General Public License 2.0.

//////////////////////////////////////////////////////////////////////////////
//
//  InitmodelLibrary.cpp
//
//	Initialization model library - Header file
//
//	Here all model functions must be defined

#if MODE==1
# define DLLEXPORT __declspec (dllexport)
#elif MODE==2
# define DLLEXPORT
#elif MODE==3
# define DLLEXPORT
#endif

#define PI 3.1415926535897932384626433832795029

struct Values_after_natur_regen_or_ingrowth_stratum {
	double BA;
    	double D_gM;
    	double H_gM;
    	double H_dom;
    	double N;
	double N_theor;
	double N_tree;
	double A;
    	double Age;
	double RDF;
	double V;
	double V_old;
	double trees_generated;
	double trees_just_generated;
	double Upper_st;
	double seedtree_stratum;
	double artificial_ingrowth;
	double stand_value;
	double COMWOOD;
	double LOGp;
	double i_Vm3;
	double i_Vpros;
	double V_PULP;
	double V_LOG;
	double natural_ingrowth;
	double seedling_below13;
	double N_measured;
	double only_N_measured;
	double Yield;
	double BM_foliage;
    	double BM_branches;
    	double BM_roots;
    	double BM_stumps;
    	double BM_stems;
    	double BM_fine_roots;
    	double BM_total;
    	double Carbon_flux_natural_removal;
	double Carbon_flux_natural_removal_energy;
	double growing_seedling_in2st;
	double STOREY;
	double i_Vm3_1;
	double i_Vm3_2;
	double i_Vm3_3;
	double i_Vm3_4;
	double i_Vm3_5;
};

struct Values_non_pine_stratum {
	double init_Age;
	double Age;
	double H_dom;	
    	double BA;
    	double V;
    	double SP;
    	double D_gM;
    	double H_gM;
	double non_seedling;
};

struct Values_after_natur_regeneration_comp_unit {
	double N_max_Sp;
	double N_max_Ns;
	double N_max_sb;
	double N_max_pb;
	double N_max_oc;
	double N_max_od;
	double N_max_Sp_upper;
	double N_max_Ns_upper;
	double N_max_sb_upper;
	double N_max_pb_upper;
	double N_max_oc_upper;
	double N_max_od_upper;
	double N_max_Sp_under;
	double N_max_Ns_under;
	double N_max_sb_under;
	double N_max_pb_under;
	double N_max_oc_under;
	double N_max_od_under;
	double N_Sp;
	double N_Ns;
	double N_sb;
	double N_pb;
	double N_oc;
	double N_od;
	double N_Sp_upper;
	double N_Ns_upper;
	double N_sb_upper;
	double N_pb_upper;
	double N_oc_upper;
	double N_od_upper;
	double N_upper;
	double N_under;
	double value_growth_rel_1;
	double value_growth_rel_2;
	double value_growth_rel_3;
	double value_growth_rel_4;
	double value_growth_rel_5;
	double value_growth_abs_1;
	double value_growth_abs_2;
	double value_growth_abs_3;
	double value_growth_abs_4;
	double value_growth_abs_5;
	double RDF_up;
	double RDFSp_up;
	double RDFNs_up;
	double RDFsb_up;
	double RDFpb_up;
	double V_old;
	double open_area;
    	double CULT;
    	double PLANT;
	double i_Vm3;
	double i_Vpros;
	double Age_difference;
	double seedling_below13;
	double Thinning_limit;
	double RDF_Sp;
	double RDF_Ns;
	double RDF_sb;
	double RDF_pb;
	double RDF_oc;
	double RDF_od;
	double RDF_decid;
};

struct Values_after_artif_regeneration_comp_unit {
	double BA;
	double i_N5;
	double N_ingrowth;
	double N_theor;
	double N_max_Sp;
	double N_max_Ns;
	double N_max_sb;
	double N_max_pb;
	double N_max_oc;
	double N_max_od;
	double N_max_Sp_upper;
	double N_max_Ns_upper;
	double N_max_sb_upper;
	double N_max_pb_upper;
	double N_max_oc_upper;
	double N_max_od_upper;
	double N_max_Sp_under;
	double N_max_Ns_under;
	double N_max_sb_under;
	double N_max_pb_under;
	double N_max_oc_under;
	double N_max_od_under;
	double N_Sp;
	double N_Ns;
	double N_sb;
	double N_pb;
	double N_oc;
	double N_od;
	double N_Sp_upper;
	double N_Ns_upper;
	double N_sb_upper;
	double N_pb_upper;
	double N_oc_upper;
	double N_od_upper;
	double BA_prosb;
	double BA_prosNs;
	double N_upper;
	double N_under;
	double value_growth_rel_1;
	double value_growth_rel_2;
	double value_growth_rel_3;
	double value_growth_rel_4;
	double value_growth_rel_5;
	double value_growth_abs_1;
	double value_growth_abs_2;
	double value_growth_abs_3;
	double value_growth_abs_4;
	double value_growth_abs_5;
	double RDF_up;
	double RDFSp_up;
	double RDFNs_up;
	double RDFsb_up;
	double RDFpb_up;
	double V_old;
	double V;
	double open_area;
	double stand_value;
	double i_Vm3;
	double i_Vpros;
	double seedtree_stand;
	double Age_difference;
	double CULT;
	double seedling_below13;
	double Thinning_limit;
	double pure_seedling;
	double RDF_Sp;
	double RDF_Ns;
	double RDF_sb;
	double RDF_pb;
	double RDF_oc;
	double RDF_od;
	double RDF_decid;
};

struct To_zero_init_comp_unit {
   	double N_max_Sp;
	double N_max_Ns;
	double N_max_sb;
	double N_max_pb;
	double N_max_oc;
	double N_max_od;
	double N_max_Sp_upper;
	double N_max_Ns_upper;
	double N_max_sb_upper;
	double N_max_pb_upper;
	double N_max_oc_upper;
	double N_max_od_upper;
	double N_max_Sp_under;
	double N_max_Ns_under;
	double N_max_sb_under;
	double N_max_pb_under;
	double N_max_oc_under;
	double N_max_od_under;
	double N_Sp;
	double N_Ns;
	double N_sb;
	double N_pb;
	double N_oc;
	double N_od;
	double N_Sp_upper;
	double N_Ns_upper;
	double N_sb_upper;
	double N_pb_upper;
	double N_oc_upper;
	double N_od_upper;
	double value_growth_rel_1;
	double value_growth_rel_2;
	double value_growth_rel_3;
	double value_growth_rel_4;
	double value_growth_rel_5;
	double value_growth_abs_1;
	double value_growth_abs_2;
	double value_growth_abs_3;
	double value_growth_abs_4;
	double value_growth_abs_5;
	double RDF;
	double RDF_up;
	double RDFSp_up;
	double RDFNs_up;
	double RDFsb_up;
	double RDFpb_up;
	double V_old;
	double V;
	double N_ingrowth;
	double N_theor;
	double BA_prosb;
	double BA_prosNs;
	double BA_prosNsb;
	double stand_value;
	double i_Vm3;
	double i_Vpros;
	double open_area;
	double pure_seedling;
	double N_upper;
	double N_under;
	double seedtree_stand;
	double SEEDTREESTAND_NO_SEEDLINGS;
	double REGENERABLE;
	double PUB;
	double Age_difference;
	double Age_lower;
	double Age_upper;
	double Thinning_limit;
	double seedling_below13;
	double OLD_DEVEL_CLASS;
	double N_expected;
	double trees_generated;
	double N_tree;
	double Two_st;
	double strip_cutting_stand;
	double RDF_Sp;
	double RDF_Ns;
	double RDF_sb;
	double RDF_pb;
	double RDF_oc;
	double RDF_od;
	double RDF_decid;
	double BA_b;
	double BA_Ns;
	double BA_Nsb;
	double Harvest_BM_branches;
    	double Harvest_BM_roots;
    	double Harvest_BM_stumps;
    	double Harvest_BM_scrapstems;
    	double BM_total;
    	double BM_total_prev;
    	double PV;
    	double PV_land;
    	double BMASS_COLLECT_PROP_grass;
    	double natural_ingrowth;
    	double PV_1;
    	double PV_2;
    	double PV_3;
    	double PV_4;
    	double PV_5;
    	double PV_6;
    	double PV_7;
    	double PV_land_1;
    	double PV_land_2;
    	double PV_land_3;
    	double PV_land_4;
    	double PV_land_5;
    	double PV_land_6;
    	double PV_land_7;
};

struct To_zero_init_stratum {
    double N_ingrowth;
	double N_theor;
	double N_tree;
	double natural_ingrowth;
	double artificial_ingrowth;
	double RDF;
	double trees_just_generated;
	double V;
	double V_old;
	double stand_value;
	double COMWOOD;
	double LOGp;
	double i_Vm3;
	double i_Vpros;
	double seedtree_stratum;
	double seedling_below13;
	double A;
	double Calibration_age;
	double Calibration_height;
	double norm_height_dist;
	double trees_generated;
	double a_0;
	double V_PULP;
	double V_LOG;
    	double BM_foliage;
    	double BM_branches;
    	double BM_roots;
    	double BM_stumps;
    	double BM_stems;
    	double BM_fine_roots;
    	double BM_total;
    	double Carbon_flux_natural_removal;
	double Carbon_flux_natural_removal_energy;
	double BA_measured;
	double growing_seedling_in2st;
	double i_Vm3_1;
	double i_Vm3_2;
	double i_Vm3_3;
	double i_Vm3_4;
	double i_Vm3_5;
};

struct To_zero_init_tree {
    	double a;
	double density;
	double BM_stem;
	double BM_branches;
	double BM_roots;
	double BM_fine_roots;
	double BM_stump;
	double BM_foliage;
	double d_s;
	double ba_n;
	double cr;
	double RDF_L;
	double BA_L;
	double log_r;
};

struct To_zero_clearcut_comp_unit {
	double BA;
	double D_gM;
	double H_gM;
	double H_dom;
	double V;
	double D_dom;
	double CR_dom;
	double N;
	double N_ingrowth;
	double N_expected;
	double Age;
	double passed_regen_limit;
	double HgM_ari;
	double Upper_sum;
	double Two_st;
	double N_stratum;
	double N_upper;
	double N_under;
	double N_tree;
	double RDF;
	double RDF_up;
	double RDF_Sp;
	double RDF_Ns;
	double RDF_sb;
	double RDF_pb;
	double RDF_oc;
	double RDF_od;
	double RDF_decid;
	double BA_prosb;
	double stand_value;
	double trees_generated;
	double Thinning_limit;
	double SOILPREP;
	double V_log;
	double V_pulp;
};

struct To_zero_seedtreecut_comp_unit {
	double N_ingrowth;
	double N_expected;
	double Upper_sum;
	double Two_st;
	double N_upper;
	double N_under;
	double passed_regen_limit;
	double stand_value;
	double SOILPREP;
};

struct To_zero_removing_seedtrees_comp_unit1 {
	double Upper_sum;
	double Two_st;
	double N_upper;
	double N_under;
	double RDF;
	double RDF_up;
	double RDF_Sp;
	double RDF_Ns;
	double RDF_sb;
	double RDF_pb;
	double RDF_oc;
	double RDF_od;
	double RDF_decid;
	double seedling_below13;
	double trees_generated;
	double Thinning_limit;
};

struct To_zero_removing_seedtrees_comp_unit2 {
	double BA;
	double D_gM;
	double V;
	double D_dom;
	double CR_dom;
	double BA_prosb;
	double N_tree;
};

struct Values_before_natur_removal_comp_unit {
	double N_max_Sp;
	double N_max_Ns;
	double N_max_sb;
	double N_max_pb;
	double N_max_oc;
	double N_max_od;
	double RDF;
	double RDF_Sp;
	double RDF_Ns;
	double RDF_sb;
	double RDF_pb;
	double RDF_up;
	double RDFSp_up;
	double RDFNs_up;
	double RDFsb_up;
	double RDFpb_up;
};

struct Values_after_final_harvests_comp_unit {
	double value_growth_rel_1;
	double value_growth_rel_2;
	double value_growth_rel_3;
	double value_growth_rel_4;
	double value_growth_rel_5;
	double value_growth_abs_1;
	double value_growth_abs_2;
	double value_growth_abs_3;
	double value_growth_abs_4;
	double value_growth_abs_5;
	double value_growth_abs;
	double value_growth_rel;
	double mean_value_growth_abs;
	double mean_value_growth_rel;
};

struct initial_values {
	double init_Age;
	double Age;
	double H_dom;
	double N;
	double BA;
	double V;
	double SP;
	double D_gM;
	double H_gM;
	double A;
	double V_old;
	double N_tree;
	double N_ingrowth;
	double Upper_st;
	double trees_generated;
	double seedling_below13;
	double artificial_ingrowth;
	double trees_just_generated;
	double non_seedling;
	double seedtree_stratum;
	double natural_ingrowth;
	double stand_value;
	double COMWOOD;
	double LOGp;
	double i_Vm3;
	double i_Vpros;
	double a_0;
};

struct initial_values_MELA {
	double Age;
	double N;
	double BA;
	double SP;
	double D_gM;
	double H_gM;
	double seedling_below13;
	double artificial_ingrowth;
};


//	Conventional function declarations used when the library is linked
//	using the .LIB file / tjp 4.5.2005

//  All the model calls follow the same rules for the input parameters. Each
//  model is called with the actual model parameters, plus a set of pointers
//  which the model function sets to contain the number of results, the
//  actual modelresult, warnings and errors. The last three parameters
//  are the error checking mode, allowed risk level and the rectification
//  factor for the model. This way the models can be called easily from python
//  and C/C++ implementation. / AM 2.9.2005

//Undecorate C++ functions
#ifdef __cplusplus
extern "C" {
#endif

DLLEXPORT int Assign_to_zero_after_clearcut_comp_unit_JKK (int *nres, struct To_zero_clearcut_comp_unit *to_zero, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Assign_to_zero_after_seedtreecut_comp_unit_JKK (int *nres, struct To_zero_seedtreecut_comp_unit *to_zero, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Assign_to_zero_after_removing_seedtrees1_comp_unit_JKK (int *nres, struct To_zero_removing_seedtrees_comp_unit1 *to_zero, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Assign_to_zero_after_removing_seedtrees2_comp_unit_JKK (int *nres, struct To_zero_removing_seedtrees_comp_unit2 *to_zero, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Assign_init_values_tree_JKK (int *nres, struct To_zero_init_tree *to_zero, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Assign_init_values_stratum_JKK (int *nres, struct To_zero_init_stratum *to_zero, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Assign_init_values_comp_unit_JKK (int *nres, struct To_zero_init_comp_unit *to_zero, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Assign_variable_values_after_artif_regeneration_comp_unit_JKK (int *nres, struct Values_after_artif_regeneration_comp_unit *values, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Assign_variable_values_after_natur_regeneration_or_ingrowth_stratum_JKK (int *nres, struct Values_after_natur_regen_or_ingrowth_stratum *values, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Assign_variable_values_after_natur_regeneration_comp_unit_JKK (int *nres, struct Values_after_natur_regeneration_comp_unit *values, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Assign_variable_values_non_pine_stratum_JKK (double SC, double SP, double N, int *nres, struct Values_non_pine_stratum *values, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Assign_to_zero_before_natural_removal_comp_unit_JKK (int *nres, struct Values_before_natur_removal_comp_unit *values, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Assign_after_final_harvests_comp_unit_JKK (int *nres, struct Values_after_final_harvests_comp_unit *values, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Fix_age_at_breast_height_JKK (double SC, double D_gM, double Age, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Initial_values_pine_JKK (double SC, int *nres, struct initial_values *init, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Initial_values_spruce_JKK (double SC, int *nres, struct initial_values *init, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Initial_values_white_birch_JKK (double SC, int *nres, struct initial_values *init, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Initial_values_pubescent_birch_JKK (double SC, int *nres, struct initial_values *init, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Missing_values_seedling_pine_JKK (double SC, double N, double Age, double SP, double D_gM, int *nres, struct initial_values *init, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Missing_values_seedling_spruce_JKK (double SC, double N, double Age, double D_gM, int *nres, struct initial_values *init, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Missing_values_seedling_white_birch_JKK (double SC, double N, double Age, double D_gM, int *nres, struct initial_values *init, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Missing_values_seedling_pubescent_birch_JKK (double SC, double N, double Age, double SP, double D_gM, int *nres, struct initial_values *init, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Initial_values_pine_MELA_JKK (double SC, int *nres, struct initial_values_MELA *init, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Initial_values_spruce_MELA_JKK (double SC,	int *nres, struct initial_values_MELA *init, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Initial_values_white_birch_MELA_JKK (double SC, int *nres, struct initial_values_MELA *init, char *errors, int errorCheckMode,	double allowedRiskLevel, double rectFactor);
DLLEXPORT int Initial_values_pubescent_birch_MELA_JKK (double SC, int *nres, struct initial_values_MELA *init, char *errors, int errorCheckMode,	double allowedRiskLevel, double rectFactor);
DLLEXPORT int Fill_values_pine_MELA_JKK (double SC, int *nres, struct initial_values_MELA *init, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Fill_values_spruce_MELA_JKK (double SC, int *nres, struct initial_values_MELA *init, char *errors, int errorCheckMode,	double allowedRiskLevel, double rectFactor);
DLLEXPORT int Fill_values_white_birch_MELA_JKK (double SC, int *nres, struct initial_values_MELA *init, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Fill_values_pubescent_birch_MELA_JKK (double SC, int *nres, struct initial_values_MELA *init, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Initial_values_supplemental_planting_spruce_JKK (double SC, double N_Sp, double N_Ns, double N_sb, double SP_regen, int *nres, struct initial_values *init, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Initial_values_supplemental_planting_white_birch_JKK (double SC, double N_Sp, double N_Ns, double N_sb, double SP_regen, int *nres, struct initial_values *init, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);

#ifdef __cplusplus
}
#endif