// Copyright (c) 2007 Simosol Oy. Distributed under the GNU General Public License 2.0.

//////////////////////////////////////////////////////////////////////////////
//
//  SimoUtils.cpp
//
//	Simo utils - Source file
//
//	Here are the conventional calls of the functions

#include <stdio.h>
#include "SimoUtils.h"
#include <stdlib.h>
#include <string.h>

// Function for constructing warning and error messages for the functions
void constructErrorMessage (char *warningStr, char *str, double value) {
	// Create a char array for the double value
	char strvalue[100];
	char buf[200] = "";
	// Print the double value into the char array
	sprintf(strvalue, "%4.2g", value);
	// Create a big enough char array for the warning/error message and
	// construct the message	
	strcat (buf, str);
	strcat (buf, strvalue);
	strcat (buf, ") ");
	strcat (warningStr, buf);
}

void constructErrorMessage2val (char *warningStr, char *str, double value, char *str2, double value2) {
	// Create a char array for the double value
	char strvalue[100];
	char strvalue2[100];
	char buf[200] = "";
	// Print the double value into the char array
	sprintf(strvalue, "%4.2g", value);
	sprintf(strvalue2, "%4.2g", value2);
	// Create a big enough char array for the warning/error message and
	// construct the message	
	strcat (buf, str);
	strcat (buf, strvalue);
	strcat (buf, str2);
	strcat (buf, strvalue2);
	strcat (buf, ") ");
	strcat (warningStr, buf);
}

void constructErrorMessage3val (char *warningStr, char *str, double value, char *str2, double value2, char *str3, double value3) {
	// Create a char array for the double value
	char strvalue[100];
	char strvalue2[100];
	char strvalue3[100];
	char buf[200] = "";
	// Print the double value into the char array
	sprintf(strvalue, "%4.2g", value);
	sprintf(strvalue2, "%4.2g", value2);
	sprintf(strvalue3, "%4.2g", value3);
	// Create a big enough char array for the warning/error message and
	// construct the message	
	strcat (buf, str);
	strcat (buf, strvalue);
	strcat (buf, str2);
	strcat (buf, strvalue2);
	strcat (buf, str3);
	strcat (buf, strvalue3);
	strcat (buf, ") ");
	strcat (warningStr, buf);
}

double * establishheapproperty (double * array, int first, int last)
{
	// establish heap property (used by create_heap)
	//
	int k;
	double temp;
    while (2 * first + 1 <= last)
	{
        k = 2 * first + 1;
        if (k < last && array[k] < array[k + 1]) k += 1;
        if (array[first] >= array[k]) return array;
        temp = array[k]; // swap the attributearrays
		array[k] = array[first];
		array[first] = temp;		
        first = k;
	}
	return array;
}

double * createheap (double * array, int first, int last)
{
	// create heap (used by heap_sort)
	//
    int i = last / 2;
    while (i >= first)
	{
        array = establishheapproperty(array, i, last);
        i--;
	}
	return array;
}

void utilheapsort (double * array, int len)
{
	//	Sort an array with utilheapsort algorithm
	//
	int i, first, last;
	double temp;
    first = 0;
    last = len - 1;	
    array = createheap (array, first, last);    
	for ( i=last; i>first; i--)
	{        
		temp = array[i]; // swap the attributearrays
		array[i] = array[first];
		array[first] = temp;
        array = establishheapproperty (array, first, i - 1);
	}	
}
