// Copyright (c) 2007 Simosol Oy. Distributed under the GNU General Public License 2.0.

//////////////////////////////////////////////////////////////////////////////
//
//  ThinningLibrary.cpp
//
//	Thinning limit model library - Header file
//
//	Here all model functions must be defined

#if MODE==1
# define DLLEXPORT __declspec (dllexport)
#elif MODE==2
# define DLLEXPORT
#elif MODE==3
# define DLLEXPORT
#endif

#define PI 3.1415926535897932384626433832795029

struct Thinning_limits {
	double Thinning_limit;
	double Remainlimit_upper;
	double Remainlimit_lower;
	double JUST_THINNED;
};

struct Thinning_statutory_limits {
	double Thinning_limit;
	double Remainlimit_upper;
	double Remainlimit_lower;
	double JUST_THINNED;
	double statutory_N;
};

//Undecorate C++ functions
#ifdef __cplusplus
extern "C" {
#endif

DLLEXPORT int Thinning_limits_JKK (double H_dom, double BA, double MAIN_SP, double MANAGEMENT_REGION, double SC, double TS, double PEAT, double THINNING_LEVEL, int *nres, struct Thinning_limits *limits, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Thinning_statutory_limits_JKK (double H_dom, double BA, double MAIN_SP, double MANAGEMENT_REGION, double SC, double TS, double PEAT, double Municipal_id, double THINNING_LEVEL, int *nres, struct Thinning_statutory_limits *limits, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);

#ifdef __cplusplus
}
#endif