// Copyright (c) 2007 Simosol Oy. Distributed under the GNU General Public License 2.0.

//////////////////////////////////////////////////////////////////////////////
//
//  TreemodelLibrary.h
//
//	Tree model library - Header file
//
//	Here all model functions must be defined

#if MODE==1
# define DLLEXPORT __declspec (dllexport)
#elif MODE==2
# define DLLEXPORT
#elif MODE==3
# define DLLEXPORT
#endif

#define PI 3.1415926535897932384626433832795029

struct Tree_age {
	double a;
	double age;
};

//	Conventional function declarations used when the library is linked
//	using the .LIB file / tjp 4.5.2005

//  All the model calls follow the same rules for the input parameters. Each
//  model is called with the actual model parameters, plus a set of pointers
//  which the model function sets to contain the number of results, the
//  actual modelresult, warnings and errors. The last three parameters
//  are the error checking mode, allowed risk level and the rectification
//  factor for the model. This way the models can be called easily from python
//  and C/C++ implementation. / AM 2.9.2005

//Undecorate C++ functions
#ifdef __cplusplus
extern "C" {
#endif

DLLEXPORT int Age_pine_hemib_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_southb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_middleb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_northb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_hemib_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_southb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_middleb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_northb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_hemib_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_southb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_middleb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_northb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_entire_country_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_entire_country_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_entire_country_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_pine_Veltheim (double d, double Age, double BA, double DgM, double TS, double ALT, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_spruce_Veltheim (double d, double Age, double BA, double DgM, double TS, double ALT, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_white_birch_Veltheim (double d, double Age, double BA, double DgM, double TS, double ALT, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_pubescent_birch_Veltheim (double d, double Age, double BA, double D_gM, double TS, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_pine_peatland_Veltheim (double d, double Age, double BA, double D_gM, double TS, double ALT, double PEAT_transf, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_spruce_peatland_Veltheim (double d, double BA, double D_gM, double TS, double PEAT_transf, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_birch_peatland_Veltheim (double d, double BA, double D_gM, double TS, double ALT, double PEAT_transf, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_reduced_pine_Veltheim (double d, double Age, double BA, double TS, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_reduced_spruce_Veltheim (double d, double Age, double BA, double TS, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_reduced_white_birch_Veltheim (double d, double Age, double BA, double TS, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_reduced_pubescent_birch_Veltheim (double d, double Age, double BA, double TS, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_reduced_pine_peatland_Veltheim (double d, double Age, double BA, double TS, double PEAT_transf, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_reduced_spruce_peatland_Veltheim (double d, double BA, double TS, double PEAT_transf, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_reduced_birch_peatland_Veltheim (double d, double BA, double TS, double PEAT_transf, double SC,	int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_pine_Siipilehto (double d, double D_gM, double H_gM, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_spruce_Siipilehto (double d, double D_gM, double H_gM, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_birch_Siipilehto (double d, double D_gM, double H_gM, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Height_grey_alder_Karki (double d, double H_dom, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Log_volume_reduction_pine_Mehtatalo (double a, double d, double LAT, double ALT, double AHV, double PEAT, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Log_volume_reduction_pine_north_Finland_Mehtatalo (double a, double d, double LONG, double ALT, double TS, double PEAT, double SC, double LAT, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Log_volume_reduction_pine_scrub_land_Mehtatalo (double a, double d, double ALT, double LAT, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Log_volume_reduction_spruce_Mehtatalo (double a, double d, double PLANT, double ALT, double AHV, double TS, double PEAT, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Log_volume_reduction_spruce_north_Finland_Mehtatalo (double a, double d, double LONG, double ALT, double TS, double PEAT, double LAT, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Log_volume_reduction_spruce_scrub_land_north_Finland_Mehtatalo (double a, double d, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Log_volume_reduction_white_birch_Mehtatalo (double a, double d, double LAT, double ALT, double AHV, double POHJ, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Log_volume_reduction_pubescent_birch_Mehtatalo (double a, double d, double LAT, double AHV, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Log_volume_reduction_aspen_Mehtatalo (double a, double d, double LAT, double LONG, double ALT, double POHJ, double PEAT, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Volume_pine_Laasasenaho (double d, double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Volume_spruce_Laasasenaho (double d, double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Volume_birch_Laasasenaho (double d, double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Volume_pine_upper_height_Laasasenaho (double d, double d6, double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Volume_spruce_upper_height_Laasasenaho (double d, double d6, double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Volume_birch_upper_height_Laasasenaho (double d, double d6, double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Volume_grey_alder_Karki (double d, double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_Vahasaari (double d, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_Korhonen (double d, double LGP, double SC, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_hemib_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_hemib_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_hemib_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_southb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_southb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_southb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_middleb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_middleb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_middleb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_northb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_northb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_northb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_entire_country_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_entire_country_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_entire_country_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_entire_country_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_entire_country_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_entire_country_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_hemib_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_hemib_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_hemib_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_southb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_southb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_southb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_middleb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_middleb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_middleb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_northb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_northb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_northb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_entire_country_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_entire_country_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_entire_country_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_hemib_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_hemib_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_hemib_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_southb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_southb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_southb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_middleb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_middleb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_middleb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_northb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_northb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_northb_h_d_crm_KalliovirtaTokola (double h, double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_entire_country_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_entire_country_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_entire_country_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_hemib_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_hemib_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_hemib_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_southb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_southb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_southb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_middleb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_middleb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_middleb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_northb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_northb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_northb_h_KalliovirtaTokola (double h, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_entire_country_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_entire_country_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_entire_country_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_hemib_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_hemib_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_hemib_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_southb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_southb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_southb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_middleb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_middleb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_middleb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_northb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_northb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_northb_d_crm_KalliovirtaTokola (double d_crm, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_entire_country_h_d_crm_c_KalliovirtaTokola (double h, double d_crm, double LAT, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_entire_country_h_d_crm_c_KalliovirtaTokola (double h, double d_crm, double TS, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_entire_country_h_d_crm_c_KalliovirtaTokola (double h, double d_crm, double TS, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_hemib_h_d_crm_c_KalliovirtaTokola (double h, double d_crm, double Age, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_hemib_h_d_crm_c_KalliovirtaTokola (double h, double d_crm, double BA, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_hemib_h_d_crm_c_KalliovirtaTokola (double h, double d_crm, double D_gM, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_southb_h_d_crm_c_KalliovirtaTokola (double h, double d_crm, double dcl, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_southb_h_d_crm_c_KalliovirtaTokola (double h, double d_crm, double dcl, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_southb_h_d_crm_c_KalliovirtaTokola (double h, double d_crm, double dcl, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_middleb_h_d_crm_c_KalliovirtaTokola (double h, double d_crm, double dcl, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_middleb_h_d_crm_c_KalliovirtaTokola (double h, double d_crm, double TS, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_middleb_h_d_crm_c_KalliovirtaTokola (double h, double d_crm, double dcl, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_pine_northb_h_d_crm_c_KalliovirtaTokola (double h, double d_crm, double Age, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_spruce_northb_h_d_crm_c_KalliovirtaTokola (double h, double d_crm, double BA, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_birch_northb_h_d_crm_c_KalliovirtaTokola (double h, double d_crm, double dcl, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_at_stump_height_Laasasenaho (double d, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Crown_ratio_pine_Hynynenym (double d, double H_domvmi, double RDF, double RDF_L, double TS, double SINCE_THINNING, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Crown_ratio_spruce_Hynynenym (double d, double H_domvmi, double RDF, double TS, double SI_50, double SINCE_THINNING, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Crown_ratio_deciduous_Hynynenym (double d, double h, double H_domvmi, double RDF, double PLANT, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Basal_area_of_tree_JKK (double d, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Basal_area_of_tree_m2_JKK (double d, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Crown_ratio_pine_with_bias_corr_Hynynenym (double d, double H_domvmi, double RDF, double RDF_L, double TS, double ALT, double SEA, double LAKE, double SI_50, double BA, double SC, double SINCE_THINNING, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Crown_ratio_spruce_with_bias_corr_Hynynenym (double d, double H_domvmi, double RDF, double TS, double SI_50, double SEA, double LAKE, double BA_prosb, double BA, double h, double SC, double SCRUB, double SINCE_THINNING, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Crown_ratio_deciduous_with_bias_corr_Hynynenym (double d, double h, double H_domvmi, double RDF, double PLANT,	double ALT, double LAKE, double SEA, double BA, double SC, double SCRUB, double TS, double BA_prosb, double SP,	int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Diameter_under_bark_Melkas_Laasasenaho (double d, double sp, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_SF_JKK (double d, double TS, double SC, double PEAT, double SCRUB, double WASTE, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_SF_JKK (double d, double TS, double SC, double PEAT, double SCRUB, double WASTE, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_SF_JKK (double d, double TS, double SC, double PEAT, double SCRUB, double WASTE, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_pine_NF_JKK (double d, double TS, double SC, double PEAT, double SCRUB, double WASTE, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_spruce_NF_JKK (double d, double TS, double SC, double PEAT, double SCRUB, double WASTE, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Age_birch_NF_JKK (double d, double TS, double SC, double PEAT, double SCRUB, double WASTE, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Stem_number_plot_JKK (double d, double inventory_method, double relascope_factor, double radius, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Tree_height_JKK (double d, double Age, double BA, double D_gM, double H_dom, double SP, double TS, double ALT, double SC, double PEAT, double PEAT_transf, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Tree_height_with_calibration_JKK (double d, double Age, double BA, double D_gM, double H_dom, double SP, double TS, double ALT, double SC, double Calibration_height, double PEAT, double PEAT_transf, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Biological_tree_age_JKK (double d, double SP, double t_href, double Calibration_age, double TS, double SC, double PEAT, double SCRUB, double WASTE, double NF, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Tree_volume_JKK (double d, double h, double SP, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Tree_volume_plot_JKK (double d, double d6, double h, double SP, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Tree_age_JKK (double age, double a, double t_href, double timeStep, int *nres, struct Tree_age *tree_age, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Log_volume_reduction_JKK (double MANAGEMENT_REGION, double SCRUB, double WASTE, double SP, double a, double d, double LAT, double ALT, double AHV, double PEAT, double SC, double LONG, double TS, double PLANT, double POHJ, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Calibration_age_JKK (double Age, double SP, double D_gM, double t_href, double TS, double SC, double PEAT, double SCRUB, double WASTE, double NF, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Calibration_height_JKK (double Age, double BA, double D_gM, double H_gM, double H_dom, double SP, double TS, double ALT, double SC, double PEAT, double PEAT_transf, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);
DLLEXPORT int Crown_ratio_JKK (double d, double h, double SP, double BA, double BA_prosb, double H_dom, double RDF, double RDF_L, double TS, double ALT, double LAKE, double SEA, double SCRUB, double SC, double SI_50, double STONY, double PALU, double HUMUS, double SINCE_THINNING, double PLANT, int *nres, double *modelresult, char *errors, int errorCheckMode, double allowedRiskLevel, double rectFactor);

#ifdef __cplusplus
}
#endif