import sys, os
sys.path.append(os.getcwd())
from make_dll import make_dll
import ConfigParser
#This script simply makes the neccessary calls for make_dll. The first file is the
#resulting .dll, the rest are the c files.

config = ConfigParser.RawConfigParser()
config.read(sys.argv[-1])
for section in config.sections():
    if section == 'FortranModels':
        continue
    if '/' in section or '\\' in section:
        raise Exception('Unable to compile dlls due to bad section name')
    data = dict(config.items(section))
    names = data.get('names')
    path = data.get('path')
    if not path:
        path = 'Finland' # backwards compatibility
    if '/' in path or '\\' in path:
        raise Exception('Unable to compile dlls due to bad path %s' % (path,))
    fixed_names = []
    for name in names.split(';'):
        sname = name.split('/')
        for n in sname:
            if '/' in sname or '\\' in sname:
                raise Exception('Unable to compile dlls due to bad name %s'
                                % (name,))
        if len(sname)==1:
            fixed_names.append((path, sname[0]))
        elif len(sname)==2:
            fixed_names.append((sname[0], sname[1]))
        else:
            raise Exception('Unable to compile dlls due to bad name %s' 
                            % (name,))
    params = [(path, section)]+fixed_names
    make_dll(params)
