#!/usr/bin/env python
# -*- coding: utf-8 -*-

from minimock import Mock


class Lexicon(object):
    def is_parent(self, p, c):
        if p < c:
            return True
        return False
    
class Validator(object):
    errors = set([])
    warnings = set([])
    
    def __init__(self):
        self.lexicon = Lexicon()

    def add_error(self, msg):
        self.errors.add(msg)
    
    def add_warning(self, msg):
        self.warnings.add(msg)

    def elem_name(self, elemtag):
        part = str(elemtag).split("}")
        if len(part) > 1:
            return str.lower(part[1])
        else:
            return str.lower(part[0])

    def variable_ind(self, level, var):
        if level=='comp_unit':
            return (1, 1)
        elif level=='stratum':
            return (2, 1)
        elif level=='tree':
            return (3, 1)
        else:
            return (None, None)

    def level_ind(self, level):
        if level=='comp_unit':
            return 1
        elif level=='stratum':
            return 2
        elif level=='tree':
            return 3
        else:
            return None
        
    def level_name(self, lev):
        if lev==1:
            return 'comp_unit'
        elif lev==2:
            return 'stratum'
        elif lev==3:
            return 'tree'
        else:
            return None

validator = Validator()

class Task(object):
    name = 'test task'
    chain_level = 'stratum'
    validator = validator

task = Task()
