#!/usr/bin/env python
# encoding: utf-8
"""
*names.py*

Constants for defining model type keys and model chain type keys to tie
together model chains and model base definitions.

Copyright (c) 2008 Simosol Oy. Distributed under the GNU General Public
License 2.0.
"""




##############################################################################
# MODEL TYPES
##############################################################################
AGGREGATION = 'aggregation'
CASH_FLOW = 'cash_flow'
CASH_FLOW_TABLE = 'cash_flow_table'
GEO_TABLE = 'geo_table'
MANAGEMENT = 'management'
OPERATION = 'operation'
PARAMETER_TABLE = 'parameter_table'
PREDICTION = 'prediction'

mtypes = (AGGREGATION, CASH_FLOW, CASH_FLOW_TABLE, GEO_TABLE, MANAGEMENT,
          OPERATION, PARAMETER_TABLE, PREDICTION)




##############################################################################
# MODELCHAIN TYPES
##############################################################################
INIT = 'init'
SIMULATION = 'simulation'
OPERATION = 'operation'
FORCED_OPERATION = 'forced_operation'

ctypes = (INIT, SIMULATION, OPERATION, FORCED_OPERATION)




##############################################################################
# SIMULATOR BUILT-IN ATTRIBUTES
##############################################################################
TIME_STEP = 'time_step'
YEAR = 'year'
MONTH = 'month'
DAY = 'day'
ITERATION = 'iteration'

bitypes = (TIME_STEP, YEAR, ITERATION)




##############################################################################
# OPTIMIZATION, OUTPUT AND MODELCHAIN CONDITION/CONSTRAINT EXPRESSION
# CONSTANTS
##############################################################################
# these are used in the expression syntax like this:
#   sum[1:10](operation:cash_flow:discount)
EXPR_DISCOUNT = 'discount'
EXPR_FUNCTION = 'function'
EXPR_OPERATION = 'operation'

# these are the datatypes in the parsed expressions
EXPR_DTYPE_AGGR = 'aggr'
EXPR_DTYPE_COMB = 'combined'
EXPR_DTYPE_DATA = 'data'
EXPR_DTYPE_FUNC = 'function'
EXPR_DTYPE_LEVEL = 'level'
EXPR_DTYPE_OP = 'op'
EXPR_DTYPE_VALUE = 'value'




def main():
    pass

if __name__ == '__main__':
    main()
