#!/usr/bin/env python
# encoding: utf-8
"""
*simoclasses.py*

Name to class definition mapping for the XmlObject subclasses.
The option names used in builder ini-files must match the ones defined here.

Copyright (c) 2008 Simosol Oy. Distributed under the GNU General Public
License 2.0.
"""

from simo.builder.importers.operation2modelchains import \
        OperationMappingDef
from simo.builder.importers.text2data import ConversionMappingDef
from simo.builder.importers.text2operation import OperationConversionDef
from simo.builder.lexicon.lexicon import LexiconDef
from simo.builder.modelbase.modelbase import ModelbaseDef
from simo.builder.modelchain.modelchain import ModelChainDef
from simo.builder.optimization.opttask import OptimizationTaskDef
from simo.builder.output.outputconstraint import OutputConstraintDef
from simo.builder.output.aggrdef import AggregationOutputDef
from simo.builder.output.exprdef import ExpressionOutputDef
from simo.builder.simulation.simcontrol import SimControlDef
from simo.builder.translation.lexicontranslationtable import \
        LexiconTransTableDef
from simo.builder.translation.messagetranslationtable import \
        MsgTransTableDef

##############################################################################
# SIMOCLASSES (used in simodb)
##############################################################################

OPERATION2MODELCHAINS_DEF='operation2modelchains'
TEXT2DATA_DEF='text2data'
TEXT2OPERATION_DEF='text2operation'
LEXICON_DEF='lexicon'
MODELBASE_DEF='modelbase'
MODELCHAIN_DEF='modelchain'
PROBLEM_DEFINITION_DEF='problem_definition'
OUTPUT_CONSTRAINT_DEF='output_constraint'
AGGREGATION_DEF='aggregation_definition'
EXPRESSION_DEF='expression_definition'
SIMULATION_CONTROL_DEF='simulation_control'
LEXICON_TRANSLATION_DEF='lexicon_translation'
MESSAGE_TRANSLATION_DEF='message_translation'

simoclasses = {OPERATION2MODELCHAINS_DEF: OperationMappingDef,
               TEXT2DATA_DEF: ConversionMappingDef,
               TEXT2OPERATION_DEF: OperationConversionDef,
               LEXICON_DEF: LexiconDef,
               MODELBASE_DEF: ModelbaseDef,
               MODELCHAIN_DEF: ModelChainDef,
               PROBLEM_DEFINITION_DEF: OptimizationTaskDef,
               OUTPUT_CONSTRAINT_DEF: OutputConstraintDef,
               AGGREGATION_DEF: AggregationOutputDef,
               EXPRESSION_DEF: ExpressionOutputDef,
               SIMULATION_CONTROL_DEF: SimControlDef,
               LEXICON_TRANSLATION_DEF: LexiconTransTableDef,
               MESSAGE_TRANSLATION_DEF: MsgTransTableDef}

simodepends = {LEXICON_DEF: (OPERATION2MODELCHAINS_DEF, TEXT2DATA_DEF, 
                             TEXT2OPERATION_DEF, MODELBASE_DEF, MODELCHAIN_DEF,
                             PROBLEM_DEFINITION_DEF, OUTPUT_CONSTRAINT_DEF,
                             AGGREGATION_DEF, EXPRESSION_DEF,
                             SIMULATION_CONTROL_DEF, LEXICON_TRANSLATION_DEF,
                             MESSAGE_TRANSLATION_DEF),
               OPERATION2MODELCHAINS_DEF: (TEXT2OPERATION_DEF,),
               MODELBASE_DEF: (SIMULATION_CONTROL_DEF, MODELCHAIN_DEF),
               MODELCHAIN_DEF: (SIMULATION_CONTROL_DEF,)}

def main():
    pass

if __name__ == '__main__':
    main()
