from pprint import pprint
import datetime
from simo.db.datadb import db
import mock_db
from simo.builder.output.outputconstraint import OutputConstraintDef
from simo.builder.output.aggrdef import AggregationOutputDef
from simo.builder.output.exprdef import ExpressionOutputDef

class Lexicon(object):
    def get_level_ind(self, level):
        for lvl in content_def.keys():
            if lvl[0] == level:
                return lvl[1]
    def get_variable_ind(self, level, var, check_active=False):
        level_ind=self.get_level_ind(level)
        for v, i in content_def[(level, level_ind)]:
            if v == var:
                return (level_ind, i)
        return (None, None)


class TestLogger(object):
    def log_message(self, name, type, msg):
        print name, type,':', msg

class InitData(object):
    def __init__(self, alt_const=False):
        global runonce
        if not runonce:
            runonce = True
            self.testdb = db.DataDB('read', (1, 'comp_unit'),
                                    content_def, hierarchy, levels,
                            mock_db.opres_def, mock_db.cf_cfiers,
                            mock_db.MockLogger(), 'test_mock.db', True, False)
            resdate = datetime.date(2009, 2, 8)
            target_ind = (0, 0, 'comp_unit', 'stand1')
            opdata = [{'date': resdate,
                      'op_id': 1,
                      'id': 'stand1',
                      'iteration': 0,
                      'branch': 0,
                      'op_name': 'clearcut',
                      'op_group': 'final_harvest',
                      'values': [([{'Volume': 123.2, 'assortment': 5,
                                    'SP': 1.0},
                                   {'cash_flow': 3456.65}], resdate)],
                       'op_type': 'simulated'},
                      {'date': resdate,
                       'op_id': 2,
                       'id': 'stand1',
                       'iteration': 0,
                       'branch': 0,
                       'op_name': 'planting',
                       'op_group': 'regeneration',
                       'values': [([{'cash_flow': -456.65}], resdate)],
                       'op_type': 'simulated'}
                      ]
            self.testdb.add_opres('comp_unit', opdata)
            self.testdb.add_data_from_matrix(matrixdates, mock_db.datamatrix,
                                             mock_db.Ind2Id(), mock_db.links,
                                             set([]), set([]), base_level,
                                             mock_db.text_data)
            self.testdb.add_branching_info(2, {(0,1,2):(0,'op_group','op_name',
                    'branch_name', 'branching_group',
                    datetime.date(2009, 2, 8))}, mock_db.ind2id)
        else:
            self.testdb = db.DataDB('read', (1, 'comp_unit'), content_def,
                                    hierarchy, levels,
                            mock_db.opres_def, mock_db.cf_cfiers,
                            mock_db.MockLogger(), 'test_mock.db', False, False)
        self.aggr_obj = aodef.obj['test data']
        if not alt_const:
            self.const_obj = ocdef.obj['test data']
        else:
            self.const_obj = ocdef2.obj['test data']
        self.expr_obj = eodef.obj['test data']

    def init(self):
        try:
            self.testdb.close()
        except:
            pass
        self.testdb.open()

    def __del__(self):
        try:
            self.testdb.close()
        except:
            pass

hierarchy = mock_db.hierarchy
content_def = mock_db.content_def
levels = mock_db.levels
matrixdates = mock_db.matrixdates
base_level = mock_db.base_level

tdf = open('../../simulator/xml/schemas/Typedefs_SIMO.xsd')
typedef = tdf.read()
tdf.close()
sf = open('../../simulator/xml/schemas/report_definition.xsd')
schema = sf.read()
sf.close()
xmlf = open('output/test/aggregation_def_test.xml')
xml = xmlf.read()
xmlf.close()
aodef = AggregationOutputDef(typedef)
aodef.schema = schema
aodef.xml = ('test data', xml, None)

sf = open('../../simulator/xml/schemas/expression_definition.xsd')
schema = sf.read()
sf.close()
xmlf = open('output/test/expression_def_test.xml')
xml = xmlf.read()
xmlf.close()
eodef = ExpressionOutputDef(typedef)
eodef.schema = schema
eodef.xml = ('test data', xml, None)

sf = open('../../simulator/xml/schemas/output_constraint.xsd')
schema = sf.read()
sf.close()

xmlf = open('output/test/output_constraint_test.xml')
xml = xmlf.read()
xmlf.close()
ocdef = OutputConstraintDef(typedef)
ocdef.schema = schema
ocdef.xml = ('test data', xml, Lexicon())

xmlf2 = open('output/test/stratum_output_constraint_test.xml')
xml2 = xmlf2.read()
xmlf2.close()
ocdef2 = OutputConstraintDef(typedef)
ocdef2.schema = schema
ocdef2.xml = ('test data', xml2, Lexicon())

global runonce
runonce = False

