#!/usr/bin/env python
# -*- coding: utf-8 -*-
import numpy
from datetime import date
import sys
sys.path.append('../../..')
sys.path.append('../../../..')

class MockLogger(object):
    def __init__(self):
        self.reporter = ''
        self.log = ''

    def log_message(self, name, type, errormsg):
        self.reporter = name
        self.log = errormsg
        print ','.join([name, type, errormsg])

# This will come for the constructor of database tables
#class Lexicon(object):
#
#    def __init__(self):
#        """
#        Hierarchy mockup constructor
#        """
#        self.variable_ind = {'comp_unit':{'AREA': 0, 'SC':1, 'DEV_CLASS':2},
#                             'stratum':{'SP':0, 'BA':1, 'DgM':2, 'HgM': 3},
#                             'tree':{'d':0, 'h':1}}
#        self.level_ind = {'comp_unit':0, 'stratum':1, 'tree':2}
#        self.variable_name = {0:{0:'AREA', 1:'SC', 2:'DEV_CLASS'},
#                              1:{0:'SP', 1:'BA', 2:'DgM', 3:'HgM'},
#                              2:{0:'d', 1:'h'}}
#        self.level_name = {0:'comp_unit', 1:'stratum', 2:'tree'}
#        self.hierarchy =  {0:{'ordinal':0, 'lineage':set([0])},
#                           1:{'ordinal':1, 'lineage':set([0])},
#                           2:{'ordinal':2, 'lineage':set([0])}}

hierarchy = {0:{'ordinal':0, 'lineage':set([0, 1]), 'parent':None, 'children':[1,4]},
             1:{'ordinal':1, 'lineage':set([0]), 'parent':0, 'children':[2]},
             2:{'ordinal':2, 'lineage':set([0]), 'parent':1, 'children':[3]},
             3:{'ordinal':3, 'lineage':set([0]), 'parent':2, 'children':None},
             4:{'ordinal':1, 'lineage':set([1]), 'parent':0, 'children':None}}

content_def = {('simulation', 0): [('DIAM_CLASS_WIDTH', 0)],
               ('comp_unit', 1): [('AREA',  0), ('SC', 1), ('DEV_CLASS', 2)],
               ('stratum', 2): [('SP', 0), ('BA', 1), ('DgM', 2), ('HgM',  3)],
               ('tree', 3): [('d', 0), ('h', 1)],
               ('side_test', 4): [('test_param', 0)]}

opres_def = ['SP', 'assortment', 'Volume']
cf_cfiers = ['SP', 'assortment']

from simo.builder.lexicon.lexicon import LexiconDef
try:
    tdf = open('../../simulator/xml/schemas/Typedefs_SIMO.xsd')
except:
    try:
        tdf = open('../../../../simulator/xml/schemas/Typedefs_SIMO.xsd')
    except:
        tdf = open('../../../../../simulator/xml/schemas/Typedefs_SIMO.xsd')
typedef = tdf.read()
tdf.close()
try:
    sf = open('../../simulator/xml/schemas/lexicon.xsd')
except:
    try:
        sf = open('../../../../simulator/xml/schemas/lexicon.xsd')
    except:
        sf = open('../../../../../simulator/xml/schemas/lexicon.xsd')
schema = sf.read()
sf.close()
xml = '''<rootlevel xmlns="http://www.simo-project.org/simo"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.simo-project.org/simo
    ../schemas/lexicon.xsd">
    <name>simulation</name>
     <num_vars>
         <variable>
         <name>DIAM_CLASS_WIDTH</name>
             <description>Width of a single class...</description>
         </variable>
     </num_vars>
     <cat_vars/>
     <sublevels>
         <sublevel>
             <name>side_test</name>
             <type>static</type>
             <geom_type>MULTIPOLYGON</geom_type>
             <num_vars>
                 <variable>
                     <name>BA</name>
                     <description>Basal area...</description>
                 </variable>
             </num_vars>
             <cat_vars>
                 <variable>
                     <name>SC</name>
                     <description>Site class...</description>
                     <values>
                        <enum>
                           <value>1</value>
                           <description>Very good</description>
                        </enum>
                     </values>
                 </variable>
             </cat_vars>
         </sublevel>
         <sublevel>
             <name>comp_unit</name>
             <type>static</type>
             <geom_type>MULTIPOLYGON</geom_type>
             <num_vars>
                 <variable>
                     <name>BA</name>
                     <description>Basal area...</description>
                 </variable>
             </num_vars>
             <cat_vars>
                 <variable>
                     <name>SC</name>
                     <description>Site class...</description>
                     <values>
                        <enum>
                           <value>1</value>
                           <description>Very good</description>
                        </enum>
                     </values>
                 </variable>
             </cat_vars>
             <sublevels>
                 <sublevel>
                     <name>stratum</name>
                     <type>dynamic</type>
                     <geom_type>MULTIPOLYGON</geom_type>
                     <num_vars>
                         <variable>
                             <name>N</name>
                             <description>Number of stems...</description>
                         </variable>
                     </num_vars>
                     <cat_vars>
                         <variable>
                             <name>SP</name>
                             <description>Tree species...</description>
                             <values>
                                 <enum>
                                     <value>1</value>
                                     <description>Pine</description>
                                 </enum>
                                 <enum>
                                     <value>2</value>
                                     <description>Spruce</description>
                                 </enum>
                             </values>
                         </variable>
                     </cat_vars>
                     <sublevels>
                         <sublevel>
                             <name>tree</name>
                             <type>dynamic</type>
                             <geom_type>POINT</geom_type>
                             <num_vars>
                                 <variable>
                                     <name>d</name>
                                     <description>Diameter...</description>
                                 </variable>
                             </num_vars>
                             <cat_vars/>
                         </sublevel>
                     </sublevels>
                 </sublevel>
             </sublevels>
         </sublevel>
         <sublevel>
             <name>sample_plot</name>
             <type>static</type>
             <geom_type>MULTIPOLYGON</geom_type>
             <num_vars>
                 <variable>
                     <name>BA</name>
                     <description>Basal area...</description>
                 </variable>
             </num_vars>
             <cat_vars/>
             <sublevels>
                 <sublevel>
                     <name>sample_tree</name>
                     <type>dynamic</type>
                     <num_vars>
                         <variable>
                             <name>h</name>
                             <description>Height...</description>
                         </variable>
                     </num_vars>
                     <cat_vars/>
                 </sublevel>
             </sublevels>
         </sublevel>
     </sublevels>
 </rootlevel>'''
ldef = LexiconDef(typedef)
ldef.schema = schema
ldef.xml = ('Test lexicon', xml)
lex = ldef.obj["Test lexicon"]
levels = lex.levels

# =============================================

# This data comes in, when data should be written in tables

# data comes from here, lexicon.variable_name will the you which values
# extract from the attribute dimension (keys in the inner dict in the
# lexicon.variable_name dictionary are the attribute indices to extract
# and the values for those keys are the database table column names into
# which to store the values
#dimensions: 2 branches, 5 data levels, 5 objects, 4 attributes

matrixdates = [date(2009,2,7), date(2009,2,8)]
base_level = 1

datamatrix = numpy.array([#iteration
                          [#branch
                           [#data level
                           [[ 0.,  0.,  0.,  0.], #object[attribute, attribute]
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.]],

                           [[ 1.,  3.,  4.,  0.],
                            [ 2.,  2.,  5.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.]],

                           [[ 1.,  17.,  20.,  19.],
                            [ 2.,  8.,  18.,  18.5],
                            [ 2.,  24.,  30.,  31.],
                            [ 3.,  12.,  27.,  26.],
                            [ 0.,  0.,  0.,  0.]],

                           [[ 17.,  18.,  0.,  0.],
                            [ 22.,  21.,  0.,  0.],
                            [ 30.,  29.,  0.,  0.],
                            [ 26.,  24.,  0.,  0.],
                            [ 28.,  27.,  0.,  0.]],

                           [[ 1.1,   0.,  0.,  0.],
                            [ 0.,    0.,  0.,  0.],
                            [ 0.,    0.,  0.,  0.],
                            [ 0.,    0.,  0.,  0.],
                            [ 0.,    0.,  0.,  0.]]
                          ],
                          [
                           [[ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.]],

                           [[ 0,   0.,  0.,  0.],
                            [ 2.,  2.,  1.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.]],

                           [[ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 2.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.]],

                           [[ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.]],

                           [[ 0.,    0.,  0.,  0.],
                            [ 0.,    0.,  0.,  0.],
                            [ 0.,    0.,  0.,  0.],
                            [ 0.,    0.,  0.,  0.],
                            [ 0.,    0.,  0.,  0.]]
                        ]],
                        [[
                           [[ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.]],

                           [[ 1.,  3.,  4.,  0.],
                            [ 2.,  2.,  5.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.]],

                           [[ 1.,  17.,  20.,  19.],
                            [ 2.,  8.,  18.,  18.5],
                            [ 2.,  24.,  30.,  31.],
                            [ 3.,  12.,  27.,  26.],
                            [ 0.,  0.,  0.,  0.]],

                           [[ 17.,  18.,  0.,  0.],
                            [ 22.,  21.,  0.,  0.],
                            [ 30.,  29.,  0.,  0.],
                            [ 26.,  24.,  0.,  0.],
                            [ 28.,  27.,  0.,  0.]],

                           [[ 0.,    0.,  0.,  0.],
                            [ 0.,    0.,  0.,  0.],
                            [ 0.,    0.,  0.,  0.],
                            [ 0.,    0.,  0.,  0.],
                            [ 0.,    0.,  0.,  0.]]
                        ],
                        [
                           [[ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.]],

                           [[ 0,   0.,  0.,  0.],
                            [ 2.,  2.,  1.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.]],

                           [[ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 2.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.]],

                           [[ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.]],

                           [[ 0,   0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.],
                            [ 0.,  0.,  0.,  0.]]
                        ]]
                        ])

# This is needed to find out the index of the object at the parent
# data level to get the foreign key from ind2id (obviously not for the
# root level objects
#keys: (iteration, branch), (from data level, object), to data level
links = {(0,0):{(0,0):{1:[0,1], 2:[0,1,2,3], 3:[0,1,2,3,4], 4:[0]},
                (1,0):{0:[0], 2:[0,1], 3:[0,1]},
                (1,1):{0:[0], 2:[2,3], 3:[2,3,4]},
                (2,0):{0:[0], 1:[0], 3:[0]},
                (2,1):{0:[0], 1:[0], 3:[1]},
                (2,2):{0:[0], 1:[1], 3:[2]},
                (2,3):{0:[0], 1:[1], 3:[3,4]},
                (3,0):{0:[0], 1:[0], 2:[0]},
                (3,1):{0:[0], 1:[0], 2:[1]},
                (3,2):{0:[0], 1:[1], 2:[2]},
                (3,3):{0:[0], 1:[1], 2:[3]},
                (3,4):{0:[0], 1:[1], 2:[3]},
                (4,0):{0:[0]}},
         (0,1):{(0,0):{1:[1], 2:[2]},
                (1,1):{0:[0], 2:[2], 3:[]},
                (2,2):{0:[0], 1:[1], 3:[]}},
         (1,0):{(0,0):{1:[0,1], 2:[0,1,2,3], 3:[0,1,2,3,4], 4:[0]},
                (1,0):{0:[0], 2:[0,1], 3:[0,1]},
                (1,1):{0:[0], 2:[2,3], 3:[2,3,4]},
                (2,0):{0:[0], 1:[0], 3:[0]},
                (2,1):{0:[0], 1:[0], 3:[1]},
                (2,2):{0:[0], 1:[1], 3:[2]},
                (2,3):{0:[0], 1:[1], 3:[3,4]},
                (3,0):{0:[0], 1:[0], 2:[0]},
                (3,1):{0:[0], 1:[0], 2:[1]},
                (3,2):{0:[0], 1:[1], 2:[2]},
                (3,3):{0:[0], 1:[1], 2:[3]},
                (3,4):{0:[0], 1:[1], 2:[3]},
                (4,0):{0:[0]}},
         (1,1):{(0,0):{1:[1], 2:[2]},
                (1,1):{0:[0], 2:[2], 3:[]},
                (2,2):{0:[0], 1:[1], 3:[]}}}

# This is used to get the primary and foreign keys
# keys: (iteration, branch), (data level, object)
ind2id = {(0,0):{(0,0):('sim1','o-sim1'),
                 (1,0):('stand1','o-stand1'),
                 (1,1):('stand2','o-stand2'),
                 (2,0):('stratum1-1','o-stratum1-1'),
                 (2,1):('stratum1-2','o-stratum1-2'),
                 (2,2):('stratum2-1','o-stratum2-1'),
                 (2,3):('stratum2-2','o-stratum2-2'),
                 (3,0):('tree1-1-1','o-tree1-1-1'),
                 (3,1):('tree1-2-1','o-tree1-2-1'),
                 (3,2):('tree2-1-1','o-tree2-1-1'),
                 (3,3):('tree2-2-1','o-tree2-2-1'),
                 (3,4):('tree2-2-2','o-tree2-2-2'),
                 (4,0):('side_test1','o-side_test1')
                },
          (0,1):{(0,0):('sim1','o-sim1'),
                 (1,1):('stand2','o-stand2'),
                 (2,2):('stratum2-3','o-stratum2-3'),
                },
          (1,0):{(0,0):('sim1','o-sim1'),
                 (1,0):('stand1','o-stand1'),
                 (1,1):('stand2','o-stand2'),
                 (2,0):('stratum1-1','o-stratum1-1'),
                 (2,1):('stratum1-2','o-stratum1-2'),
                 (2,2):('stratum2-1','o-stratum2-1'),
                 (2,3):('stratum2-2','o-stratum2-2'),
                 (3,0):('tree1-1-1','o-tree1-1-1'),
                 (3,1):('tree1-2-1','o-tree1-2-1'),
                 (3,2):('tree2-1-1','o-tree2-1-1'),
                 (3,3):('tree2-2-1','o-tree2-2-1'),
                 (3,4):('tree2-2-2','o-tree2-2-2'),
                 (4,0):('side_test1','o-side_test1')
                },
          (1,1):{(0,0):('sim1','o-sim1'),
                 (1,1):('stand2','o-stand2'),
                 (2,2):('stratum2-3', 'o-stratum2-3')
                }
         }


# Is this even necessary?
id2ind = {(0,0):{(0,'sim1'):0,
                 (1,'stand1'):0, (1,'stand2'):1,
                 (2,'stratum1-1'):0, (2,'stratum1-2'):1, (2,'stratum2-1'):2,
                 (2,'stratum2-2'):3,
                 (3,'tree1-1-1'):0, (3,'tree1-2-1'):1, (3,'tree2-1-1'):2,
                 (3,'tree2-2-1'):3, (3,'tree2-2-2'):4,
                 (4,'side_test1'):0},
          (0,1):{(0,'sim1'):0,
                 (1,'stand2'):1,
                 (2,'stratum2-3'):2},
          (1,0):{(0,'sim1'):0,
                 (1,'stand1'):0, (1,'stand2'):1,
                 (2,'stratum1-1'):0, (2,'stratum1-2'):1, (2,'stratum2-1'):2,
                 (2,'stratum2-2'):3,
                 (3,'tree1-1-1'):0, (3,'tree1-2-1'):1, (3,'tree2-1-1'):2,
                 (3,'tree2-2-1'):3, (3,'tree2-2-2'):4,
                 (4,'side_test1'):0},
          (1,1):{(0,'sim1'):0,
                 (1,'stand2'):1,
                 (2,'stratum2-3'):2}}


class Ind2Id(object):
    ids = ind2id
    inds = id2ind

    def get_id(self, iter, branch, level, obj):
        print 'Called Ind2Id.get_id(%d, %d, %d, %d)'\
                % (iter, branch, level, obj)
        print 'return', ind2id[iter, branch][level, obj]
        return ind2id[iter, branch][level, obj]

    def get_ind(self, iter, branch, level, obj):
        print 'Called Ind2Id.get_ind(%d, %d, %d, %s)'\
                % (iter, branch, level, obj)
        if (level, obj) not in id2ind[iter, branch]:
            print 'Bad (level, obj): (', level,',', obj,')'
            return None
        print 'return', id2ind[iter, branch][level, obj]
        return id2ind[iter, branch][level, obj]

test_levels = {'simulation':0, 'comp_unit':1, 'stratum':2, 'tree':3,
               'side_test':4}

text_data = {1: {0: {u'stand_number': 'kuvio1'}}}

if __name__ == '__main__':
    i2i = Ind2Id()
    print i2i.get_id(0, 0, 0, 0)
    print i2i.get_ind(0, 0, 0, 'sim1')
