#!/usr/bin/env python
# encoding: utf-8
"""
*managementcaller.py*

Caller class for executing data management models

Copyright (c) 2008 Simosol Oy. Distributed under the GNU General Public
License 2.0.
"""

from simo.simulation.caller.caller import Caller


class ManagementModelCaller(Caller):
    """Class for executing data management models"""
    def __init__(self):
        """Initialize model caller
        """
        super(ManagementModelCaller, self).__init__('management model')

    def execute(self, model, params, sim, depthind):
        """Construct and execute management model call
        """
        super(ManagementModelCaller, self).execute(model, params, sim, depthind)
        # get the target index from data handler
        tind, toremove = sim.data.get_tind(sim.level, depthind)
        # call the model
        model._v_func(sim, depthind, params, tind, toremove)


def main():
    pass

if __name__ == '__main__':
    main()
