#!/usr/bin/env python
# -*- coding: utf-8 -*-

from minimock import Mock

class Validator(object):
    errors = set([])

    def add_error(self, msg):
        self.errors.add(msg)

    def elem_name(self, elemtag):
        part = str(elemtag).split("}")
        if len(part) > 1:
            return str.lower(part[1])
        else:
            return str.lower(part[0])

    def variable_ind(self, level, var):
         if var == 'GEO_X':
             return (1,1)
         elif var == 'GEO_Y':
             return (1,2)
         elif var == 'ALT':
             return (1,3)
         elif var == 'TS':
             return (1,4)

    def level_ind(self, level):
        if level=='comp_unit':
            return 1
        elif level=='stratum':
            return 2
        elif level=='tree':
            return 3
        else:
            return None

validator = Validator()

class Task(object):
    name = 'test task'
    chain_level = 'stratum'
    validator = validator

task = Task()
